options pagesize=60 linesize=78 compress=yes nocenter NODATE MPRINT MLOGIC;

/***** NOTE: Use below the BACKWARD Adjusted weighted data for New Orleans created using the BACKWARD 
weighting Algorithem Provided by Fred*******/   


libname OUT 'C:\AHS_09\NEWORLEANS_CINCH_04_09';

DATA BACKWARD; SET OUT.BACKWARD_04_09_NEWORLEANS; RUN;

*****************************************************************;

DATA FOR_ROW1; SET BACKWARD; IF IN09_ISTATUS='1';RUN;

DATA COLUMN_C ; SET FOR_ROW1; IF BLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=cOL_C_R1 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW1; IF BLSTATUS=1 AND (IN04_ISTATUS='1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_D_R1 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW1; IF BLSTATUS=1 AND NOT(IN04_ISTATUS='1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_E_R1 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW1; IF BLSTATUS=2 AND (IN04_ISTATUS='1'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R1 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW1; IF BLSTATUS=2 AND NOT(IN04_ISTATUS='1'); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_G_R1 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW1; IF BLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_H_R1 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW1; IF BLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_I_R1 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW1; IF BLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_J_R1 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW1; IF BLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_K_R1 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW1; IF BLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_L_R1 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW1; IF BLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_M_R1 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW1; IF BLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_N_R1 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R1; SET COL_C_R1; ROW=1; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R1; SET COL_D_R1; ROW=1; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R1; SET COL_E_R1; ROW=1; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R1; SET COL_F_R1; ROW=1; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R1; SET COL_G_R1; ROW=1; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R1; SET COL_H_R1; ROW=1; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R1; SET COL_I_R1; ROW=1; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R1; SET COL_J_R1; ROW=1; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R1; SET COL_K_R1; ROW=1; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R1; SET COL_L_R1; ROW=1; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R1; SET COL_M_R1; ROW=1; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R1; SET COL_N_R1; ROW=1; KEEP ROW N_N SUM_N; RUN;

DATA ROW1; MERGE COL_C_R1 COL_D_R1 COL_E_R1 COL_F_R1 COL_G_R1 COL_H_R1 COL_I_R1 
COL_J_R1 COL_K_R1 COL_L_R1 COL_M_R1 COL_N_R1; BY ROW; RUN;

***********************************************************************;
DATA FOR_ROW2; SET BACKWARD; IF IN09_KITCHEN = '1' AND IN09_ISTATUS='1' ;RUN;

DATA COLUMN_C ; SET FOR_ROW2; IF BLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=cOL_C_R2 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW2; IF BLSTATUS=1 AND (IN04_KITCHEN = '1' AND IN04_ISTATUS='1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_D_R2 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW2; IF BLSTATUS=1 AND NOT(IN04_KITCHEN = '1' AND IN04_ISTATUS='1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_E_R2 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW2; IF BLSTATUS=2 AND (IN04_KITCHEN = '1' AND IN04_ISTATUS='1'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R2 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW2; IF BLSTATUS=2 AND NOT(IN04_KITCHEN = '1' AND IN04_ISTATUS='1'); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_G_R2 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW2; IF BLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_H_R2 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW2; IF BLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_I_R2 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW2; IF BLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_J_R2 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW2; IF BLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_K_R2 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW2; IF BLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_L_R2 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW2; IF BLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_M_R2 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW2; IF BLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_N_R2 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R2; SET COL_C_R2; ROW=2; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R2; SET COL_D_R2; ROW=2; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R2; SET COL_E_R2; ROW=2; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R2; SET COL_F_R2; ROW=2; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R2; SET COL_G_R2; ROW=2; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R2; SET COL_H_R2; ROW=2; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R2; SET COL_I_R2; ROW=2; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R2; SET COL_J_R2; ROW=2; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R2; SET COL_K_R2; ROW=2; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R2; SET COL_L_R2; ROW=2; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R2; SET COL_M_R2; ROW=2; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R2; SET COL_N_R2; ROW=2; KEEP ROW N_N SUM_N; RUN;

DATA ROW2; MERGE COL_C_R2 COL_D_R2 COL_E_R2 COL_F_R2 COL_G_R2 COL_H_R2 COL_I_R2 
COL_J_R2 COL_K_R2 COL_L_R2 COL_M_R2 COL_N_R2; BY ROW; RUN;


*****************************************************************;
DATA FOR_ROW3; SET BACKWARD; IF IN09_KITCHEN='2' AND IN09_ISTATUS='1';RUN;

DATA COLUMN_C ; SET FOR_ROW3; IF BLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=cOL_C_R3 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW3; IF BLSTATUS=1 AND (IN04_KITCHEN='2' AND IN04_ISTATUS='1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_D_R3 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW3; IF BLSTATUS=1 AND NOT(IN04_KITCHEN='2' AND IN04_ISTATUS='1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_E_R3 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW3; IF BLSTATUS=2 AND (IN04_KITCHEN='2' AND IN04_ISTATUS='1'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R3 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW3; IF BLSTATUS=2 AND NOT(IN04_KITCHEN='2' AND IN04_ISTATUS='1'); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_G_R3 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW3; IF BLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_H_R3 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW3; IF BLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_I_R3 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW3; IF BLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_J_R3 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW3; IF BLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_K_R3 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW3; IF BLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_L_R3 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW3; IF BLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_M_R3 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW3; IF BLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_N_R3 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R3; SET COL_C_R3; ROW=3; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R3; SET COL_D_R3; ROW=3; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R3; SET COL_E_R3; ROW=3; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R3; SET COL_F_R3; ROW=3; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R3; SET COL_G_R3; ROW=3; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R3; SET COL_H_R3; ROW=3; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R3; SET COL_I_R3; ROW=3; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R3; SET COL_J_R3; ROW=3; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R3; SET COL_K_R3; ROW=3; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R3; SET COL_L_R3; ROW=3; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R3; SET COL_M_R3; ROW=3; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R3; SET COL_N_R3; ROW=3; KEEP ROW N_N SUM_N; RUN;

DATA ROW3; MERGE COL_C_R3 COL_D_R3 COL_E_R3 COL_F_R3 COL_G_R3 COL_H_R3 COL_I_R3 
COL_J_R3 COL_K_R3 COL_L_R3 COL_M_R3 COL_N_R3; BY ROW; RUN;



**********************************************************************;
DATA FOR_ROW4; SET BACKWARD; IF IN09_PLUMB='1' AND IN09_ISTATUS='1';RUN;

DATA COLUMN_C ; SET FOR_ROW4; IF BLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=cOL_C_R4 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW4; IF BLSTATUS=1 AND (IN04_PLUMB='1' AND IN04_ISTATUS='1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_D_R4 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW4; IF BLSTATUS=1 AND NOT(IN04_PLUMB='1' AND IN04_ISTATUS='1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_E_R4 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW4; IF BLSTATUS=2 AND (IN04_PLUMB='1' AND IN04_ISTATUS='1'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R4 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW4; IF BLSTATUS=2 AND NOT(IN04_PLUMB='1' AND IN04_ISTATUS='1'); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_G_R4 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW4; IF BLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_H_R4 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW4; IF BLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_I_R4 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW4; IF BLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_J_R4 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW4; IF BLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_K_R4 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW4; IF BLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_L_R4 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW4; IF BLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_M_R4 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW4; IF BLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_N_R4 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R4; SET COL_C_R4; ROW=4; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R4; SET COL_D_R4; ROW=4; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R4; SET COL_E_R4; ROW=4; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R4; SET COL_F_R4; ROW=4; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R4; SET COL_G_R4; ROW=4; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R4; SET COL_H_R4; ROW=4; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R4; SET COL_I_R4; ROW=4; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R4; SET COL_J_R4; ROW=4; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R4; SET COL_K_R4; ROW=4; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R4; SET COL_L_R4; ROW=4; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R4; SET COL_M_R4; ROW=4; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R4; SET COL_N_R4; ROW=4; KEEP ROW N_N SUM_N; RUN;

DATA ROW4; MERGE COL_C_R4 COL_D_R4 COL_E_R4 COL_F_R4 COL_G_R4 COL_H_R4 COL_I_R4 
COL_J_R4 COL_K_R4 COL_L_R4 COL_M_R4 COL_N_R4; BY ROW; RUN;



**********************************************************************;
DATA FOR_ROW5; SET BACKWARD; IF IN09_PLUMB='2' AND IN09_ISTATUS='1';RUN;

DATA COLUMN_C ; SET FOR_ROW5; IF BLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=cOL_C_R5 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW5; IF BLSTATUS=1 AND IN04_PLUMB='2' AND IN04_ISTATUS='1'; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_D_R5 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW5; 
IF BLSTATUS=1 AND NOT(IN04_PLUMB='2' AND IN04_ISTATUS='1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_E_R5 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW5; IF BLSTATUS=2 AND (IN04_PLUMB='2' AND IN04_ISTATUS='1'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R5 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW5; IF BLSTATUS=2 AND NOT(IN04_PLUMB='2' AND IN04_ISTATUS='1'); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_G_R5 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW5; IF BLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_H_R5 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW5; IF BLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_I_R5 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW5; IF BLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_J_R5 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW5; IF BLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_K_R5 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW5; IF BLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_L_R5 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW5; IF BLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_M_R5 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW5; IF BLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_N_R5 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R5; SET COL_C_R5; ROW=5; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R5; SET COL_D_R5; ROW=5; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R5; SET COL_E_R5; ROW=5; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R5; SET COL_F_R5; ROW=5; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R5; SET COL_G_R5; ROW=5; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R5; SET COL_H_R5; ROW=5; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R5; SET COL_I_R5; ROW=5; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R5; SET COL_J_R5; ROW=5; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R5; SET COL_K_R5; ROW=5; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R5; SET COL_L_R5; ROW=5; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R5; SET COL_M_R5; ROW=5; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R5; SET COL_N_R5; ROW=5; KEEP ROW N_N SUM_N; RUN;

DATA ROW5; MERGE COL_C_R5 COL_D_R5 COL_E_R5 COL_F_R5 COL_G_R5 COL_H_R5 COL_I_R5 
COL_J_R5 COL_K_R5 COL_L_R5 COL_M_R5 COL_N_R5; BY ROW; RUN;



*************************************************************************;
DATA FOR_ROW6; SET BACKWARD; IF IN09_ISTATUS='1' AND (IN09_HOTPIP='2');RUN;

DATA COLUMN_C ; SET FOR_ROW6; IF BLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=cOL_C_R6 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW6; IF BLSTATUS=1 AND IN04_ISTATUS='1' AND IN04_HOTPIP='2'; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_D_R6 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW6; 
IF BLSTATUS=1 AND NOT(IN04_ISTATUS='1' AND IN04_HOTPIP='2'); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_E_R6 N=N_E SUM=SUM_E ;RUN;
DATA COLUMN_F ; SET FOR_ROW6; IF BLSTATUS=2 AND (IN04_ISTATUS='1' AND IN04_HOTPIP='2'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R6 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW6; IF BLSTATUS=2 AND NOT(IN04_ISTATUS='1' AND IN04_HOTPIP='2'); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_G_R6 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW6; IF BLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_H_R6 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW6; IF BLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_I_R6 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW6; IF BLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_J_R6 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW6; IF BLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_K_R6 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW6; IF BLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_L_R6 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW6; IF BLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_M_R6 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW6; IF BLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_N_R6 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R6; SET COL_C_R6; ROW=6; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R6; SET COL_D_R6; ROW=6; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R6; SET COL_E_R6; ROW=6; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R6; SET COL_F_R6; ROW=6; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R6; SET COL_G_R6; ROW=6; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R6; SET COL_H_R6; ROW=6; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R6; SET COL_I_R6; ROW=6; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R6; SET COL_J_R6; ROW=6; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R6; SET COL_K_R6; ROW=6; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R6; SET COL_L_R6; ROW=6; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R6; SET COL_M_R6; ROW=6; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R6; SET COL_N_R6; ROW=6; KEEP ROW N_N SUM_N; RUN;

DATA ROW6; MERGE COL_C_R6 COL_D_R6 COL_E_R6 COL_F_R6 COL_G_R6 COL_H_R6 COL_I_R6 
COL_J_R6 COL_K_R6 COL_L_R6 COL_M_R6 COL_N_R6; BY ROW; RUN;


*********************************************************************;
DATA FOR_ROW7; SET BACKWARD; IF IN09_ISTATUS='1' AND IN09_TUB='2';RUN;


DATA COLUMN_C ; SET FOR_ROW7; IF BLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=cOL_C_R7 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW7; IF BLSTATUS=1 AND IN04_ISTATUS='1' AND IN04_TUB='2'; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_D_R7 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW7; IF BLSTATUS=1 AND NOT(IN04_ISTATUS='1' AND IN04_TUB='2') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_E_R7 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW7; IF BLSTATUS=2 AND (IN04_ISTATUS='1' AND IN04_TUB='2'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R7 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW7; IF BLSTATUS=2 AND NOT(IN04_ISTATUS='1' AND IN04_TUB='2'); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_G_R7 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW7; IF BLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_H_R7 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW7; IF BLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_I_R7 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW7; IF BLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_J_R7 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW7; IF BLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_K_R7 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW7; IF BLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_L_R7 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW7; IF BLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_M_R7 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW7; IF BLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_N_R7 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R7; SET COL_C_R7; ROW=7; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R7; SET COL_D_R7; ROW=7; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R7; SET COL_E_R7; ROW=7; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R7; SET COL_F_R7; ROW=7; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R7; SET COL_G_R7; ROW=7; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R7; SET COL_H_R7; ROW=7; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R7; SET COL_I_R7; ROW=7; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R7; SET COL_J_R7; ROW=7; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R7; SET COL_K_R7; ROW=7; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R7; SET COL_L_R7; ROW=7; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R7; SET COL_M_R7; ROW=7; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R7; SET COL_N_R7; ROW=7; KEEP ROW N_N SUM_N; RUN;

DATA ROW7; MERGE COL_C_R7 COL_D_R7 COL_E_R7 COL_F_R7 COL_G_R7 COL_H_R7 COL_I_R7 
COL_J_R7 COL_K_R7 COL_L_R7 COL_M_R7 COL_N_R7; BY ROW; RUN;



*********************************************************************;
DATA FOR_ROW8; SET BACKWARD; IF IN09_ISTATUS='1' AND IN09_TOILET='2';RUN;

DATA COLUMN_C ; SET FOR_ROW8; IF BLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=cOL_C_R8 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW8; IF BLSTATUS=1 AND IN04_ISTATUS='1' AND IN04_TOILET='2'; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_D_R8 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW8; IF BLSTATUS=1 AND NOT(IN04_ISTATUS='1' AND IN04_TOILET='2'); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_E_R8 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW8; IF BLSTATUS=2 AND (IN04_ISTATUS='1' AND IN04_TOILET='2'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R8 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW8; IF BLSTATUS=2 AND NOT(IN04_ISTATUS='1' AND IN04_TOILET='2'); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_G_R8 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW8; IF BLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_H_R8 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW8; IF BLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_I_R8 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW8; IF BLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_J_R8 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW8; IF BLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_K_R8 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW8; IF BLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_L_R8 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW8; IF BLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_M_R8 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW8; IF BLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_N_R8 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R8; SET COL_C_R8; ROW=8; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R8; SET COL_D_R8; ROW=8; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R8; SET COL_E_R8; ROW=8; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R8; SET COL_F_R8; ROW=8; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R8; SET COL_G_R8; ROW=8; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R8; SET COL_H_R8; ROW=8; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R8; SET COL_I_R8; ROW=8; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R8; SET COL_J_R8; ROW=8; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R8; SET COL_K_R8; ROW=8; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R8; SET COL_L_R8; ROW=8; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R8; SET COL_M_R8; ROW=8; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R8; SET COL_N_R8; ROW=8; KEEP ROW N_N SUM_N; RUN;

DATA ROW8; MERGE COL_C_R8 COL_D_R8 COL_E_R8 COL_F_R8 COL_G_R8 COL_H_R8 COL_I_R8 
COL_J_R8 COL_K_R8 COL_L_R8 COL_M_R8 COL_N_R8; BY ROW; RUN;



**************************************************************************;

DATA FOR_ROW9; SET BACKWARD; IF IN09_ISTATUS='1' AND 
IN09_PLUMB='2' AND (IN09_HOTPIP='1' AND IN09_TOILET='1' AND IN09_TUB='1');RUN;

DATA COLUMN_C ; SET FOR_ROW9; IF BLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=cOL_C_R9 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW9; IF BLSTATUS=1 AND IN04_ISTATUS='1' AND
 IN04_PLUMB='2' AND (IN04_HOTPIP='1' AND IN04_TOILET='1' AND IN04_TUB='1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_D_R9 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW9; IF BLSTATUS=1 AND NOT(IN04_ISTATUS='1'
AND IN04_PLUMB='2' AND (IN04_HOTPIP='1' AND IN04_TOILET='1' AND IN04_TUB='1')) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_E_R9 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW9; IF BLSTATUS=2 AND (IN04_ISTATUS='1'
AND IN04_PLUMB='2' AND (IN04_HOTPIP='1' AND IN04_TOILET='1' AND IN04_TUB='1')); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R9 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW9; IF BLSTATUS=2 AND NOT(IN04_ISTATUS='1'
AND IN04_PLUMB='2' AND (IN04_HOTPIP='1' AND IN04_TOILET='1' AND IN04_TUB='1')); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_G_R9 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW9; IF BLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_H_R9 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW9; IF BLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_I_R9 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW9; IF BLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_J_R9 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW9; IF BLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_K_R9 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW9; IF BLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_L_R9 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW9; IF BLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_M_R9 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW9; IF BLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_N_R9 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R9; SET COL_C_R9; ROW=9; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R9; SET COL_D_R9; ROW=9; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R9; SET COL_E_R9; ROW=9; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R9; SET COL_F_R9; ROW=9; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R9; SET COL_G_R9; ROW=9; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R9; SET COL_H_R9; ROW=9; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R9; SET COL_I_R9; ROW=9; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R9; SET COL_J_R9; ROW=9; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R9; SET COL_K_R9; ROW=9; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R9; SET COL_L_R9; ROW=9; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R9; SET COL_M_R9; ROW=9; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R9; SET COL_N_R9; ROW=9; KEEP ROW N_N SUM_N; RUN;

DATA ROW9; MERGE COL_C_R9 COL_D_R9 COL_E_R9 COL_F_R9 COL_G_R9 COL_H_R9 COL_I_R9 
COL_J_R9 COL_K_R9 COL_L_R9 COL_M_R9 COL_N_R9; BY ROW; RUN;


**************************************************************************;
DATA FOR_ROW10; SET BACKWARD; IF IN09_ISTATUS='1' AND IN09_WATER='1';RUN;

DATA COLUMN_C ; SET FOR_ROW10; IF BLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=cOL_C_R10 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW10; IF BLSTATUS=1 AND IN04_ISTATUS='1' AND IN04_WATER='1'; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_D_R10 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW10; IF BLSTATUS=1 AND NOT(IN04_ISTATUS='1' AND IN04_WATER='1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_E_R10 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW10; IF BLSTATUS=2 AND (IN04_ISTATUS='1' AND IN04_WATER='1'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R10 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW10; IF BLSTATUS=2 AND NOT(IN04_ISTATUS='1' AND IN04_WATER='1'); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_G_R10 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW10; IF BLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_H_R10 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW10; IF BLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_I_R10 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW10; IF BLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_J_R10 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW10; IF BLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_K_R10 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW10; IF BLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_L_R10 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW10; IF BLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_M_R10 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW10; IF BLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_N_R10 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R10; SET COL_C_R10; ROW=10; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R10; SET COL_D_R10; ROW=10; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R10; SET COL_E_R10; ROW=10; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R10; SET COL_F_R10; ROW=10; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R10; SET COL_G_R10; ROW=10; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R10; SET COL_H_R10; ROW=10; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R10; SET COL_I_R10; ROW=10; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R10; SET COL_J_R10; ROW=10; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R10; SET COL_K_R10; ROW=10; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R10; SET COL_L_R10; ROW=10; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R10; SET COL_M_R10; ROW=10; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R10; SET COL_N_R10; ROW=10; KEEP ROW N_N SUM_N; RUN;

DATA ROW10; MERGE COL_C_R10 COL_D_R10 COL_E_R10 COL_F_R10 COL_G_R10 COL_H_R10 COL_I_R10 
COL_J_R10 COL_K_R10 COL_L_R10 COL_M_R10 COL_N_R10; BY ROW; RUN;

*********************************************************************;
DATA FOR_ROW11; SET BACKWARD; IF  IN09_ISTATUS='1' AND IN09_WATER='2' ;RUN;


DATA COLUMN_C ; SET FOR_ROW11; IF BLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=cOL_C_R11 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW11; IF BLSTATUS=1 AND IN04_ISTATUS='1' AND IN04_WATER='2'; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_D_R11 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW11; IF BLSTATUS=1 AND NOT(IN04_ISTATUS='1' AND IN04_WATER='2') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_E_R11 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW11; IF BLSTATUS=2 AND (IN04_ISTATUS='1' AND IN04_WATER='2') ; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R11 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW11; IF BLSTATUS=2 AND NOT(IN04_ISTATUS='1' AND IN04_WATER='2') ; RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_G_R11 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW11; IF BLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_H_R11 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW11; IF BLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_I_R11 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW11; IF BLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_J_R11 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW11; IF BLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_K_R11 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW11; IF BLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_L_R11 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW11; IF BLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_M_R11 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW11; IF BLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_N_R11 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R11; SET COL_C_R11; ROW=11; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R11; SET COL_D_R11; ROW=11; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R11; SET COL_E_R11; ROW=11; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R11; SET COL_F_R11; ROW=11; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R11; SET COL_G_R11; ROW=11; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R11; SET COL_H_R11; ROW=11; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R11; SET COL_I_R11; ROW=11; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R11; SET COL_J_R11; ROW=11; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R11; SET COL_K_R11; ROW=11; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R11; SET COL_L_R11; ROW=11; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R11; SET COL_M_R11; ROW=11; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R11; SET COL_N_R11; ROW=11; KEEP ROW N_N SUM_N; RUN;

DATA ROW11; MERGE COL_C_R11 COL_D_R11 COL_E_R11 COL_F_R11 COL_G_R11 COL_H_R11 COL_I_R11 
COL_J_R11 COL_K_R11 COL_L_R11 COL_M_R11 COL_N_R11; BY ROW; RUN;


*********************************************************************;
DATA FOR_ROW12; SET BACKWARD; IF  IN09_ISTATUS ='1' AND (IN09_WATER ='3' 
OR IN09_WATER='4' OR IN09_WATER='5' OR IN09_WATER='6' OR IN09_WATER='7');RUN;


DATA COLUMN_C ; SET FOR_ROW12; IF BLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=cOL_C_R12 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW12; IF BLSTATUS=1 AND (IN04_ISTATUS ='1' AND (IN04_WATER ='3' 
OR IN04_WATER='4' OR IN04_WATER='5' OR IN04_WATER='6' OR IN04_WATER='7')); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_D_R12 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW12; IF BLSTATUS=1 AND NOT( IN04_ISTATUS ='1' AND (IN04_WATER ='3' 
OR IN04_WATER='4' OR IN04_WATER='5' OR IN04_WATER='6' OR IN04_WATER='7')) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_E_R12 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW12; IF BLSTATUS=2 AND ( IN04_ISTATUS ='1' AND (IN04_WATER ='3' 
OR IN04_WATER='4' OR IN04_WATER='5' OR IN04_WATER='6' OR IN04_WATER='7')); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R12 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW12; IF BLSTATUS=2 AND NOT( IN04_ISTATUS ='1' AND (IN04_WATER ='3' 
OR IN04_WATER='4' OR IN04_WATER='5' OR IN04_WATER='6' OR IN04_WATER='7')); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_G_R12 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW12; IF BLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_H_R12 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW12; IF BLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_I_R12 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW12; IF BLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_J_R12 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW12; IF BLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_K_R12 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW12; IF BLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_L_R12 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW12; IF BLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_M_R12 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW12; IF BLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_N_R12 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R12; SET COL_C_R12; ROW=12; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R12; SET COL_D_R12; ROW=12; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R12; SET COL_E_R12; ROW=12; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R12; SET COL_F_R12; ROW=12; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R12; SET COL_G_R12; ROW=12; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R12; SET COL_H_R12; ROW=12; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R12; SET COL_I_R12; ROW=12; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R12; SET COL_J_R12; ROW=12; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R12; SET COL_K_R12; ROW=12; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R12; SET COL_L_R12; ROW=12; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R12; SET COL_M_R12; ROW=12; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R12; SET COL_N_R12; ROW=12; KEEP ROW N_N SUM_N; RUN;

DATA ROW12; MERGE COL_C_R12 COL_D_R12 COL_E_R12 COL_F_R12 COL_G_R12 COL_H_R12 COL_I_R12 
COL_J_R12 COL_K_R12 COL_L_R12 COL_M_R12 COL_N_R12; BY ROW; RUN;



***********************************************************************;
DATA FOR_ROW13; SET BACKWARD; IF IN09_ISTATUS='1' AND IN09_PUBSEW='1' ;RUN;


DATA COLUMN_C ; SET FOR_ROW13; IF BLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=cOL_C_R13 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW13; IF BLSTATUS=1 AND (IN04_ISTATUS='1' AND IN04_PUBSEW='1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_D_R13 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW13; IF BLSTATUS=1 AND NOT(IN04_ISTATUS='1' AND IN04_PUBSEW='1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_E_R13 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW13; IF BLSTATUS=2 AND (IN04_ISTATUS='1' AND IN04_PUBSEW='1'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R13 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW13; IF BLSTATUS=2 AND NOT(IN04_ISTATUS='1' AND IN04_PUBSEW='1'); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_G_R13 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW13; IF BLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_H_R13 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW13; IF BLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_I_R13 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW13; IF BLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_J_R13 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW13; IF BLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_K_R13 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW13; IF BLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_L_R13 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW13; IF BLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_M_R13 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW13; IF BLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_N_R13 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R13; SET COL_C_R13; ROW=13; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R13; SET COL_D_R13; ROW=13; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R13; SET COL_E_R13; ROW=13; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R13; SET COL_F_R13; ROW=13; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R13; SET COL_G_R13; ROW=13; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R13; SET COL_H_R13; ROW=13; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R13; SET COL_I_R13; ROW=13; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R13; SET COL_J_R13; ROW=13; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R13; SET COL_K_R13; ROW=13; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R13; SET COL_L_R13; ROW=13; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R13; SET COL_M_R13; ROW=13; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R13; SET COL_N_R13; ROW=13; KEEP ROW N_N SUM_N; RUN;

DATA ROW13; MERGE COL_C_R13 COL_D_R13 COL_E_R13 COL_F_R13 COL_G_R13 COL_H_R13 COL_I_R13 
COL_J_R13 COL_K_R13 COL_L_R13 COL_M_R13 COL_N_R13; BY ROW; RUN;



***********************************************************************;

DATA FOR_ROW14; SET BACKWARD; IF  IN09_ISTATUS='1' AND IN09_SEWDIS='1';RUN;


DATA COLUMN_C ; SET FOR_ROW14; IF BLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=cOL_C_R14 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW14; IF BLSTATUS=1 AND (IN04_ISTATUS='1' AND IN04_SEWDIS='1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_D_R14 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW14; IF BLSTATUS=1 AND NOT(IN04_ISTATUS='1' AND IN04_SEWDIS='1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_E_R14 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW14; IF BLSTATUS=2 AND (IN04_ISTATUS='1' AND IN04_SEWDIS='1'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R14 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW14; IF BLSTATUS=2 AND NOT(IN04_ISTATUS='1' AND IN04_SEWDIS='1'); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_G_R14 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW14; IF BLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_H_R14 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW14; IF BLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_I_R14 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW14; IF BLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_J_R14 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW14; IF BLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_K_R14 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW14; IF BLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_L_R14 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW14; IF BLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_M_R14 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW14; IF BLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_N_R14 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R14; SET COL_C_R14; ROW=14; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R14; SET COL_D_R14; ROW=14; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R14; SET COL_E_R14; ROW=14; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R14; SET COL_F_R14; ROW=14; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R14; SET COL_G_R14; ROW=14; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R14; SET COL_H_R14; ROW=14; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R14; SET COL_I_R14; ROW=14; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R14; SET COL_J_R14; ROW=14; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R14; SET COL_K_R14; ROW=14; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R14; SET COL_L_R14; ROW=14; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R14; SET COL_M_R14; ROW=14; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R14; SET COL_N_R14; ROW=14; KEEP ROW N_N SUM_N; RUN;

DATA ROW14; MERGE COL_C_R14 COL_D_R14 COL_E_R14 COL_F_R14 COL_G_R14 COL_H_R14 COL_I_R14 
COL_J_R14 COL_K_R14 COL_L_R14 COL_M_R14 COL_N_R14; BY ROW; RUN;


***********************************************************************;

DATA FOR_ROW15; SET BACKWARD; IF IN09_ISTATUS='1' AND 
(IN09_SEWDIS='2' OR IN09_SEWDIS='3' OR IN09_SEWDIS='4' OR IN09_SEWDIS='5');RUN;



DATA COLUMN_C ; SET FOR_ROW15; IF BLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=cOL_C_R15 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW15; IF BLSTATUS=1 AND (IN04_ISTATUS='1' AND 
(IN04_SEWDIS='2' OR IN04_SEWDIS='3' OR IN04_SEWDIS='4' OR IN04_SEWDIS='5')); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_D_R15 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW15; IF BLSTATUS=1 AND NOT(IN04_ISTATUS='1' AND 
(IN04_SEWDIS='2' OR IN04_SEWDIS='3' OR IN04_SEWDIS='4' OR IN04_SEWDIS='5')) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_E_R15 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW15; IF BLSTATUS=2 AND (IN04_ISTATUS='1' AND 
(IN04_SEWDIS='2' OR IN04_SEWDIS='3' OR IN04_SEWDIS='4' OR IN04_SEWDIS='5')); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R15 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW15; IF BLSTATUS=2 AND NOT(IN04_ISTATUS='1' AND 
(IN04_SEWDIS='2' OR IN04_SEWDIS='3' OR IN04_SEWDIS='4' OR IN04_SEWDIS='5')); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_G_R15 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW15; IF BLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_H_R15 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW15; IF BLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_I_R15 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW15; IF BLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_J_R15 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW15; IF BLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_K_R15 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW15; IF BLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_L_R15 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW15; IF BLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_M_R15 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW15; IF BLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_N_R15 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R15; SET COL_C_R15; ROW=15; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R15; SET COL_D_R15; ROW=15; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R15; SET COL_E_R15; ROW=15; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R15; SET COL_F_R15; ROW=15; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R15; SET COL_G_R15; ROW=15; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R15; SET COL_H_R15; ROW=15; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R15; SET COL_I_R15; ROW=15; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R15; SET COL_J_R15; ROW=15; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R15; SET COL_K_R15; ROW=15; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R15; SET COL_L_R15; ROW=15; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R15; SET COL_M_R15; ROW=15; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R15; SET COL_N_R15; ROW=15; KEEP ROW N_N SUM_N; RUN;

DATA ROW15; MERGE COL_C_R15 COL_D_R15 COL_E_R15 COL_F_R15 COL_G_R15 COL_H_R15 COL_I_R15 
COL_J_R15 COL_K_R15 COL_L_R15 COL_M_R15 COL_N_R15; BY ROW; RUN;



*********************************************************************;
DATA BACKWARD; SET BACKWARD;

IN09_SPLUMB=0;
IF IN09_PLUMB='2' THEN IN09_SPLUMB=1;

IN04_SPLUMB=0;
IF IN04_PLUMB='2' THEN IN04_SPLUMB=1;

RUN;

DATA FOR_ROW16; SET BACKWARD; IF  IN09_ISTATUS='1' AND IN09_SPLUMB=1  ;RUN;


DATA COLUMN_C ; SET FOR_ROW16; IF BLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=cOL_C_R16 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW16; IF BLSTATUS=1 AND (IN04_ISTATUS='1' AND IN04_SPLUMB=1); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_D_R16 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW16; IF BLSTATUS=1 AND NOT(IN04_ISTATUS='1' AND IN04_SPLUMB=1) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_E_R16 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW16; IF BLSTATUS=2 AND (IN04_ISTATUS='1' AND IN04_SPLUMB=1); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R16 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW16; IF BLSTATUS=2 AND NOT(IN04_ISTATUS='1' AND IN04_SPLUMB=1); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_G_R16 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW16; IF BLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_H_R16 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW16; IF BLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_I_R16 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW16; IF BLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_J_R16 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW16; IF BLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_K_R16 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW16; IF BLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_L_R16 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW16; IF BLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_M_R16 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW16; IF BLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_N_R16 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R16; SET COL_C_R16; ROW=16; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R16; SET COL_D_R16; ROW=16; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R16; SET COL_E_R16; ROW=16; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R16; SET COL_F_R16; ROW=16; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R16; SET COL_G_R16; ROW=16; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R16; SET COL_H_R16; ROW=16; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R16; SET COL_I_R16; ROW=16; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R16; SET COL_J_R16; ROW=16; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R16; SET COL_K_R16; ROW=16; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R16; SET COL_L_R16; ROW=16; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R16; SET COL_M_R16; ROW=16; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R16; SET COL_N_R16; ROW=16; KEEP ROW N_N SUM_N; RUN;

DATA ROW16; MERGE COL_C_R16 COL_D_R16 COL_E_R16 COL_F_R16 COL_G_R16 COL_H_R16 COL_I_R16 
COL_J_R16 COL_K_R16 COL_L_R16 COL_M_R16 COL_N_R16; BY ROW; RUN;




*********************************************************************;
DATA BACKWARD; SET BACKWARD;
IN09_SHEAT=0;
IF IN09_FREEZE='1' AND (IN09_NUMCOLD='3' OR IN09_NUMCOLD='4' OR IN09_NUMCOLD='5'
 OR IN09_NUMCOLD='6' OR IN09_NUMCOLD='7' OR IN09_NUMCOLD='8') THEN IN09_SHEAT=1;

IN04_SHEAT=0;
IF IN04_FREEZE='1' AND (IN04_NUMCOLD='3' OR IN04_NUMCOLD='4' OR IN04_NUMCOLD='5'
 OR IN04_NUMCOLD='6' OR IN04_NUMCOLD='7' OR IN04_NUMCOLD='8')  THEN IN04_SHEAT=1;
RUN;

DATA FOR_ROW17; SET BACKWARD; IF IN09_ISTATUS='1' AND IN09_SHEAT=1;RUN;


DATA COLUMN_C ; SET FOR_ROW17; IF BLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=cOL_C_R17 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW17; IF BLSTATUS=1 AND (IN04_ISTATUS='1' AND IN04_SHEAT=1); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_D_R17 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW17; IF BLSTATUS=1 AND NOT(IN04_ISTATUS='1' AND IN04_SHEAT=1) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_E_R17 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW17; IF BLSTATUS=2 AND (IN04_ISTATUS='1' AND IN04_SHEAT=1); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R17 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW17; IF BLSTATUS=2 AND NOT(IN04_ISTATUS='1' AND IN04_SHEAT=1); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_G_R17 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW17; IF BLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_H_R17 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW17; IF BLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_I_R17 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW17; IF BLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_J_R17 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW17; IF BLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_K_R17 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW17; IF BLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_L_R17 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW17; IF BLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_M_R17 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW17; IF BLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_N_R17 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R17; SET COL_C_R17; ROW=17; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R17; SET COL_D_R17; ROW=17; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R17; SET COL_E_R17; ROW=17; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R17; SET COL_F_R17; ROW=17; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R17; SET COL_G_R17; ROW=17; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R17; SET COL_H_R17; ROW=17; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R17; SET COL_I_R17; ROW=17; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R17; SET COL_J_R17; ROW=17; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R17; SET COL_K_R17; ROW=17; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R17; SET COL_L_R17; ROW=17; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R17; SET COL_M_R17; ROW=17; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R17; SET COL_N_R17; ROW=17; KEEP ROW N_N SUM_N; RUN;

DATA ROW17; MERGE COL_C_R17 COL_D_R17 COL_E_R17 COL_F_R17 COL_G_R17 COL_H_R17 COL_I_R17 
COL_J_R17 COL_K_R17 COL_L_R17 COL_M_R17 COL_N_R17; BY ROW; RUN;


*********************************************************************;
DATA BACKWARD; SET BACKWARD;
IN09_SELEC=0;

IF IN09_BUYE='1' OR (IN09_NOWIRE='2' AND IN09_PLUGS='2' AND
 
(IN09_NUMBLOW='3' OR IN09_NUMBLOW='4' OR IN09_NUMBLOW='5' OR IN09_NUMBLOW='6'
 OR IN09_NUMBLOW='7' OR IN09_NUMBLOW='8')) THEN IN09_SELEC= 1;

IN04_SELEC=0;
IF IN04_BUYE='1' OR (IN04_NOWIRE='2' AND IN04_PLUGS='2' AND
 (IN04_NUMBLOW='3' OR IN04_NUMBLOW='4' OR IN04_NUMBLOW='5' OR IN04_NUMBLOW='6'
 OR IN04_NUMBLOW='7' OR IN04_NUMBLOW='8'))
 THEN IN04_SELEC= 1; RUN;

DATA FOR_ROW18; SET BACKWARD; IF IN09_ISTATUS='1' AND IN09_SELEC=1;RUN;


DATA COLUMN_C ; SET FOR_ROW18; IF BLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=cOL_C_R18 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW18; IF BLSTATUS=1 AND (IN04_ISTATUS='1' AND IN04_SELEC=1); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_D_R18 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW18; IF BLSTATUS=1 AND NOT(IN04_ISTATUS='1' AND IN04_SELEC=1) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_E_R18 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW18; IF BLSTATUS=2 AND (IN04_ISTATUS='1' AND IN04_SELEC=1); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R18 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW18; IF BLSTATUS=2 AND NOT(IN04_ISTATUS='1' AND IN04_SELEC=1); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_G_R18 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW18; IF BLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_H_R18 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW18; IF BLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_I_R18 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW18; IF BLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_J_R18 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW18; IF BLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_K_R18 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW18; IF BLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_L_R18 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW18; IF BLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_M_R18 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW18; IF BLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_N_R18 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R18; SET COL_C_R18; ROW=18; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R18; SET COL_D_R18; ROW=18; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R18; SET COL_E_R18; ROW=18; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R18; SET COL_F_R18; ROW=18; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R18; SET COL_G_R18; ROW=18; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R18; SET COL_H_R18; ROW=18; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R18; SET COL_I_R18; ROW=18; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R18; SET COL_J_R18; ROW=18; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R18; SET COL_K_R18; ROW=18; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R18; SET COL_L_R18; ROW=18; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R18; SET COL_M_R18; ROW=18; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R18; SET COL_N_R18; ROW=18; KEEP ROW N_N SUM_N; RUN;

DATA ROW18; MERGE COL_C_R18 COL_D_R18 COL_E_R18 COL_F_R18 COL_G_R18 COL_H_R18 COL_I_R18 
COL_J_R18 COL_K_R18 COL_L_R18 COL_M_R18 COL_N_R18; BY ROW; RUN;

*********************************************************************;

DATA BACKWARD; SET BACKWARD;
IN09_SUPKEEP=0;
IN09_MUPKEEP=0;
N = 0;
IF IN09_LEAK ='1' THEN N = N +1;
IF IN09_ILEAK ='1' THEN N= N+1;
IF IN09_HOLES='1' THEN N=N+1;
IF IN09_CRACKS='1' THEN N=N+1;
IF IN09_BIGP='1' THEN N=N+1;
IF IN09_RATS='X' THEN N=N+1;
IF N GE 5 THEN IN09_SUPKEEP = 1;
IF 3 LE N LE 4 THEN IN09_MUPKEEP=1;

IN04_SUPKEEP=0;
IN04_MUPKEEP=0;
N = 0;
IF IN04_LEAK ='1' THEN N = N +1;
IF IN04_ILEAK ='1' THEN N= N+1;
IF IN04_HOLES='1' THEN N=N+1;
IF IN04_CRACKS = '1' THEN N=N+1;
IF IN04_BIGP='1' THEN N=N+1;
IF IN04_RATS='X' THEN N=N+1;
IF N GE 5 THEN IN04_SUPKEEP = 1;
IF 3 LE N LE 4 THEN IN04_MUPKEEP = 1;

RUN;

DATA FOR_ROW19; SET BACKWARD; IF  IN09_ISTATUS='1' AND IN09_SUPKEEP=1;RUN;


DATA COLUMN_C ; SET FOR_ROW19; IF BLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=cOL_C_R19 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW19; IF BLSTATUS=1 AND (IN04_ISTATUS='1' AND IN04_SUPKEEP=1); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_D_R19 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW19; IF BLSTATUS=1 AND NOT(IN04_ISTATUS='1' AND IN04_SUPKEEP=1) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_E_R19 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW19; IF BLSTATUS=2 AND (IN04_ISTATUS='1' AND IN04_SUPKEEP=1); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R19 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW19; IF BLSTATUS=2 AND NOT(IN04_ISTATUS='1' AND IN04_SUPKEEP=1); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_G_R19 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW19; IF BLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_H_R19 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW19; IF BLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_I_R19 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW19; IF BLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_J_R19 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW19; IF BLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_K_R19 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW19; IF BLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_L_R19 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW19; IF BLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_M_R19 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW19; IF BLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_N_R19 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R19; SET COL_C_R19; ROW=19; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R19; SET COL_D_R19; ROW=19; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R19; SET COL_E_R19; ROW=19; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R19; SET COL_F_R19; ROW=19; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R19; SET COL_G_R19; ROW=19; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R19; SET COL_H_R19; ROW=19; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R19; SET COL_I_R19; ROW=19; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R19; SET COL_J_R19; ROW=19; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R19; SET COL_K_R19; ROW=19; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R19; SET COL_L_R19; ROW=19; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R19; SET COL_M_R19; ROW=19; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R19; SET COL_N_R19; ROW=19; KEEP ROW N_N SUM_N; RUN;

DATA ROW19; MERGE COL_C_R19 COL_D_R19 COL_E_R19 COL_F_R19 COL_G_R19 COL_H_R19 COL_I_R19 
COL_J_R19 COL_K_R19 COL_L_R19 COL_M_R19 COL_N_R19; BY ROW; RUN;




*********************************************************************;


DATA BACKWARD; SET BACKWARD;
IN09_SPROB = IN09_SPLUMB + IN09_SHEAT + IN09_SELEC + IN09_SUPKEEP ;
IN04_SPROB = IN04_SPLUMB + IN04_SHEAT + IN04_SELEC + IN04_SUPKEEP ;

DATA FOR_ROW20; SET BACKWARD; IF IN09_ISTATUS='1' AND IN09_SPROB GE 1 ;RUN;


DATA COLUMN_C ; SET FOR_ROW20; IF BLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=cOL_C_R20 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW20; IF BLSTATUS=1 AND (IN04_ISTATUS='1' AND IN04_SPROB GE 1); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_D_R20 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW20; IF BLSTATUS=1 AND NOT(IN04_ISTATUS='1' AND IN04_SPROB GE 1) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_E_R20 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW20; IF BLSTATUS=2 AND (IN04_ISTATUS='1' AND IN04_SPROB GE 1); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R20 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW20; IF BLSTATUS=2 AND NOT(IN04_ISTATUS='1' AND IN04_SPROB GE 1); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_G_R20 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW20; IF BLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_H_R20 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW20; IF BLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_I_R20 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW20; IF BLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_J_R20 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW20; IF BLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_K_R20 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW20; IF BLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_L_R20 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW20; IF BLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_M_R20 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW20; IF BLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_N_R20 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R20; SET COL_C_R20; ROW=20; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R20; SET COL_D_R20; ROW=20; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R20; SET COL_E_R20; ROW=20; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R20; SET COL_F_R20; ROW=20; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R20; SET COL_G_R20; ROW=20; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R20; SET COL_H_R20; ROW=20; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R20; SET COL_I_R20; ROW=20; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R20; SET COL_J_R20; ROW=20; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R20; SET COL_K_R20; ROW=20; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R20; SET COL_L_R20; ROW=20; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R20; SET COL_M_R20; ROW=20; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R20; SET COL_N_R20; ROW=20; KEEP ROW N_N SUM_N; RUN;

DATA ROW20; MERGE COL_C_R20 COL_D_R20 COL_E_R20 COL_F_R20 COL_G_R20 COL_H_R20 COL_I_R20 
COL_J_R20 COL_K_R20 COL_L_R20 COL_M_R20 COL_N_R20; BY ROW; RUN;


*********************************************************************;
DATA BACKWARD; SET BACKWARD;
IN09_MPLUMB = 0;

IF (IN09_NUMTLT='3' OR IN09_NUMTLT='4' OR IN09_NUMTLT='5' OR IN09_NUMTLT='6'
OR IN09_NUMTLT='7' OR IN09_NUMTLT='8') THEN IN09_MPLUMB=1;

IN04_MPLUMB = 0;
 
IF (IN04_NUMTLT='3' OR IN04_NUMTLT='4' OR IN04_NUMTLT='5' OR IN04_NUMTLT='6'
OR IN04_NUMTLT='7' OR IN04_NUMTLT='8') THEN IN04_MPLUMB = 1;RUN;
**********************************************************************************************;

DATA FOR_ROW21; SET BACKWARD; IF  IN09_ISTATUS='1' AND IN09_MPLUMB=1;RUN;


DATA COLUMN_C ; SET FOR_ROW21; IF BLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=cOL_C_R21 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW21; IF BLSTATUS=1 AND (IN04_ISTATUS='1' AND IN04_MPLUMB=1); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_D_R21 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW21; IF BLSTATUS=1 AND NOT(IN04_ISTATUS='1' AND IN04_MPLUMB=1) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_E_R21 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW21; IF BLSTATUS=2 AND (IN04_ISTATUS='1' AND IN04_MPLUMB=1); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R21 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW21; IF BLSTATUS=2 AND NOT(IN04_ISTATUS='1' AND IN04_MPLUMB=1); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_G_R21 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW21; IF BLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_H_R21 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW21; IF BLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_I_R21 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW21; IF BLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_J_R21 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW21; IF BLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_K_R21 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW21; IF BLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_L_R21 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW21; IF BLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_M_R21 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW21; IF BLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_N_R21 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R21; SET COL_C_R21; ROW=21; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R21; SET COL_D_R21; ROW=21; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R21; SET COL_E_R21; ROW=21; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R21; SET COL_F_R21; ROW=21; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R21; SET COL_G_R21; ROW=21; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R21; SET COL_H_R21; ROW=21; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R21; SET COL_I_R21; ROW=21; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R21; SET COL_J_R21; ROW=21; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R21; SET COL_K_R21; ROW=21; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R21; SET COL_L_R21; ROW=21; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R21; SET COL_M_R21; ROW=21; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R21; SET COL_N_R21; ROW=21; KEEP ROW N_N SUM_N; RUN;

DATA ROW21; MERGE COL_C_R21 COL_D_R21 COL_E_R21 COL_F_R21 COL_G_R21 COL_H_R21 COL_I_R21 
COL_J_R21 COL_K_R21 COL_L_R21 COL_M_R21 COL_N_R21; BY ROW; RUN;



*********************************************************************;
DATA BACKWARD; SET BACKWARD;
IN09_MHEAT = 0 ;
If  IN09_HEQUIP = 7 THEN IN09_MHEAT=1;

IN04_MHEAT = 0 ;
If IN04_HEQUIP = 7 THEN IN04_MHEAT = 1;

RUN;
***************************************************************************************************;
DATA FOR_ROW22; SET BACKWARD; IF  IN09_ISTATUS='1' AND IN09_MHEAT=1;RUN;


DATA COLUMN_C ; SET FOR_ROW22; IF BLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=cOL_C_R22 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW22; IF BLSTATUS=1 AND (IN04_ISTATUS='1' AND IN04_MHEAT=1); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_D_R22 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW22; IF BLSTATUS=1 AND NOT(IN04_ISTATUS='1' AND IN04_MHEAT=1) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_E_R22 N=N_E SUM=SUM_E ;RUN;
DATA COLUMN_F ; SET FOR_ROW22; IF BLSTATUS=2 AND (IN04_ISTATUS='1' AND IN04_MHEAT=1); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R22 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW22; IF BLSTATUS=2 AND NOT(IN04_ISTATUS='1' AND IN04_MHEAT=1); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_G_R22 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW22; IF BLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_H_R22 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW22; IF BLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_I_R22 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW22; IF BLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_J_R22 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW22; IF BLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_K_R22 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW22; IF BLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_L_R22 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW22; IF BLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_M_R22 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW22; IF BLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_N_R22 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R22; SET COL_C_R22; ROW=22; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R22; SET COL_D_R22; ROW=22; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R22; SET COL_E_R22; ROW=22; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R22; SET COL_F_R22; ROW=22; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R22; SET COL_G_R22; ROW=22; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R22; SET COL_H_R22; ROW=22; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R22; SET COL_I_R22; ROW=22; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R22; SET COL_J_R22; ROW=22; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R22; SET COL_K_R22; ROW=22; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R22; SET COL_L_R22; ROW=22; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R22; SET COL_M_R22; ROW=22; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R22; SET COL_N_R22; ROW=22; KEEP ROW N_N SUM_N; RUN;

DATA ROW22; MERGE COL_C_R22 COL_D_R22 COL_E_R22 COL_F_R22 COL_G_R22 COL_H_R22 COL_I_R22 
COL_J_R22 COL_K_R22 COL_L_R22 COL_M_R22 COL_N_R22; BY ROW; RUN;




*********************************************************************;
DATA BACKWARD; SET BACKWARD;
IN09_MKITCHEN = 0 ;
If  IN09_KITCHEN = '2' THEN IN09_MKITCHEN=1;

IN04_MKITCHEN = 0 ;
If IN04_KITCHEN = '2' THEN IN04_MKITCHEN = 1;

RUN;
*********************************************************************************************;
DATA FOR_ROW23; SET BACKWARD; IF  IN09_ISTATUS ='1' AND IN09_MKITCHEN=1;RUN;


DATA COLUMN_C ; SET FOR_ROW23; IF BLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=cOL_C_R23 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW23; IF BLSTATUS=1 AND (IN04_ISTATUS ='1' AND IN04_MKITCHEN=1); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_D_R23 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW23; IF BLSTATUS=1 AND NOT(IN04_ISTATUS ='1' AND IN04_MKITCHEN=1) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_E_R23 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW23; IF BLSTATUS=2 AND (IN04_ISTATUS ='1' AND IN04_MKITCHEN=1) ; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R23 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW23; IF BLSTATUS=2 AND NOT(IN04_ISTATUS ='1' AND IN04_MKITCHEN=1) ; RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_G_R23 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW23; IF BLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_H_R23 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW23; IF BLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_I_R23 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW23; IF BLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_J_R23 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW23; IF BLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_K_R23 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW23; IF BLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_L_R23 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW23; IF BLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_M_R23 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW23; IF BLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_N_R23 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R23; SET COL_C_R23; ROW=23; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R23; SET COL_D_R23; ROW=23; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R23; SET COL_E_R23; ROW=23; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R23; SET COL_F_R23; ROW=23; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R23; SET COL_G_R23; ROW=23; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R23; SET COL_H_R23; ROW=23; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R23; SET COL_I_R23; ROW=23; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R23; SET COL_J_R23; ROW=23; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R23; SET COL_K_R23; ROW=23; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R23; SET COL_L_R23; ROW=23; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R23; SET COL_M_R23; ROW=23; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R23; SET COL_N_R23; ROW=23; KEEP ROW N_N SUM_N; RUN;

DATA ROW23; MERGE COL_C_R23 COL_D_R23 COL_E_R23 COL_F_R23 COL_G_R23 COL_H_R23 COL_I_R23 
COL_J_R23 COL_K_R23 COL_L_R23 COL_M_R23 COL_N_R23; BY ROW; RUN;

*********************************************************************;
DATA FOR_ROW24; SET BACKWARD; IF IN09_ISTATUS='1' AND IN09_MUPKEEP=1 ;RUN;


DATA COLUMN_C ; SET FOR_ROW24; IF BLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=cOL_C_R24 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW24; IF BLSTATUS=1 AND (IN04_ISTATUS='1' AND IN04_MUPKEEP=1); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_D_R24 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW24; IF BLSTATUS=1 AND NOT(IN04_ISTATUS='1' AND IN04_MUPKEEP=1) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_E_R24 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW24; IF BLSTATUS=2 AND (IN04_ISTATUS='1' AND IN04_MUPKEEP=1); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R24 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW24; IF BLSTATUS=2 AND NOT(IN04_ISTATUS='1' AND IN04_MUPKEEP=1); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_G_R24 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW24; IF BLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_H_R24 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW24; IF BLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_I_R24 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW24; IF BLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_J_R24 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW24; IF BLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_K_R24 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW24; IF BLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_L_R24 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW24; IF BLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_M_R24 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW24; IF BLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_N_R24 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R24; SET COL_C_R24; ROW=24; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R24; SET COL_D_R24; ROW=24; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R24; SET COL_E_R24; ROW=24; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R24; SET COL_F_R24; ROW=24; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R24; SET COL_G_R24; ROW=24; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R24; SET COL_H_R24; ROW=24; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R24; SET COL_I_R24; ROW=24; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R24; SET COL_J_R24; ROW=24; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R24; SET COL_K_R24; ROW=24; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R24; SET COL_L_R24; ROW=24; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R24; SET COL_M_R24; ROW=24; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R24; SET COL_N_R24; ROW=24; KEEP ROW N_N SUM_N; RUN;

DATA ROW24; MERGE COL_C_R24 COL_D_R24 COL_E_R24 COL_F_R24 COL_G_R24 COL_H_R24 COL_I_R24 
COL_J_R24 COL_K_R24 COL_L_R24 COL_M_R24 COL_N_R24; BY ROW; RUN;



********************************************************************************************;


DATA BACKWARD; SET BACKWARD;
IN09_MPROB = IN09_MPLUMB + IN09_MHEAT + IN09_MKITCHEN + IN09_MUPKEEP ;
IN04_MPROB = IN04_MPLUMB + IN04_MHEAT + IN04_MKITCHEN + IN04_MUPKEEP ;
RUN;
***********************************************************************************************************;

DATA FOR_ROW25; SET BACKWARD; IF  IN09_ISTATUS='1' AND (IN09_SPROB=0 AND IN09_MPROB GE 1) ;RUN;


DATA COLUMN_C ; SET FOR_ROW25; IF BLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR BLCINCHWT;
OUTPUT OUT=cOL_C_R25 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW25; IF BLSTATUS=1 AND (IN04_ISTATUS='1' 
AND (IN04_SPROB=0 AND IN04_MPROB GE 1)); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_D_R25 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW25; IF BLSTATUS=1 AND NOT(IN04_ISTATUS='1' 
AND (IN04_SPROB=0 AND IN04_MPROB GE 1)) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=cOL_E_R25 N=N_E SUM=SUM_E ;RUN;
DATA COLUMN_F ; SET FOR_ROW25; IF BLSTATUS=2 AND (IN04_ISTATUS='1' 
AND (IN04_SPROB=0 AND IN04_MPROB GE 1)); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_F_R25 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW25; IF BLSTATUS=2 AND NOT(IN04_ISTATUS='1' 
AND (IN04_SPROB=0 AND IN04_MPROB GE 1)); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_G_R25 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW25; IF BLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_H_R25 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW25; IF BLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_I_R25 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW25; IF BLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_J_R25 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW25; IF BLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_K_R25 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW25; IF BLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_L_R25 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW25; IF BLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR BLCINCHWT; 
OUTPUT OUT=COL_M_R25 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW25; IF BLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR BLCINCHWT; 
OUTPUT OUT=COL_N_R25 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R25; SET COL_C_R25; ROW=25; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R25; SET COL_D_R25; ROW=25; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R25; SET COL_E_R25; ROW=25; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R25; SET COL_F_R25; ROW=25; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R25; SET COL_G_R25; ROW=25; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R25; SET COL_H_R25; ROW=25; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R25; SET COL_I_R25; ROW=25; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R25; SET COL_J_R25; ROW=25; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R25; SET COL_K_R25; ROW=25; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R25; SET COL_L_R25; ROW=25; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R25; SET COL_M_R25; ROW=25; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R25; SET COL_N_R25; ROW=25; KEEP ROW N_N SUM_N; RUN;

DATA ROW25; MERGE COL_C_R25 COL_D_R25 COL_E_R25 COL_F_R25 COL_G_R25 COL_H_R25 COL_I_R25 
COL_J_R25 COL_K_R25 COL_L_R25 COL_M_R25 COL_N_R25; BY ROW; RUN;

**************************************************************************************************;
 
DATA ROW1    ;SET ROW1    ;    DEFINITION='IN09_ISTATUS=1                                   ' ;
COL_A=	"Occupied Units                     ";    COL_B=" ";  RUN;
  
DATA ROW2  ;SET ROW2  ;        DEFINITION='IN09_KITCHEN = 1 & IN09_ISTATUS=1                ' ;
COL_A=	"With complete kitchen              ";RUN;

DATA ROW3  ;SET ROW3  ;        DEFINITION='IN09_KITCHEN=2 & IN09_ISTATUS=1                  ' ;
COL_A=	"Lacking complete kitchen facilities";RUN;

DATA ROW4  ;SET ROW4  ;        DEFINITION='IN09_PLUMB=1 & IN09_ISTATUS=1                    ' ;
COL_A=	"With all plumbing facilities       ";RUN;

DATA ROW5  ;SET ROW5  ;        DEFINITION='IN09_PLUMB=2 & IN09_ISTATUS=1                    ' ;
COL_A=	"Lack some plumbing                 ";RUN;

DATA ROW6; ;SET ROW6  ;        DEFINITION='IN09_ISTATUS=1 & IN09_HOTPIP=2                   ' ;
COL_A=	"  No hot piped water               ";RUN;

DATA ROW7  ;SET ROW7  ;        DEFINITION='IN09_ISTATUS=1 & IN09_TUB=2                      ' ;
COL_A=	"  No bathtub/shower                ";RUN;

DATA ROW8  ;SET ROW8  ;        DEFINITION='IN09_ISTATUS=1 & IN09_TOILET=2                   ' ;
COL_A=	"  No flush toilet                  ";RUN;

DATA ROW9  ;SET ROW9  ;        DEFINITION='ISTATUS=1 & PLUMB=2 & HOTPIP=1 & TOILET=1 & TUB=1';
COL_A=	"  No exclusive use                 ";RUN;

DATA ROW10 ;SET ROW10 ;        DEFINITION='IN09_ISTATUS=1 & IN09_WATER=1                    ';
COL_A="Public/private water               ";RUN;

DATA ROW11 ;SET ROW11  ;       DEFINITION='IN09_ISTATUS=1 & IN09_WATER=2                    ' ;
COL_A="Well                               ";RUN;

DATA ROW12 ;SET ROW12  ;       DEFINITION='IN09_ISTATUS =1 & IN09_WATER=3                   ';
COL_A="Other water source                 ";RUN; 

DATA ROW13 ;SET ROW13  ;       DEFINITION='IN09_ISTATUS=1 & IN09_PUBSEW=1                   ' ;
COL_A="Public sewer                       ";RUN;

DATA ROW14 ;SET ROW14  ;       DEFINITION='IN09_ISTATUS=1 & IN09_SEWDIS=1                   ';
COL_A="Septic tank/cesspool               ";RUN;

DATA  ROW15     ;SET ROW15;    DEFINITION='IN09_ISTATUS=1 & IN09_SEWDIS=2,3,4,5             ';
COL_A="Other                              ";RUN;

DATA ROW16 ;SET ROW16  ;       DEFINITION='IN09_ISTATUS=1 & IN09_SPLUMB=1                   ' ;
COL_A="  Plumbing                         ";RUN;

DATA ROW17 ;SET ROW17  ;       DEFINITION='IN09_ISTATUS=1 & IN09_SHEAT=1                    ';
COL_A="  Heating                          ";RUN;

DATA ROW18 ;SET ROW18  ;       DEFINITION='IN09_ISTATUS=1 & IN09_SELEC=1                    ';
COL_A="  Electric                         ";RUN;

DATA ROW19 ;SET ROW19  ;       DEFINITION='IN09_ISTATUS=1 & IN09_SUPKEEP=1                  ';
COL_A="  Upkeep                           ";RUN;

DATA ROW20 ;SET ROW20  ;       DEFINITION='IN09_ISTATUS=1 & IN09_SPROB GE 1                 ';
COL_A="Severe Problems                    ";RUN;

DATA ROW21 ;SET ROW21  ;       DEFINITION='IN09_ISTATUS=1 & IN09_MPLUMB=1                   ';
COL_A="  Plumbing                         ";RUN;

DATA ROW22 ;SET ROW22  ;       DEFINITION='IN09_ISTATUS=1 & IN09_MHEAT=1                    ';
COL_A="  Heating                          ";RUN;

DATA ROW23 ;SET ROW23  ;       DEFINITION='IN09_ISTATUS =1 & IN09_MKITCHEN=1                ';
COL_A="  Kitchen                          ";RUN;

DATA ROW24 ;SET ROW24  ;       DEFINITION='IN09_ISTATUS=1 & IN09_MUPKEEP=1                  ' ;
COL_A="  Upkeep                           ";RUN;

DATA ROW25 ;SET ROW25  ;       DEFINITION='IN09_ISTATUS=1 & IN09_SPROB=0 & IN09_MPROB GE 1  ' ;
COL_A="Moderate problems                  ";RUN;

DATA ROW1_1;SET BACKWARD; IF _N_ LE 1; COL_A="                              ";KEEP COL_A; RUN;
DATA ROW1_2;SET BACKWARD; IF _N_ LE 1; COL_A="Kitchen                       ";KEEP COL_A; RUN;

DATA ROW3_1;SET BACKWARD; IF _N_ LE 1; COL_A="                              ";KEEP COL_A; RUN;
DATA ROW3_2;SET BACKWARD; IF _N_ LE 1; COL_A="Plumbing                      ";KEEP COL_A; RUN;

DATA ROW9_1;SET BACKWARD; IF _N_ LE 1; COL_A="                              ";KEEP COL_A; RUN;
DATA ROW9_2;SET BACKWARD; IF _N_ LE 1; COL_A="Water                         ";KEEP COL_A; RUN;

DATA ROW12_1;SET BACKWARD; IF _N_ LE 1; COL_A="                              ";KEEP COL_A; RUN;
DATA ROW12_2;SET BACKWARD; IF _N_ LE 1; COL_A="Sewer                         ";KEEP COL_A; RUN;

DATA ROW15_1;SET BACKWARD; IF _N_ LE 1; COL_A="		                    ";KEEP COL_A; RUN;

DATA ROW19_1;SET BACKWARD; IF _N_ LE 1; COL_A="                              ";KEEP COL_A; RUN;

*******************************************************************************************************;
DATA ALL; SET ROW1 ROW1_1 ROW1_2 ROW2  ROW3 ROW3_1 ROW3_2  ROW4  ROW5  ROW6  ROW7  ROW8  
ROW9 ROW9_1 ROW9_2 ROW10 ROW11 ROW12 ROW12_1 ROW12_2 ROW13 ROW14 ROW15 ROW15_1 ROW20 ROW16 ROW17 ROW18 
ROW19 ROW19_1 ROW25 ROW21 ROW22 ROW23 ROW24  ; RUN;

*******************************************************************************************************;

OPTIONS MISSING=" ";
DATA ALL; SET ALL ;COL_CHECK=N_C-(N_D+N_E+N_F+N_G+N_H+N_I+N_J+N_K+N_L+N_M+N_N );
LABEL 
COL_A="A: Characteristics"
COL_B="B: Published numbers" 


SUM_C="C: In 2009 stock"	
SUM_D="D: In 2004 stock with same characteristic, not severly damaged by Katerina" 	
SUM_E="E: In 2004 stock with different characteristic, not severly damaged by Katerina"	
SUM_F="F: in 2004 stock severely damaged by Katrina but rebuilt with same characteristic"	
SUM_G="G: in 2004 stock severely damaged by Katrina but rebuilt with different characteristic"	
SUM_H="H: Added by conversion or merger"	
SUM_I="I: Added by house or mobile home move in"	
SUM_J="J: Added from prior different use"	
SUM_K="K: Added by new construction"	
SUM_L="L: Added from temporary losses in 2004"	
SUM_M="M: Added after 2004, destroyed by Katrina, and rebuilt"	
SUM_N="N: Added in other ways";

SUM_C =ROUND(SUM_C,1);
SUM_D =ROUND(SUM_D,1);
SUM_E =ROUND(SUM_E,1); SUM_F=ROUND(SUM_F,1); 
SUM_G =ROUND(SUM_G,1); SUM_H=ROUND(SUM_H,1); SUM_I=ROUND(SUM_I,1); 
SUM_J =ROUND(SUM_J,1); SUM_K=ROUND(SUM_K,1); SUM_L=ROUND(SUM_L,1); 
SUM_M =ROUND(SUM_M,1); SUM_N=ROUND(SUM_N,1);

RUN;

ods HTML file="C:\AHS_09\NEWORLEANS_CINCH_04_09\BACKWARD_TABLE2_NEW_ORLEANS.XLS" ;

TITLE "BACKWARD-Looking Table 2: Condition of Unit  All Occupied Units (counts in units) "; RUN;

PROC PRINT DATA=ALL NOOBS LABEL; VAR ROW COL_A COL_B SUM_C SUM_D SUM_E SUM_F SUM_G SUM_H SUM_I 
SUM_J SUM_K SUM_L SUM_M SUM_N
N_C N_D N_E N_F N_G N_H N_I N_J N_K N_L N_M N_N COL_CHECK DEFINITION; RUN;


