options pagesize=60 linesize=78 compress=yes nocenter NODATE MPRINT MLOGIC;

/***** NOTE: Use below the Forward Adjusted weighted data for New Orleans created using the Forward 
weighting Algorithem Provided by Fred*******/   

libname OUT 'C:\AHS_09\NEWORLEANS_CINCH_04_09';


DATA FORWARD; SET OUT.FORWARD_04_09_NEWORLEANS; RUN;

***********************************************************************;
/****** OCCUPIED   *********/

DATA FOR_ROW1 ; SET FORWARD; IF IN04_ISTATUS='1'; RUN;


DATA COLUMN_C ; SET FOR_ROW1; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R1 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW1; IF FLSTATUS=1 AND (IN09_ISTATUS='1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R1 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW1; IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R1 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW1; IF FLSTATUS=2 AND (IN09_ISTATUS='1'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R1 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW1; IF FLSTATUS=2 AND NOT(IN09_ISTATUS='1'); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R1 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW1; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R1 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW1; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R1 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW1; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R1 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW1; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R1 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW1; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R1 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW1; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R1 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW1; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R1 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R1; SET COL_C_R1; ROW=1; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R1; SET COL_D_R1; ROW=1; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R1; SET COL_E_R1; ROW=1; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R1; SET COL_F_R1; ROW=1; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R1; SET COL_G_R1; ROW=1; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R1; SET COL_H_R1; ROW=1; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R1; SET COL_I_R1; ROW=1; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R1; SET COL_J_R1; ROW=1; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R1; SET COL_K_R1; ROW=1; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R1; SET COL_L_R1; ROW=1; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R1; SET COL_M_R1; ROW=1; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R1; SET COL_N_R1; ROW=1; KEEP ROW N_N SUM_N; RUN;

DATA ROW1; MERGE COL_C_R1 COL_D_R1 COL_E_R1 COL_F_R1 COL_G_R1 COL_H_R1 COL_I_R1 
COL_J_R1 COL_K_R1 COL_L_R1 COL_M_R1 COL_N_R1; BY ROW; RUN;

***********************************************************************;
/******  OWNER OCCUPIED   ****/

DATA FOR_ROW2 ; SET FORWARD; 
IF IN04_ISTATUS='1' AND IN04_TENURE='1'; RUN;

DATA COLUMN_C ; SET FOR_ROW2; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R2 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW2; 
IF FLSTATUS=1 AND IN09_ISTATUS='1' AND IN09_TENURE='1'; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R2 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW2; 
IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1' AND IN09_TENURE='1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R2 N=N_E SUM=SUM_E ;RUN;
DATA COLUMN_F ; SET FOR_ROW2; IF FLSTATUS=2 AND (IN09_ISTATUS='1' AND IN09_TENURE='1'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R2 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW2; IF FLSTATUS=2 AND NOT(IN09_ISTATUS='1' AND IN09_TENURE='1'); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R2 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW2; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R2 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW2; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R2 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW2; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R2 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW2; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R2 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW2; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R2 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW2; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R2 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW2; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R2 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R2; SET COL_C_R2; ROW=2; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R2; SET COL_D_R2; ROW=2; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R2; SET COL_E_R2; ROW=2; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R2; SET COL_F_R2; ROW=2; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R2; SET COL_G_R2; ROW=2; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R2; SET COL_H_R2; ROW=2; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R2; SET COL_I_R2; ROW=2; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R2; SET COL_J_R2; ROW=2; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R2; SET COL_K_R2; ROW=2; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R2; SET COL_L_R2; ROW=2; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R2; SET COL_M_R2; ROW=2; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R2; SET COL_N_R2; ROW=2; KEEP ROW N_N SUM_N; RUN;

DATA ROW2; MERGE COL_C_R2 COL_D_R2 COL_E_R2 COL_F_R2 COL_G_R2 COL_H_R2 COL_I_R2 
COL_J_R2 COL_K_R2 COL_L_R2 COL_M_R2 COL_N_R2; BY ROW; RUN;


***********************************************************************;
/**** RENTER OCCUPIED  ****/

DATA FOR_ROW3 ; SET FORWARD;
IF IN04_ISTATUS='1' AND (IN04_TENURE='2' OR IN04_TENURE='3'); RUN;

DATA COLUMN_C ; SET FOR_ROW3; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R3 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW3; 
IF FLSTATUS=1 AND IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R3 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW3; 
IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3')) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R3 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW3; IF FLSTATUS=2 AND (IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3')); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R3 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW3; IF FLSTATUS=2 AND NOT(IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3')); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R3 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW3; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R3 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW3; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R3 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW3; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R3 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW3; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R3 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW3; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R3 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW3; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R3 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW3; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R3 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R3; SET COL_C_R3; ROW=3; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R3; SET COL_D_R3; ROW=3; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R3; SET COL_E_R3; ROW=3; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R3; SET COL_F_R3; ROW=3; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R3; SET COL_G_R3; ROW=3; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R3; SET COL_H_R3; ROW=3; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R3; SET COL_I_R3; ROW=3; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R3; SET COL_J_R3; ROW=3; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R3; SET COL_K_R3; ROW=3; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R3; SET COL_L_R3; ROW=3; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R3; SET COL_M_R3; ROW=3; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R3; SET COL_N_R3; ROW=3; KEEP ROW N_N SUM_N; RUN;

DATA ROW3; MERGE COL_C_R3 COL_D_R3 COL_E_R3 COL_F_R3 COL_G_R3 COL_H_R3 COL_I_R3 
COL_J_R3 COL_K_R3 COL_L_R3 COL_M_R3 COL_N_R3; BY ROW; RUN;

************************************************************************************;
/**** RENTER MONTHLY  HOUSING COST ROWS 5 - 9 *****/

DATA FOR_ROW5 ; SET FORWARD; 
IF IN04_ISTATUS='1' AND (IN04_TENURE='2') AND IN04_ZSMHC LT 350; RUN;

DATA COLUMN_C ; SET FOR_ROW5; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R5 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW5; 
IF FLSTATUS=1 AND IN09_ISTATUS='1' AND (IN09_TENURE='2') AND IN09_ZSMHC LT 350; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R5 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW5; 
IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1' AND (IN09_TENURE='2') AND IN09_ZSMHC LT 350) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R5 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW5; IF FLSTATUS=2 AND 
(IN09_ISTATUS='1' AND (IN09_TENURE='2') AND IN09_ZSMHC LT 350); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R5 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW5; IF FLSTATUS=2 AND 
NOT(IN09_ISTATUS='1' AND (IN09_TENURE='2') AND IN09_ZSMHC LT 350); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R5 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW5; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R5 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW5; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R5 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW5; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R5 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW5; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R5 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW5; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R5 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW5; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R5 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW5; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R5 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R5; SET COL_C_R5; ROW=5; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R5; SET COL_D_R5; ROW=5; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R5; SET COL_E_R5; ROW=5; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R5; SET COL_F_R5; ROW=5; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R5; SET COL_G_R5; ROW=5; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R5; SET COL_H_R5; ROW=5; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R5; SET COL_I_R5; ROW=5; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R5; SET COL_J_R5; ROW=5; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R5; SET COL_K_R5; ROW=5; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R5; SET COL_L_R5; ROW=5; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R5; SET COL_M_R5; ROW=5; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R5; SET COL_N_R5; ROW=5; KEEP ROW N_N SUM_N; RUN;

DATA ROW5; MERGE COL_C_R5 COL_D_R5 COL_E_R5 COL_F_R5 COL_G_R5 COL_H_R5 COL_I_R5 
COL_J_R5 COL_K_R5 COL_L_R5 COL_M_R5 COL_N_R5; BY ROW; RUN;

***********************************************************************;


DATA FOR_ROW6 ; SET FORWARD; 
IF IN04_ISTATUS='1' AND (IN04_TENURE='2' ) AND 350 LE IN04_ZSMHC LT 600; RUN;

DATA COLUMN_C ; SET FOR_ROW6; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R6 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW6; 
IF FLSTATUS=1 AND IN09_ISTATUS='1' AND (IN09_TENURE='2') AND 350 LE IN09_ZSMHC LT 600; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R6 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW6; 
IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1' AND (IN09_TENURE='2') AND 350 LE IN09_ZSMHC LT 600); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R6 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW6; IF FLSTATUS=2 AND 
(IN09_ISTATUS='1' AND (IN09_TENURE='2') AND 350 LE IN09_ZSMHC LT 600); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R6 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW6; IF FLSTATUS=2 AND 
NOT(IN09_ISTATUS='1' AND (IN09_TENURE='2') AND 350 LE IN09_ZSMHC LT 600); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R6 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW6; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R6 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW6; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R6 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW6; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R6 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW6; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R6 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW6; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R6 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW6; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R6 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW6; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R6 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R6; SET COL_C_R6; ROW=6; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R6; SET COL_D_R6; ROW=6; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R6; SET COL_E_R6; ROW=6; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R6; SET COL_F_R6; ROW=6; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R6; SET COL_G_R6; ROW=6; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R6; SET COL_H_R6; ROW=6; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R6; SET COL_I_R6; ROW=6; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R6; SET COL_J_R6; ROW=6; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R6; SET COL_K_R6; ROW=6; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R6; SET COL_L_R6; ROW=6; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R6; SET COL_M_R6; ROW=6; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R6; SET COL_N_R6; ROW=6; KEEP ROW N_N SUM_N; RUN;

DATA ROW6; MERGE COL_C_R6 COL_D_R6 COL_E_R6 COL_F_R6 COL_G_R6 COL_H_R6 COL_I_R6 
COL_J_R6 COL_K_R6 COL_L_R6 COL_M_R6 COL_N_R6; BY ROW; RUN;


***********************************************************************;


DATA FOR_ROW7 ; SET FORWARD; 
IF IN04_ISTATUS='1' AND (IN04_TENURE='2') AND 600 LE IN04_ZSMHC LT 800; RUN;


DATA COLUMN_C ; SET FOR_ROW7; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R7 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW7; 
IF FLSTATUS=1 AND IN09_ISTATUS='1' AND (IN09_TENURE='2') AND 600 LE IN09_ZSMHC LT 800; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R7 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW7; 
IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1' AND (IN09_TENURE='2' ) AND 600 LE IN09_ZSMHC LT 800); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R7 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW7; IF FLSTATUS=2 AND 
(IN09_ISTATUS='1' AND (IN09_TENURE='2' ) AND 600 LE IN09_ZSMHC LT 800)
; RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R7 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW7; IF FLSTATUS=2 AND 
NOT(IN09_ISTATUS='1' AND (IN09_TENURE='2' ) AND 600 LE IN09_ZSMHC LT 800); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R7 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW7; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R7 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW7; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R7 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW7; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R7 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW7; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R7 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW7; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R7 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW7; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R7 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW7; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R7 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R7; SET COL_C_R7; ROW=7; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R7; SET COL_D_R7; ROW=7; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R7; SET COL_E_R7; ROW=7; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R7; SET COL_F_R7; ROW=7; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R7; SET COL_G_R7; ROW=7; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R7; SET COL_H_R7; ROW=7; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R7; SET COL_I_R7; ROW=7; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R7; SET COL_J_R7; ROW=7; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R7; SET COL_K_R7; ROW=7; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R7; SET COL_L_R7; ROW=7; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R7; SET COL_M_R7; ROW=7; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R7; SET COL_N_R7; ROW=7; KEEP ROW N_N SUM_N; RUN;

DATA ROW7; MERGE COL_C_R7 COL_D_R7 COL_E_R7 COL_F_R7 COL_G_R7 COL_H_R7 COL_I_R7 
COL_J_R7 COL_K_R7 COL_L_R7 COL_M_R7 COL_N_R7; BY ROW; RUN;

***********************************************************************;


DATA FOR_ROW8 ; SET FORWARD; 
IF IN04_ISTATUS='1' AND (IN04_TENURE='2') AND  800 LE IN04_ZSMHC LT 1250; RUN;

DATA COLUMN_C ; SET FOR_ROW8; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R8 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW8; 
IF FLSTATUS=1 AND IN09_ISTATUS='1' AND (IN09_TENURE='2' ) AND 800 LE IN09_ZSMHC LT 1250; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R8 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW8; 
IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1' AND (IN09_TENURE='2' ) AND 800 LE IN09_ZSMHC LT 1250); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R8 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW8; IF FLSTATUS=2 AND 
(IN09_ISTATUS='1' AND (IN09_TENURE='2' ) AND 800 LE IN09_ZSMHC LT 1250); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R8 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW8; IF FLSTATUS=2 AND 
NOT(IN09_ISTATUS='1' AND (IN09_TENURE='2' ) AND 800 LE IN09_ZSMHC LT 1250); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R8 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW8; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R8 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW8; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R8 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW8; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R8 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW8; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R8 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW8; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R8 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW8; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R8 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW8; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R8 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R8; SET COL_C_R8; ROW=8; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R8; SET COL_D_R8; ROW=8; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R8; SET COL_E_R8; ROW=8; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R8; SET COL_F_R8; ROW=8; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R8; SET COL_G_R8; ROW=8; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R8; SET COL_H_R8; ROW=8; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R8; SET COL_I_R8; ROW=8; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R8; SET COL_J_R8; ROW=8; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R8; SET COL_K_R8; ROW=8; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R8; SET COL_L_R8; ROW=8; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R8; SET COL_M_R8; ROW=8; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R8; SET COL_N_R8; ROW=8; KEEP ROW N_N SUM_N; RUN;

DATA ROW8; MERGE COL_C_R8 COL_D_R8 COL_E_R8 COL_F_R8 COL_G_R8 COL_H_R8 COL_I_R8 
COL_J_R8 COL_K_R8 COL_L_R8 COL_M_R8 COL_N_R8; BY ROW; RUN;


***********************************************************************;

DATA FOR_ROW9 ; SET FORWARD; 
IF IN04_ISTATUS='1' AND (IN04_TENURE='2') AND IN04_ZSMHC GE 1250; RUN;

DATA COLUMN_C ; SET FOR_ROW9; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R9 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW9; 
IF FLSTATUS=1 AND IN09_ISTATUS='1' AND (IN09_TENURE='2' ) AND IN09_ZSMHC GE 1250; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R9 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW9; 
IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1' AND (IN09_TENURE='2' ) AND IN09_ZSMHC GE 1250); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R9 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW9; IF FLSTATUS=2 AND 
(IN09_ISTATUS='1' AND (IN09_TENURE='2' ) AND IN09_ZSMHC GE 1250); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R9 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW9; IF FLSTATUS=2 AND 
NOT(IN09_ISTATUS='1' AND (IN09_TENURE='2' ) AND IN09_ZSMHC GE 1250); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R9 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW9; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R9 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW9; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R9 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW9; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R9 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW9; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R9 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW9; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R9 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW9; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R9 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW9; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R9 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R9; SET COL_C_R9; ROW=9; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R9; SET COL_D_R9; ROW=9; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R9; SET COL_E_R9; ROW=9; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R9; SET COL_F_R9; ROW=9; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R9; SET COL_G_R9; ROW=9; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R9; SET COL_H_R9; ROW=9; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R9; SET COL_I_R9; ROW=9; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R9; SET COL_J_R9; ROW=9; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R9; SET COL_K_R9; ROW=9; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R9; SET COL_L_R9; ROW=9; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R9; SET COL_M_R9; ROW=9; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R9; SET COL_N_R9; ROW=9; KEEP ROW N_N SUM_N; RUN;

DATA ROW9; MERGE COL_C_R9 COL_D_R9 COL_E_R9 COL_F_R9 COL_G_R9 COL_H_R9 COL_I_R9 
COL_J_R9 COL_K_R9 COL_L_R9 COL_M_R9 COL_N_R9; BY ROW; RUN;


**************************************************************************************;

DATA FOR_ROW10 ; SET FORWARD;
IF IN04_ISTATUS='1' AND ( IN04_TENURE='3'); RUN;

DATA COLUMN_C ; SET FOR_ROW10; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R10 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW10; 
IF FLSTATUS=1 AND IN09_ISTATUS='1' AND (IN09_TENURE='3'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R10 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW10; 
IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1' AND (IN09_TENURE='3')) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R10 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW10; IF FLSTATUS=2 AND 
(IN09_ISTATUS='1' AND (IN09_TENURE='3')); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R10 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW10; IF FLSTATUS=2 AND 
NOT(IN09_ISTATUS='1' AND (IN09_TENURE='3')); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R10 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW10; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R10 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW10; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R10 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW10; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R10 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW10; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R10 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW10; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R10 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW10; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R10 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW10; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R10 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R10; SET COL_C_R10; ROW=10; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R10; SET COL_D_R10; ROW=10; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R10; SET COL_E_R10; ROW=10; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R10; SET COL_F_R10; ROW=10; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R10; SET COL_G_R10; ROW=10; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R10; SET COL_H_R10; ROW=10; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R10; SET COL_I_R10; ROW=10; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R10; SET COL_J_R10; ROW=10; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R10; SET COL_K_R10; ROW=10; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R10; SET COL_L_R10; ROW=10; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R10; SET COL_M_R10; ROW=10; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R10; SET COL_N_R10; ROW=10; KEEP ROW N_N SUM_N; RUN;

DATA ROW10; MERGE COL_C_R10 COL_D_R10 COL_E_R10 COL_F_R10 COL_G_R10 COL_H_R10 COL_I_R10 
COL_J_R10 COL_K_R10 COL_L_R10 COL_M_R10 COL_N_R10; BY ROW; RUN;


***********************************************************************;

DATA FOR_ROW11 ; SET FORWARD; 
IF IN04_ISTATUS='1' AND (IN04_TENURE='2' OR IN04_TENURE='3') AND IN04_ZINC2 LT 15000;
 RUN;

DATA COLUMN_C ; SET FOR_ROW11; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R11 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW11; 
IF FLSTATUS=1 AND IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3') 
AND IN09_ZINC2 LT 15000; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R11 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW11; 

IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3') 
AND IN09_ZINC2 LT 15000); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R11 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW11; IF FLSTATUS=2 AND 
(IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3') 
AND IN09_ZINC2 LT 15000); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R11 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW11; IF FLSTATUS=2 AND 
NOT(IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3') 
AND IN09_ZINC2 LT 15000); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R11 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW11; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R11 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW11; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R11 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW11; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R11 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW11; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R11 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW11; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R11 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW11; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R11 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW11; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R11 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R11; SET COL_C_R11; ROW=11; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R11; SET COL_D_R11; ROW=11; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R11; SET COL_E_R11; ROW=11; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R11; SET COL_F_R11; ROW=11; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R11; SET COL_G_R11; ROW=11; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R11; SET COL_H_R11; ROW=11; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R11; SET COL_I_R11; ROW=11; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R11; SET COL_J_R11; ROW=11; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R11; SET COL_K_R11; ROW=11; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R11; SET COL_L_R11; ROW=11; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R11; SET COL_M_R11; ROW=11; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R11; SET COL_N_R11; ROW=11; KEEP ROW N_N SUM_N; RUN;

DATA ROW11; MERGE COL_C_R11 COL_D_R11 COL_E_R11 COL_F_R11 COL_G_R11 COL_H_R11 COL_I_R11 
COL_J_R11 COL_K_R11 COL_L_R11 COL_M_R11 COL_N_R11; BY ROW; RUN;

***********************************************************************;


DATA FOR_ROW12 ; SET FORWARD; 
IF IN04_ISTATUS='1' AND (IN04_TENURE='2' OR IN04_TENURE='3') AND (15000 LE IN04_ZINC2 LT 30000); RUN;

DATA COLUMN_C ; SET FOR_ROW12; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R12 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW12; 
IF FLSTATUS=1 AND IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3') AND 
(15000 LE IN09_ZINC2 LT 30000); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R12 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW12; 
IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3') AND 
(15000 LE IN09_ZINC2 LT 30000)) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R12 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW12; IF FLSTATUS=2 AND 
(IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3') AND 
(15000 LE IN09_ZINC2 LT 30000)); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R12 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW12; IF FLSTATUS=2 AND 
NOT(IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3') AND 
(15000 LE IN09_ZINC2 LT 30000)); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R12 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW12; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R12 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW12; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R12 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW12; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R12 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW12; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R12 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW12; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R12 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW12; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R12 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW12; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R12 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R12; SET COL_C_R12; ROW=12; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R12; SET COL_D_R12; ROW=12; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R12; SET COL_E_R12; ROW=12; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R12; SET COL_F_R12; ROW=12; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R12; SET COL_G_R12; ROW=12; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R12; SET COL_H_R12; ROW=12; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R12; SET COL_I_R12; ROW=12; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R12; SET COL_J_R12; ROW=12; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R12; SET COL_K_R12; ROW=12; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R12; SET COL_L_R12; ROW=12; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R12; SET COL_M_R12; ROW=12; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R12; SET COL_N_R12; ROW=12; KEEP ROW N_N SUM_N; RUN;

DATA ROW12; MERGE COL_C_R12 COL_D_R12 COL_E_R12 COL_F_R12 COL_G_R12 COL_H_R12 COL_I_R12 
COL_J_R12 COL_K_R12 COL_L_R12 COL_M_R12 COL_N_R12; BY ROW; RUN;



***********************************************************************;


DATA FOR_ROW13 ; SET FORWARD; 
IF IN04_ISTATUS='1' AND (IN04_TENURE='2' OR IN04_TENURE='3') AND (30000 LE IN04_ZINC2 LT 50000); RUN;

DATA COLUMN_C ; SET FOR_ROW13; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R13 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW13; 
IF FLSTATUS=1 AND IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3') AND 
(30000 LE IN09_ZINC2 LT 50000); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R13 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW13; 
IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3') AND 
(30000 LE IN09_ZINC2 LT 50000)) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R13 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW13; IF FLSTATUS=2 AND 
(IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3') AND 
(30000 LE IN09_ZINC2 LT 50000)); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R13 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW13; IF FLSTATUS=2 AND 
NOT(IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3') AND 
(30000 LE IN09_ZINC2 LT 50000)); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R13 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW13; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R13 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW13; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R13 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW13; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R13 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW13; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R13 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW13; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R13 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW13; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R13 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW13; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R13 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R13; SET COL_C_R13; ROW=13; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R13; SET COL_D_R13; ROW=13; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R13; SET COL_E_R13; ROW=13; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R13; SET COL_F_R13; ROW=13; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R13; SET COL_G_R13; ROW=13; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R13; SET COL_H_R13; ROW=13; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R13; SET COL_I_R13; ROW=13; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R13; SET COL_J_R13; ROW=13; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R13; SET COL_K_R13; ROW=13; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R13; SET COL_L_R13; ROW=13; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R13; SET COL_M_R13; ROW=13; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R13; SET COL_N_R13; ROW=13; KEEP ROW N_N SUM_N; RUN;

DATA ROW13; MERGE COL_C_R13 COL_D_R13 COL_E_R13 COL_F_R13 COL_G_R13 COL_H_R13 COL_I_R13 
COL_J_R13 COL_K_R13 COL_L_R13 COL_M_R13 COL_N_R13; BY ROW; RUN;


***********************************************************************;


DATA FOR_ROW14 ; SET FORWARD; 
IF IN04_ISTATUS='1' AND (IN04_TENURE='2' OR IN04_TENURE='3') AND (50000 LE IN04_ZINC2 LT 100000); RUN;


DATA COLUMN_C ; SET FOR_ROW14; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R14 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW14; 
IF FLSTATUS=1 AND IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3') AND 
(50000 LE IN09_ZINC2 LT 100000); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R14 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW14; 
IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3') AND 
(50000 LE IN09_ZINC2 LT 100000)) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R14 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW14; IF FLSTATUS=2 AND 
(IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3') AND 
(50000 LE IN09_ZINC2 LT 100000)); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R14 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW14; IF FLSTATUS=2 AND 
NOT(IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3') AND 
(50000 LE IN09_ZINC2 LT 100000)); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R14 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW14; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R14 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW14; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R14 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW14; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R14 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW14; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R14 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW14; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R14 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW14; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R14 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW14; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R14 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R14; SET COL_C_R14; ROW=14; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R14; SET COL_D_R14; ROW=14; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R14; SET COL_E_R14; ROW=14; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R14; SET COL_F_R14; ROW=14; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R14; SET COL_G_R14; ROW=14; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R14; SET COL_H_R14; ROW=14; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R14; SET COL_I_R14; ROW=14; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R14; SET COL_J_R14; ROW=14; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R14; SET COL_K_R14; ROW=14; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R14; SET COL_L_R14; ROW=14; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R14; SET COL_M_R14; ROW=14; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R14; SET COL_N_R14; ROW=14; KEEP ROW N_N SUM_N; RUN;

DATA ROW14; MERGE COL_C_R14 COL_D_R14 COL_E_R14 COL_F_R14 COL_G_R14 COL_H_R14 COL_I_R14 
COL_J_R14 COL_K_R14 COL_L_R14 COL_M_R14 COL_N_R14; BY ROW; RUN;

***********************************************************************;


DATA FOR_ROW15 ; SET FORWARD; 
IF IN04_ISTATUS='1' AND (IN04_TENURE='2' OR IN04_TENURE='3') AND IN04_ZINC2 GE 100000; RUN;


DATA COLUMN_C ; SET FOR_ROW15; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R15 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW15; 
IF FLSTATUS=1 AND IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3') 
AND IN09_ZINC2 GE 100000; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R15 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW15; 
IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3') 
AND IN09_ZINC2 GE 100000) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R15 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW15; IF FLSTATUS=2 AND 
(IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3') 
AND IN09_ZINC2 GE 100000); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R15 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW15; IF FLSTATUS=2 AND 
NOT(IN09_ISTATUS='1' AND (IN09_TENURE='2' OR IN09_TENURE='3') 
AND IN09_ZINC2 GE 100000); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R15 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW15; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R15 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW15; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R15 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW15; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R15 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW15; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R15 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW15; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R15 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW15; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R15 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW15; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R15 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R15; SET COL_C_R15; ROW=15; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R15; SET COL_D_R15; ROW=15; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R15; SET COL_E_R15; ROW=15; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R15; SET COL_F_R15; ROW=15; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R15; SET COL_G_R15; ROW=15; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R15; SET COL_H_R15; ROW=15; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R15; SET COL_I_R15; ROW=15; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R15; SET COL_J_R15; ROW=15; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R15; SET COL_K_R15; ROW=15; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R15; SET COL_L_R15; ROW=15; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R15; SET COL_M_R15; ROW=15; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R15; SET COL_N_R15; ROW=15; KEEP ROW N_N SUM_N; RUN;

DATA ROW15; MERGE COL_C_R15 COL_D_R15 COL_E_R15 COL_F_R15 COL_G_R15 COL_H_R15 COL_I_R15 
COL_J_R15 COL_K_R15 COL_L_R15 COL_M_R15 COL_N_R15; BY ROW; RUN;


 ***********************************************************************;

DATA FOR_ROW16 ; SET FORWARD; 
IF IN04_ISTATUS='1' AND IN04_TENURE='1' AND IN04_ZSMHC LT 350; RUN;

DATA COLUMN_C ; SET FOR_ROW16; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R16 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW16; 
IF FLSTATUS=1 AND IN09_ISTATUS='1' AND IN09_TENURE='1' AND IN09_ZSMHC LT 350; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R16 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW16; 
IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1' AND IN09_TENURE='1' AND IN09_ZSMHC LT 350) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R16 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW16; IF FLSTATUS=2 AND 
(IN09_ISTATUS='1' AND IN09_TENURE='1' AND IN09_ZSMHC LT 350); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R16 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW16; IF FLSTATUS=2 AND 
NOT(IN09_ISTATUS='1' AND IN09_TENURE='1' AND IN09_ZSMHC LT 350); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R16 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW16; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R16 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW16; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R16 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW16; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R16 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW16; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R16 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW16; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R16 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW16; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R16 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW16; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R16 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R16; SET COL_C_R16; ROW=16; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R16; SET COL_D_R16; ROW=16; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R16; SET COL_E_R16; ROW=16; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R16; SET COL_F_R16; ROW=16; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R16; SET COL_G_R16; ROW=16; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R16; SET COL_H_R16; ROW=16; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R16; SET COL_I_R16; ROW=16; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R16; SET COL_J_R16; ROW=16; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R16; SET COL_K_R16; ROW=16; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R16; SET COL_L_R16; ROW=16; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R16; SET COL_M_R16; ROW=16; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R16; SET COL_N_R16; ROW=16; KEEP ROW N_N SUM_N; RUN;

DATA ROW16; MERGE COL_C_R16 COL_D_R16 COL_E_R16 COL_F_R16 COL_G_R16 COL_H_R16 COL_I_R16 
COL_J_R16 COL_K_R16 COL_L_R16 COL_M_R16 COL_N_R16; BY ROW; RUN;



***********************************************************************;


DATA FOR_ROW17 ; SET FORWARD; 
IF IN04_ISTATUS='1' AND IN04_TENURE='1' AND 350 LE IN04_ZSMHC LT 600; RUN;

DATA COLUMN_C ; SET FOR_ROW17; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R17 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW17; 
IF FLSTATUS=1 AND IN09_ISTATUS='1' AND IN09_TENURE='1' AND 350 LE IN09_ZSMHC LT 600; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R17 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW17; 
IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1' AND IN09_TENURE='1' AND 350 LE IN09_ZSMHC LT 600); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R17 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW17; IF FLSTATUS=2 AND 
(IN09_ISTATUS='1' AND IN09_TENURE='1' AND 350 LE IN09_ZSMHC LT 600); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R17 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW17; IF FLSTATUS=2 AND 
NOT(IN09_ISTATUS='1' AND IN09_TENURE='1' AND 350 LE IN09_ZSMHC LT 600); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R17 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW17; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R17 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW17; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R17 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW17; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R17 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW17; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R17 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW17; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R17 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW17; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R17 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW17; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R17 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R17; SET COL_C_R17; ROW=17; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R17; SET COL_D_R17; ROW=17; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R17; SET COL_E_R17; ROW=17; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R17; SET COL_F_R17; ROW=17; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R17; SET COL_G_R17; ROW=17; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R17; SET COL_H_R17; ROW=17; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R17; SET COL_I_R17; ROW=17; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R17; SET COL_J_R17; ROW=17; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R17; SET COL_K_R17; ROW=17; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R17; SET COL_L_R17; ROW=17; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R17; SET COL_M_R17; ROW=17; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R17; SET COL_N_R17; ROW=17; KEEP ROW N_N SUM_N; RUN;

DATA ROW17; MERGE COL_C_R17 COL_D_R17 COL_E_R17 COL_F_R17 COL_G_R17 COL_H_R17 COL_I_R17 
COL_J_R17 COL_K_R17 COL_L_R17 COL_M_R17 COL_N_R17; BY ROW; RUN;


***********************************************************************;


DATA FOR_ROW18 ; SET FORWARD; 
IF IN04_ISTATUS='1' AND IN04_TENURE='1' AND 600 LE IN04_ZSMHC LT 800; RUN;

DATA COLUMN_C ; SET FOR_ROW18; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R18 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW18; 
IF FLSTATUS=1 AND IN09_ISTATUS='1' AND IN09_TENURE='1' AND 600 LE IN09_ZSMHC LT 800; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R18 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW18; 
IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1' AND IN09_TENURE='1' AND 600 LE IN09_ZSMHC LT 800); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R18 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW18; IF FLSTATUS=2 AND 
(IN09_ISTATUS='1' AND IN09_TENURE='1' AND 600 LE IN09_ZSMHC LT 800); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R18 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW18; IF FLSTATUS=2 AND 
NOT(IN09_ISTATUS='1' AND IN09_TENURE='1' AND 600 LE IN09_ZSMHC LT 800); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R18 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW18; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R18 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW18; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R18 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW18; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R18 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW18; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R18 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW18; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R18 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW18; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R18 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW18; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R18 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R18; SET COL_C_R18; ROW=18; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R18; SET COL_D_R18; ROW=18; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R18; SET COL_E_R18; ROW=18; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R18; SET COL_F_R18; ROW=18; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R18; SET COL_G_R18; ROW=18; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R18; SET COL_H_R18; ROW=18; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R18; SET COL_I_R18; ROW=18; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R18; SET COL_J_R18; ROW=18; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R18; SET COL_K_R18; ROW=18; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R18; SET COL_L_R18; ROW=18; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R18; SET COL_M_R18; ROW=18; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R18; SET COL_N_R18; ROW=18; KEEP ROW N_N SUM_N; RUN;

DATA ROW18; MERGE COL_C_R18 COL_D_R18 COL_E_R18 COL_F_R18 COL_G_R18 COL_H_R18 COL_I_R18 
COL_J_R18 COL_K_R18 COL_L_R18 COL_M_R18 COL_N_R18; BY ROW; RUN;

***********************************************************************;


DATA FOR_ROW19 ; SET FORWARD; 
IF IN04_ISTATUS='1' AND IN04_TENURE='1' AND  800 LE IN04_ZSMHC LT 1250; RUN;

DATA COLUMN_C ; SET FOR_ROW19; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R19 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW19; 
IF FLSTATUS=1 AND IN09_ISTATUS='1' AND IN09_TENURE='1' AND 800 LE IN09_ZSMHC LT 1250; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R19 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW19; 
IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1' AND IN09_TENURE='1' AND 800 LE IN09_ZSMHC LT 1250); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R19 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW19; IF FLSTATUS=2 AND 
(IN09_ISTATUS='1' AND IN09_TENURE='1' AND 800 LE IN09_ZSMHC LT 1250); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R19 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW19; IF FLSTATUS=2 AND 
NOT(IN09_ISTATUS='1' AND IN09_TENURE='1' AND 800 LE IN09_ZSMHC LT 1250); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R19 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW19; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R19 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW19; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R19 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW19; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R19 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW19; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R19 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW19; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R19 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW19; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R19 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW19; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R19 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R19; SET COL_C_R19; ROW=19; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R19; SET COL_D_R19; ROW=19; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R19; SET COL_E_R19; ROW=19; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R19; SET COL_F_R19; ROW=19; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R19; SET COL_G_R19; ROW=19; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R19; SET COL_H_R19; ROW=19; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R19; SET COL_I_R19; ROW=19; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R19; SET COL_J_R19; ROW=19; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R19; SET COL_K_R19; ROW=19; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R19; SET COL_L_R19; ROW=19; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R19; SET COL_M_R19; ROW=19; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R19; SET COL_N_R19; ROW=19; KEEP ROW N_N SUM_N; RUN;

DATA ROW19; MERGE COL_C_R19 COL_D_R19 COL_E_R19 COL_F_R19 COL_G_R19 COL_H_R19 COL_I_R19 
COL_J_R19 COL_K_R19 COL_L_R19 COL_M_R19 COL_N_R19; BY ROW; RUN;




***********************************************************************;


DATA FOR_ROW20 ; SET FORWARD; 
IF IN04_ISTATUS='1' AND IN04_TENURE='1' AND IN04_ZSMHC GE 1250; RUN;


DATA COLUMN_C ; SET FOR_ROW20; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R20 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW20; 
IF FLSTATUS=1 AND IN09_ISTATUS='1' AND IN09_TENURE='1' AND IN09_ZSMHC GE 1250; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R20 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW20; 
IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1' AND IN09_TENURE='1' AND IN09_ZSMHC GE 1250); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R20 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW20; IF FLSTATUS=2 AND 
(IN09_ISTATUS='1' AND IN09_TENURE='1' AND IN09_ZSMHC GE 1250); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R20 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW20; IF FLSTATUS=2 AND 
NOT(IN09_ISTATUS='1' AND IN09_TENURE='1' AND IN09_ZSMHC GE 1250); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R20 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW20; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R20 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW20; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R20 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW20; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R20 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW20; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R20 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW20; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R20 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW20; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R20 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW20; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R20 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R20; SET COL_C_R20; ROW=20; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R20; SET COL_D_R20; ROW=20; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R20; SET COL_E_R20; ROW=20; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R20; SET COL_F_R20; ROW=20; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R20; SET COL_G_R20; ROW=20; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R20; SET COL_H_R20; ROW=20; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R20; SET COL_I_R20; ROW=20; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R20; SET COL_J_R20; ROW=20; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R20; SET COL_K_R20; ROW=20; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R20; SET COL_L_R20; ROW=20; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R20; SET COL_M_R20; ROW=20; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R20; SET COL_N_R20; ROW=20; KEEP ROW N_N SUM_N; RUN;

DATA ROW20; MERGE COL_C_R20 COL_D_R20 COL_E_R20 COL_F_R20 COL_G_R20 COL_H_R20 COL_I_R20 
COL_J_R20 COL_K_R20 COL_L_R20 COL_M_R20 COL_N_R20; BY ROW; RUN;


***********************************************************************;

DATA FOR_ROW21 ; SET FORWARD; 
IF IN04_ISTATUS='1' AND IN04_TENURE='1' AND IN04_ZINC2 LT 15000; RUN;

DATA COLUMN_C ; SET FOR_ROW21; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R21 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW21;
IF FLSTATUS=1 AND IN09_ISTATUS='1' AND IN09_TENURE='1' AND IN09_ZINC2 LT 15000; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R21 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW21; 
IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1' AND IN09_TENURE='1' AND IN09_ZINC2 LT 15000); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R21 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW21; IF FLSTATUS=2 AND 
(IN09_ISTATUS='1' AND IN09_TENURE='1' AND IN09_ZINC2 LT 15000); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R21 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW21; IF FLSTATUS=2 AND 
NOT(IN09_ISTATUS='1' AND IN09_TENURE='1' AND IN09_ZINC2 LT 15000); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R21 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW21; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R21 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW21; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R21 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW21; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R21 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW21; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R21 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW21; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R21 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW21; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R21 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW21; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R21 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R21; SET COL_C_R21; ROW=21; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R21; SET COL_D_R21; ROW=21; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R21; SET COL_E_R21; ROW=21; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R21; SET COL_F_R21; ROW=21; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R21; SET COL_G_R21; ROW=21; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R21; SET COL_H_R21; ROW=21; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R21; SET COL_I_R21; ROW=21; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R21; SET COL_J_R21; ROW=21; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R21; SET COL_K_R21; ROW=21; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R21; SET COL_L_R21; ROW=21; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R21; SET COL_M_R21; ROW=21; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R21; SET COL_N_R21; ROW=21; KEEP ROW N_N SUM_N; RUN;

DATA ROW21; MERGE COL_C_R21 COL_D_R21 COL_E_R21 COL_F_R21 COL_G_R21 COL_H_R21 COL_I_R21 
COL_J_R21 COL_K_R21 COL_L_R21 COL_M_R21 COL_N_R21; BY ROW; RUN;



***********************************************************************;

DATA FOR_ROW22 ; SET FORWARD; 
IF IN04_ISTATUS='1' AND IN04_TENURE='1' AND 15000 LE IN04_ZINC2 LT 30000; RUN;

DATA COLUMN_C ; SET FOR_ROW22; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R22 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW22; 
IF FLSTATUS=1 AND IN09_ISTATUS='1' AND IN09_TENURE='1' AND 15000 LE IN09_ZINC2 LT 30000; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R22 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW22; 
IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1' AND IN09_TENURE='1' AND 15000 LE IN09_ZINC2 LT 30000); RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R22 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW22; IF FLSTATUS=2 AND 
(IN09_ISTATUS='1' AND IN09_TENURE='1' AND 15000 LE IN09_ZINC2 LT 30000); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R22 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW22; IF FLSTATUS=2 AND 
NOT(IN09_ISTATUS='1' AND IN09_TENURE='1' AND 15000 LE IN09_ZINC2 LT 30000); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R22 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW22; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R22 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW22; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R22 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW22; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R22 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW22; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R22 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW22; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R22 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW22; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R22 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW22; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R22 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R22; SET COL_C_R22; ROW=22; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R22; SET COL_D_R22; ROW=22; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R22; SET COL_E_R22; ROW=22; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R22; SET COL_F_R22; ROW=22; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R22; SET COL_G_R22; ROW=22; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R22; SET COL_H_R22; ROW=22; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R22; SET COL_I_R22; ROW=22; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R22; SET COL_J_R22; ROW=22; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R22; SET COL_K_R22; ROW=22; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R22; SET COL_L_R22; ROW=22; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R22; SET COL_M_R22; ROW=22; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R22; SET COL_N_R22; ROW=22; KEEP ROW N_N SUM_N; RUN;

DATA ROW22; MERGE COL_C_R22 COL_D_R22 COL_E_R22 COL_F_R22 COL_G_R22 COL_H_R22 COL_I_R22 
COL_J_R22 COL_K_R22 COL_L_R22 COL_M_R22 COL_N_R22; BY ROW; RUN;



***********************************************************************;


DATA FOR_ROW23 ; SET FORWARD; 
IF IN04_ISTATUS='1' AND IN04_TENURE='1' AND 30000 LE IN04_ZINC2 LT 50000; RUN;

DATA COLUMN_C ; SET FOR_ROW23; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R23 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW23; 
IF FLSTATUS=1 AND IN09_ISTATUS='1' AND IN09_TENURE='1' AND 30000 LE IN09_ZINC2 LT 50000; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R23 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW23; 
IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1' AND IN09_TENURE='1' AND 30000 LE IN09_ZINC2 LT 50000);
 RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R23 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW23; IF FLSTATUS=2 AND 
(IN09_ISTATUS='1' AND IN09_TENURE='1' AND 30000 LE IN09_ZINC2 LT 50000); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R23 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW23; IF FLSTATUS=2 AND 
NOT(IN09_ISTATUS='1' AND IN09_TENURE='1' AND 30000 LE IN09_ZINC2 LT 50000); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R23 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW23; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R23 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW23; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R23 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW23; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R23 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW23; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R23 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW23; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R23 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW23; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R23 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW23; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R23 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R23; SET COL_C_R23; ROW=23; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R23; SET COL_D_R23; ROW=23; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R23; SET COL_E_R23; ROW=23; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R23; SET COL_F_R23; ROW=23; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R23; SET COL_G_R23; ROW=23; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R23; SET COL_H_R23; ROW=23; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R23; SET COL_I_R23; ROW=23; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R23; SET COL_J_R23; ROW=23; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R23; SET COL_K_R23; ROW=23; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R23; SET COL_L_R23; ROW=23; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R23; SET COL_M_R23; ROW=23; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R23; SET COL_N_R23; ROW=23; KEEP ROW N_N SUM_N; RUN;

DATA ROW23; MERGE COL_C_R23 COL_D_R23 COL_E_R23 COL_F_R23 COL_G_R23 COL_H_R23 COL_I_R23 
COL_J_R23 COL_K_R23 COL_L_R23 COL_M_R23 COL_N_R23; BY ROW; RUN;

***********************************************************************;


DATA FOR_ROW24 ; SET FORWARD; 
IF IN04_ISTATUS='1' AND IN04_TENURE='1' AND 50000 LE IN04_ZINC2 LT 100000; RUN;

DATA COLUMN_C ; SET FOR_ROW24; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R24 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW24; 
IF FLSTATUS=1 AND IN09_ISTATUS='1' AND IN09_TENURE='1' AND 50000 LE IN09_ZINC2 LT 100000; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R24 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW24; 
IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1' AND IN09_TENURE='1' AND 50000 LE IN09_ZINC2 LT 100000);
 RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R24 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW24; IF FLSTATUS=2 AND 
(IN09_ISTATUS='1' AND IN09_TENURE='1' AND 50000 LE IN09_ZINC2 LT 100000); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R24 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW24; IF FLSTATUS=2 AND 
NOT(IN09_ISTATUS='1' AND IN09_TENURE='1' AND 50000 LE IN09_ZINC2 LT 100000); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R24 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW24; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R24 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW24; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R24 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW24; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R24 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW24; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R24 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW24; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R24 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW24; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R24 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW24; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R24 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R24; SET COL_C_R24; ROW=24; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R24; SET COL_D_R24; ROW=24; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R24; SET COL_E_R24; ROW=24; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R24; SET COL_F_R24; ROW=24; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R24; SET COL_G_R24; ROW=24; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R24; SET COL_H_R24; ROW=24; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R24; SET COL_I_R24; ROW=24; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R24; SET COL_J_R24; ROW=24; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R24; SET COL_K_R24; ROW=24; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R24; SET COL_L_R24; ROW=24; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R24; SET COL_M_R24; ROW=24; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R24; SET COL_N_R24; ROW=24; KEEP ROW N_N SUM_N; RUN;

DATA ROW24; MERGE COL_C_R24 COL_D_R24 COL_E_R24 COL_F_R24 COL_G_R24 COL_H_R24 COL_I_R24 
COL_J_R24 COL_K_R24 COL_L_R24 COL_M_R24 COL_N_R24; BY ROW; RUN;


***********************************************************************;


DATA FOR_ROW25 ; SET FORWARD; 
IF IN04_ISTATUS='1' AND IN04_TENURE='1' AND IN04_ZINC2 GE 100000; RUN;


DATA COLUMN_C ; SET FOR_ROW25; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=cOL_C_R25 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FOR_ROW25; 
IF FLSTATUS=1 AND IN09_ISTATUS='1' AND IN09_TENURE='1' AND IN09_ZINC2 GE 100000; RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_D_R25 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FOR_ROW25; 
IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1' AND IN09_TENURE='1' AND IN09_ZINC2 GE 100000) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=cOL_E_R25 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FOR_ROW25; IF FLSTATUS=2 AND 
(IN09_ISTATUS='1' AND IN09_TENURE='1' AND IN09_ZINC2 GE 100000); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R25 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FOR_ROW25; IF FLSTATUS=2 AND 
NOT(IN09_ISTATUS='1' AND IN09_TENURE='1' AND IN09_ZINC2 GE 100000); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R25 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FOR_ROW25; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R25 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FOR_ROW25; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R25 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FOR_ROW25; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R25 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FOR_ROW25; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R25 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FOR_ROW25; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R25 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FOR_ROW25; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R25 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FOR_ROW25; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R25 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R25; SET COL_C_R25; ROW=25; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R25; SET COL_D_R25; ROW=25; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R25; SET COL_E_R25; ROW=25; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R25; SET COL_F_R25; ROW=25; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R25; SET COL_G_R25; ROW=25; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R25; SET COL_H_R25; ROW=25; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R25; SET COL_I_R25; ROW=25; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R25; SET COL_J_R25; ROW=25; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R25; SET COL_K_R25; ROW=25; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R25; SET COL_L_R25; ROW=25; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R25; SET COL_M_R25; ROW=25; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R25; SET COL_N_R25; ROW=25; KEEP ROW N_N SUM_N; RUN;

DATA ROW25; MERGE COL_C_R25 COL_D_R25 COL_E_R25 COL_F_R25 COL_G_R25 COL_H_R25 COL_I_R25 
COL_J_R25 COL_K_R25 COL_L_R25 COL_M_R25 COL_N_R25; BY ROW; RUN;

****************************************************************************************;


DATA ROW1_1; SET FORWARD; IF _N_ LE 1;  COL_A="                                "; KEEP COL_A; RUN;

DATA ROW1_2; SET FORWARD; IF _N_ LE 1;  COL_A="Tenure                          "; KEEP COL_A; RUN;
 
DATA ROW2_1; SET FORWARD; IF _N_ LE 1;  COL_A="Percent owner occupied          "; KEEP COL_A; RUN;

  
DATA ROW4_1; SET FORWARD; IF _N_ LE 1;  COL_A="                                "; KEEP COL_A; RUN;

DATA ROW4_2; SET FORWARD; IF _N_ LE 1;  COL_A="Renter Monthly Housing Costs    "; KEEP COL_A; RUN;

DATA ROW10_1; SET FORWARD; IF _N_ LE 1; COL_A="                                "; KEEP COL_A; RUN;

DATA ROW10_2; SET FORWARD; IF _N_ LE 1; COL_A="Renter Hsld Income              "; KEEP COL_A; RUN;

DATA ROW15_1; SET FORWARD; IF _N_ LE 1; COL_A="                                "; KEEP COL_A; RUN;

DATA ROW15_2; SET FORWARD; IF _N_ LE 1; COL_A="Owner Monthly Housing Costs     "; KEEP COL_A; RUN;

DATA ROW20_1; SET FORWARD; IF _N_ LE 1; COL_A="                                "; KEEP COL_A; RUN;

DATA ROW20_2; SET FORWARD; IF _N_ LE 1; COL_A="Owner Hsld Income               "; KEEP COL_A; RUN;


***********************************************************************;
DATA ROW1; SET ROW1;   DEFINITION='IN04_ISTATUS=1                                                       '; 
                       COL_A="Occupied units                  ";  COL_B=" "; RUN;
DATA ROW2; SET ROW2;   DEFINITION='IN04_ISTATUS=1 & IN04_TENURE=1                                       '; 
                       COL_A="Owner occupied                  ";RUN;
DATA ROW3; SET ROW3;   DEFINITION='IN04_ISTATUS=1 & IN04_TENURE=2 OR 3                                  '; 
                       COL_A="Renter occupied (cash & no-cash)";RUN;
DATA ROW5; SET ROW5;   DEFINITION='IN04_ISTATUS=1 & IN04_TENURE=2 & IN04_ZSMHC LT 350                   '; 
                       COL_A="Less than $350                  ";RUN;
DATA ROW6; SET ROW6;   DEFINITION='IN04_ISTATUS=1 & IN04_TENURE=2 & 350 LE IN04_ZSMHC LT 600            '; 
                       COL_A="$350 to $599                    ";RUN;
DATA ROW7; SET ROW7;   DEFINITION='IN04_ISTATUS=1 & IN04_TENURE=2 & 600 LE IN04_ZSMHC LT 800            '; 
                       COL_A="$600 to $799                    ";RUN;
DATA ROW8; SET ROW8;   DEFINITION='IN04_ISTATUS=1 & IN04_TENURE=2 & 800 LE IN04_ZSMHC LT 1250           '; 
                       COL_A="$800 to $1,249                  ";RUN;
DATA ROW9; SET ROW9;   DEFINITION='IN04_ISTATUS=1 & IN04_TENURE=2 & IN04_ZSMHC GE 1250                  '; 
                       COL_A="$1,250 or more                  ";RUN;
DATA ROW10; SET ROW10; DEFINITION='IN04_ISTATUS=1 & IN04_TENURE=3                                       '; 
                       COL_A="No cash rent                    ";RUN;
DATA ROW11; SET ROW11; DEFINITION='IN04_ISTATUS=1 & IN04_TENURE=2 OR 3 & IN04_ZINC2 LT 15000            '; 
                       COL_A="Less than $15,000               ";RUN;
DATA ROW12; SET ROW12; DEFINITION='IN04_ISTATUS=1 & IN04_TENURE=2 OR 3 & & 15000 LE IN04_ZINC2 LT 30000 '; 
                       COL_A="$15,000 to $29,999              ";RUN;
DATA ROW13; SET ROW13; DEFINITION='IN04_ISTATUS=1 & IN04_TENURE=2 OR 3 & & 30000 LE IN04_ZINC2 LT 50000 '; 
                       COL_A="$30,000 to $49,999              ";RUN;
DATA ROW14; SET ROW14; DEFINITION='IN04_ISTATUS=1 & IN04_TENURE=2 OR 3 & & 50000 LE IN04_ZINC2 LT 100000'; 
                       COL_A="$50,000 to $99,999              ";RUN;
DATA ROW15; SET ROW15; DEFINITION='IN04_ISTATUS=1 & IN04_TENURE=2 OR 3 & & IN04_ZINC2 GE 100000         '; 
                       COL_A="$100,000 or more                ";RUN;
DATA ROW16; SET ROW16; DEFINITION='IN04_ISTATUS=1 & IN04_TENURE=1 & IN04_ZSMHC LT 350                   '; 
                       COL_A="Less than $350                  ";RUN;
DATA ROW17; SET ROW17; DEFINITION='IN04_ISTATUS=1 & IN04_TENURE=1 & 350 LE IN04_ZSMHC LT 600            '; 
                       COL_A="$350 to $599                    ";RUN;
DATA ROW18; SET ROW18; DEFINITION='IN04_ISTATUS=1 & IN04_TENURE=1 & 600 LE IN04_ZSMHC LT 800            '; 
                       COL_A="$600 to $799                    ";RUN;
DATA ROW19; SET ROW19; DEFINITION='IN04_ISTATUS=1 & IN04_TENURE=1 & 800 LE IN04_ZSMHC LT 1250           '; 
                       COL_A="$800 to $1,249                  ";RUN;
DATA ROW20; SET ROW20; DEFINITION='IN04_ISTATUS=1 & IN04_TENURE=1 & IN04_ZSMHC GE 1250                  '; 
                       COL_A="$1,250 or more                  ";RUN;
DATA ROW21; SET ROW21; DEFINITION='IN04_ISTATUS=1 & IN04_TENURE=1 & IN04_ZINC2 LT 15000                 '; 
                       COL_A="Less than $15,000               ";RUN;
DATA ROW22; SET ROW22; DEFINITION='IN04_ISTATUS=1 & IN04_TENURE=1 & 15000 LE IN04_ZINC2 LT 30000        '; 
                       COL_A="$15,000 to $29,999              ";RUN;
DATA ROW23; SET ROW23; DEFINITION='IN04_ISTATUS=1 & IN04_TENURE=1 & 30000 LE IN04_ZINC2 LT 50000        '; 
                       COL_A="$30,000 to $49,999              ";RUN;
DATA ROW24; SET ROW24; DEFINITION='IN04_ISTATUS=1 & IN04_TENURE=1 & 50000 LE IN04_ZINC2 LT 100000       '; 
                       COL_A="$50,000 to $99,999              ";RUN;
DATA ROW25; SET ROW25 ; DEFINITION='IN04_ISTATUS=1 & IN04_TENURE=1 & IN04_ZINC2 GE 100000                '; 
                       COL_A="$100,000 or more                ";RUN;

***********************************************************************;

DATA ALL; SET ROW1 ROW1_1 ROW1_2 ROW2 ROW2_1 ROW3 ROW4_1 ROW4_2 ROW5  ROW6  ROW7  ROW8  ROW9 ROW10
              ROW10_1 ROW10_2 ROW11 ROW12 ROW13 ROW14 ROW15 ROW15_1 ROW15_2 ROW16 ROW17 ROW18 ROW19 ROW20 
              ROW20_1 ROW20_2 ROW21  ROW22 ROW23 ROW24 ROW25 ; RUN;
**************************************************************************************;
OPTIONS MISSING=" ";
DATA ALL; SET ALL ;COL_CHECK=N_C-(N_D+N_E+N_F+N_G+N_H+N_I+N_J+N_K+N_L+N_M+N_N );
LABEL 
COL_A="A: Characteristics"
COL_B="B: Published numbers" 
SUM_C="C: In 2004 stock"
SUM_D="D: In 2009 stock with same characteristic, not severly damaged by Katerina" 
SUM_E="E: In 2009 stock with different characteristic, not severly damaged by Katerina"
SUM_F="F: in 2009 stock severely damaged by Katrina but rebuilt with same characteristic"
SUM_G="G: in 2009 stock severely damaged by Katrina but rebuilt with different characteristic"
SUM_H="H: Loss by 2009 due to conversion or merger"
SUM_I="I: Loss by 2009 due to house or mobile home move out"
SUM_J="J: Loss by 2009 due to different use"
SUM_K="K: Loss by 2009 due to demolition or disaster not related to Katrina"
SUM_L="L: Loss by 2009 due to damage or condemnation not related to Katrina"
SUM_M="M: Loss by 2009 due to severe damage from Katrina"
SUM_N="N: Loss by 2009 due to other causes";

SUM_C =ROUND(SUM_C,1);
SUM_D =ROUND(SUM_D,1);
SUM_E =ROUND(SUM_E,1); SUM_F=ROUND(SUM_F,1); 
SUM_G =ROUND(SUM_G,1); SUM_H=ROUND(SUM_H,1); SUM_I=ROUND(SUM_I,1); 
SUM_J =ROUND(SUM_J,1); SUM_K=ROUND(SUM_K,1); SUM_L=ROUND(SUM_L,1); 
SUM_M =ROUND(SUM_M,1); SUM_N=ROUND(SUM_N,1);


RUN;

TITLE "Forward-Looking Table 4: Tenure, Housing Cost, and Income  All Occupied Units (counts in units)"; run;

ods HTML file="C:\AHS_09\NEWORLEANS_CINCH_04_09\FORWARD_TABLE4_NEW_ORLEANS.XLS" ;

PROC PRINT DATA=ALL NOOBS label; VAR ROW COL_A COL_B SUM_C SUM_D SUM_E SUM_F 
SUM_G SUM_H SUM_I SUM_J SUM_K SUM_L SUM_M SUM_N
N_C N_D N_E N_F N_G N_H N_I N_J N_K N_L N_M N_N COL_CHECK DEFINITION; RUN;
