options pagesize=60 linesize=78 compress=yes nocenter NODATE MPRINT MLOGIC;

/***** NOTE: Use below the Forward Adjusted weighted data for New Orleans created using the Forward 
weighting Algorithem Provided by Fred*******/   

libname OUT 'C:\AHS_09\NEWORLEANS_CINCH_04_09\';

DATA FORWARD_TABLE1; SET OUT.FORWARD_04_09_NEWORLEANS; RUN;

**********************************************************************;

DATA FORWARD ; SET FORWARD_TABLE1; condition=1; IF condition=1; RUN;

DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R1 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (condition=1); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R1 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(condition=1) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R1 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (condition=1); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R1 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(condition=1); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R1 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R1 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R1 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R1 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R1 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R1 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R1 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R1 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R1; SET COL_C_R1; ROW=1; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R1; SET COL_D_R1; ROW=1; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R1; SET COL_E_R1; ROW=1; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R1; SET COL_F_R1; ROW=1; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R1; SET COL_G_R1; ROW=1; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R1; SET COL_H_R1; ROW=1; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R1; SET COL_I_R1; ROW=1; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R1; SET COL_J_R1; ROW=1; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R1; SET COL_K_R1; ROW=1; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R1; SET COL_L_R1; ROW=1; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R1; SET COL_M_R1; ROW=1; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R1; SET COL_N_R1; ROW=1; KEEP ROW N_N SUM_N; RUN;

DATA ROW1; MERGE COL_C_R1 COL_D_R1 COL_E_R1 COL_F_R1 COL_G_R1 COL_H_R1 COL_I_R1 
COL_J_R1 COL_K_R1 COL_L_R1 COL_M_R1 COL_N_R1; BY ROW; RUN;

*****************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF IN04_ISTATUS='1';RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R2 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN09_ISTATUS='1'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R2 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R2 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN09_ISTATUS='1'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R2 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN09_ISTATUS='1'); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R2 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R2 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R2 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R2 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R2 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R2 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R2 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R2 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R2; SET COL_C_R2; ROW=2; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R2; SET COL_D_R2; ROW=2; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R2; SET COL_E_R2; ROW=2; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R2; SET COL_F_R2; ROW=2; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R2; SET COL_G_R2; ROW=2; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R2; SET COL_H_R2; ROW=2; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R2; SET COL_I_R2; ROW=2; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R2; SET COL_J_R2; ROW=2; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R2; SET COL_K_R2; ROW=2; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R2; SET COL_L_R2; ROW=2; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R2; SET COL_M_R2; ROW=2; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R2; SET COL_N_R2; ROW=2; KEEP ROW N_N SUM_N; RUN;

DATA ROW2; MERGE COL_C_R2 COL_D_R2 COL_E_R2 COL_F_R2 COL_G_R2 COL_H_R2 COL_I_R2 
COL_J_R2 COL_K_R2 COL_L_R2 COL_M_R2 COL_N_R2; BY ROW; RUN;

*****************************************************************;
DATA FORWARD; SET FORWARD_TABLE1; IF (IN04_ISTATUS='2' OR IN04_ISTATUS='3') AND 
(NOT(8 LE IN04_VACANCY LE 11));RUN;

DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R3 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND ((IN09_ISTATUS='2' OR IN09_ISTATUS='3') AND 
(NOT(8 LE IN09_VACANCY LE 11))); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R3 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT((IN09_ISTATUS='2' OR IN09_ISTATUS='3') AND 
(NOT(8 LE IN09_VACANCY LE 11))) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R3 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND ((IN09_ISTATUS='2' OR IN09_ISTATUS='3') AND 
(NOT(8 LE IN09_VACANCY LE 11))); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R3 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT((IN09_ISTATUS='2' OR IN09_ISTATUS='3') AND 
(NOT(8 LE IN09_VACANCY LE 11))); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R3 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R3 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R3 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R3 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R3 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R3 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R3 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R3 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R3; SET COL_C_R3; ROW=3; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R3; SET COL_D_R3; ROW=3; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R3; SET COL_E_R3; ROW=3; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R3; SET COL_F_R3; ROW=3; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R3; SET COL_G_R3; ROW=3; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R3; SET COL_H_R3; ROW=3; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R3; SET COL_I_R3; ROW=3; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R3; SET COL_J_R3; ROW=3; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R3; SET COL_K_R3; ROW=3; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R3; SET COL_L_R3; ROW=3; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R3; SET COL_M_R3; ROW=3; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R3; SET COL_N_R3; ROW=3; KEEP ROW N_N SUM_N; RUN;

DATA ROW3; MERGE COL_C_R3 COL_D_R3 COL_E_R3 COL_F_R3 COL_G_R3 COL_H_R3 COL_I_R3 
COL_J_R3 COL_K_R3 COL_L_R3 COL_M_R3 COL_N_R3; BY ROW; RUN;


**********************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF (IN04_ISTATUS='2' OR IN04_ISTATUS='3') AND 
(8 LE IN04_VACANCY LE 11);RUN;

DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R4 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND ((IN09_ISTATUS='2' OR IN09_ISTATUS='3') AND 
(8 LE IN09_VACANCY LE 11)); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R4 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT((IN09_ISTATUS='2' OR IN09_ISTATUS='3') AND 
(8 LE IN09_VACANCY LE 11)) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R4 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND ((IN09_ISTATUS='2' OR IN09_ISTATUS='3') AND 
(8 LE IN09_VACANCY LE 11)); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R4 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT((IN09_ISTATUS='2' OR IN09_ISTATUS='3') AND 
(8 LE IN09_VACANCY LE 11)); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R4 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R4 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R4 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R4 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R4 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R4 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R4 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R4 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R4; SET COL_C_R4; ROW=4; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R4; SET COL_D_R4; ROW=4; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R4; SET COL_E_R4; ROW=4; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R4; SET COL_F_R4; ROW=4; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R4; SET COL_G_R4; ROW=4; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R4; SET COL_H_R4; ROW=4; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R4; SET COL_I_R4; ROW=4; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R4; SET COL_J_R4; ROW=4; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R4; SET COL_K_R4; ROW=4; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R4; SET COL_L_R4; ROW=4; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R4; SET COL_M_R4; ROW=4; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R4; SET COL_N_R4; ROW=4; KEEP ROW N_N SUM_N; RUN;

DATA ROW4; MERGE COL_C_R4 COL_D_R4 COL_E_R4 COL_F_R4 COL_G_R4 COL_H_R4 COL_I_R4 
COL_J_R4 COL_K_R4 COL_L_R4 COL_M_R4 COL_N_R4; BY ROW; RUN;


**********************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF IN04_NUNIT2='1'  ;RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R5 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN04_NUNIT2='1' ); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R5 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN04_NUNIT2='1' ) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R5 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN04_NUNIT2='1' ); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R5 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN04_NUNIT2='1' ); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R5 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R5 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R5 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R5 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R5 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R5 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R5 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R5 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R5; SET COL_C_R5; ROW=5; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R5; SET COL_D_R5; ROW=5; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R5; SET COL_E_R5; ROW=5; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R5; SET COL_F_R5; ROW=5; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R5; SET COL_G_R5; ROW=5; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R5; SET COL_H_R5; ROW=5; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R5; SET COL_I_R5; ROW=5; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R5; SET COL_J_R5; ROW=5; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R5; SET COL_K_R5; ROW=5; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R5; SET COL_L_R5; ROW=5; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R5; SET COL_M_R5; ROW=5; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R5; SET COL_N_R5; ROW=5; KEEP ROW N_N SUM_N; RUN;

DATA ROW5; MERGE COL_C_R5 COL_D_R5 COL_E_R5 COL_F_R5 COL_G_R5 COL_H_R5 COL_I_R5 
COL_J_R5 COL_K_R5 COL_L_R5 COL_M_R5 COL_N_R5; BY ROW; RUN;


**********************************************************************;

DATA FORWARD ; SET FORWARD_TABLE1; IF IN04_NUNIT2='2';RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R6 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN04_NUNIT2='2'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R6 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN04_NUNIT2='2') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R6 N=N_E SUM=SUM_E ;RUN;
DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN04_NUNIT2='2'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R6 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN04_NUNIT2='2'); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R6 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R6 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R6 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R6 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R6 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R6 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R6 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R6 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R6; SET COL_C_R6; ROW=6; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R6; SET COL_D_R6; ROW=6; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R6; SET COL_E_R6; ROW=6; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R6; SET COL_F_R6; ROW=6; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R6; SET COL_G_R6; ROW=6; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R6; SET COL_H_R6; ROW=6; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R6; SET COL_I_R6; ROW=6; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R6; SET COL_J_R6; ROW=6; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R6; SET COL_K_R6; ROW=6; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R6; SET COL_L_R6; ROW=6; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R6; SET COL_M_R6; ROW=6; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R6; SET COL_N_R6; ROW=6; KEEP ROW N_N SUM_N; RUN;

DATA ROW6; MERGE COL_C_R6 COL_D_R6 COL_E_R6 COL_F_R6 COL_G_R6 COL_H_R6 COL_I_R6 
COL_J_R6 COL_K_R6 COL_L_R6 COL_M_R6 COL_N_R6; BY ROW; RUN;


*************************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF IN04_NUNIT2='3' AND (2 LE IN04_NUNITS LE 4);RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R7 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN04_NUNIT2='3' AND (2 LE IN04_NUNITS LE 4)); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R7 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN04_NUNIT2='3' AND (2 LE IN04_NUNITS LE 4)) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R7 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN04_NUNIT2='3' AND (2 LE IN04_NUNITS LE 4)); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R7 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN04_NUNIT2='3' AND (2 LE IN04_NUNITS LE 4)); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R7 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R7 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R7 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R7 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R7 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R7 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R7 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R7 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R7; SET COL_C_R7; ROW=7; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R7; SET COL_D_R7; ROW=7; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R7; SET COL_E_R7; ROW=7; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R7; SET COL_F_R7; ROW=7; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R7; SET COL_G_R7; ROW=7; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R7; SET COL_H_R7; ROW=7; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R7; SET COL_I_R7; ROW=7; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R7; SET COL_J_R7; ROW=7; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R7; SET COL_K_R7; ROW=7; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R7; SET COL_L_R7; ROW=7; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R7; SET COL_M_R7; ROW=7; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R7; SET COL_N_R7; ROW=7; KEEP ROW N_N SUM_N; RUN;

DATA ROW7; MERGE COL_C_R7 COL_D_R7 COL_E_R7 COL_F_R7 COL_G_R7 COL_H_R7 COL_I_R7 
COL_J_R7 COL_K_R7 COL_L_R7 COL_M_R7 COL_N_R7; BY ROW; RUN;


*********************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF IN04_NUNIT2='3' AND (5 LE IN04_NUNITS LE 9);RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R8 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN04_NUNIT2='3' AND (5 LE IN04_NUNITS LE 9)); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R8 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN04_NUNIT2='3' AND (5 LE IN04_NUNITS LE 9)) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R8 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN04_NUNIT2='3' AND (5 LE IN04_NUNITS LE 9)); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R8 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN04_NUNIT2='3' AND (5 LE IN04_NUNITS LE 9)); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R8 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R8 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R8 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R8 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R8 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R8 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R8 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R8 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R8; SET COL_C_R8; ROW=8; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R8; SET COL_D_R8; ROW=8; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R8; SET COL_E_R8; ROW=8; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R8; SET COL_F_R8; ROW=8; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R8; SET COL_G_R8; ROW=8; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R8; SET COL_H_R8; ROW=8; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R8; SET COL_I_R8; ROW=8; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R8; SET COL_J_R8; ROW=8; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R8; SET COL_K_R8; ROW=8; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R8; SET COL_L_R8; ROW=8; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R8; SET COL_M_R8; ROW=8; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R8; SET COL_N_R8; ROW=8; KEEP ROW N_N SUM_N; RUN;

DATA ROW8; MERGE COL_C_R8 COL_D_R8 COL_E_R8 COL_F_R8 COL_G_R8 COL_H_R8 COL_I_R8 
COL_J_R8 COL_K_R8 COL_L_R8 COL_M_R8 COL_N_R8; BY ROW; RUN;



*********************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF IN04_NUNIT2='3' AND (10 LE IN04_NUNITS LE 19);RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R9 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN04_NUNIT2='3' AND (10 LE IN04_NUNITS LE 19)); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R9 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN04_NUNIT2='3' AND (10 LE IN04_NUNITS LE 19)) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R9 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN04_NUNIT2='3' AND (10 LE IN04_NUNITS LE 19)); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R9 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN04_NUNIT2='3' AND (10 LE IN04_NUNITS LE 19)); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R9 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R9 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R9 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R9 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R9 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R9 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R9 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R9 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R9; SET COL_C_R9; ROW=9; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R9; SET COL_D_R9; ROW=9; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R9; SET COL_E_R9; ROW=9; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R9; SET COL_F_R9; ROW=9; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R9; SET COL_G_R9; ROW=9; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R9; SET COL_H_R9; ROW=9; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R9; SET COL_I_R9; ROW=9; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R9; SET COL_J_R9; ROW=9; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R9; SET COL_K_R9; ROW=9; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R9; SET COL_L_R9; ROW=9; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R9; SET COL_M_R9; ROW=9; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R9; SET COL_N_R9; ROW=9; KEEP ROW N_N SUM_N; RUN;

DATA ROW9; MERGE COL_C_R9 COL_D_R9 COL_E_R9 COL_F_R9 COL_G_R9 COL_H_R9 COL_I_R9 
COL_J_R9 COL_K_R9 COL_L_R9 COL_M_R9 COL_N_R9; BY ROW; RUN;


**************************************************************************;

DATA FORWARD ; SET FORWARD_TABLE1; IF IN04_NUNIT2='3' AND (20 LE IN04_NUNITS LE 49);RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R10 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN04_NUNIT2='3' AND (20 LE IN04_NUNITS LE 49)); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R10 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN04_NUNIT2='3' AND (20 LE IN04_NUNITS LE 49)) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R10 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN04_NUNIT2='3' AND (20 LE IN04_NUNITS LE 49)); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R10 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN04_NUNIT2='3' AND (20 LE IN04_NUNITS LE 49)); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R10 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R10 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R10 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R10 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R10 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R10 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R10 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R10 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R10; SET COL_C_R10; ROW=10; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R10; SET COL_D_R10; ROW=10; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R10; SET COL_E_R10; ROW=10; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R10; SET COL_F_R10; ROW=10; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R10; SET COL_G_R10; ROW=10; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R10; SET COL_H_R10; ROW=10; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R10; SET COL_I_R10; ROW=10; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R10; SET COL_J_R10; ROW=10; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R10; SET COL_K_R10; ROW=10; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R10; SET COL_L_R10; ROW=10; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R10; SET COL_M_R10; ROW=10; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R10; SET COL_N_R10; ROW=10; KEEP ROW N_N SUM_N; RUN;

DATA ROW10; MERGE COL_C_R10 COL_D_R10 COL_E_R10 COL_F_R10 COL_G_R10 COL_H_R10 COL_I_R10 
COL_J_R10 COL_K_R10 COL_L_R10 COL_M_R10 COL_N_R10; BY ROW; RUN;


*********************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF IN04_NUNIT2='3' AND (50 LE IN04_NUNITS );RUN;

DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R11 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN04_NUNIT2='3' AND (50 LE IN04_NUNITS )); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R11 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN04_NUNIT2='3' AND (50 LE IN04_NUNITS )) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R11 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN04_NUNIT2='3' AND (50 LE IN04_NUNITS )); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R11 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN04_NUNIT2='3' AND (50 LE IN04_NUNITS )); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R11 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R11 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R11 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R11 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R11 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R11 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R11 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R11 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R11; SET COL_C_R11; ROW=11; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R11; SET COL_D_R11; ROW=11; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R11; SET COL_E_R11; ROW=11; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R11; SET COL_F_R11; ROW=11; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R11; SET COL_G_R11; ROW=11; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R11; SET COL_H_R11; ROW=11; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R11; SET COL_I_R11; ROW=11; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R11; SET COL_J_R11; ROW=11; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R11; SET COL_K_R11; ROW=11; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R11; SET COL_L_R11; ROW=11; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R11; SET COL_M_R11; ROW=11; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R11; SET COL_N_R11; ROW=11; KEEP ROW N_N SUM_N; RUN;

DATA ROW11; MERGE COL_C_R11 COL_D_R11 COL_E_R11 COL_F_R11 COL_G_R11 COL_H_R11 COL_I_R11 
COL_J_R11 COL_K_R11 COL_L_R11 COL_M_R11 COL_N_R11; BY ROW; RUN;


*********************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF (IN04_NUNIT2='4' ) ;RUN;

DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R12 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN04_NUNIT2='4' ); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 

OUTPUT OUT=COL_D_R12 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN04_NUNIT2='4' ) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R12 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN04_NUNIT2='4' ); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R12 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN04_NUNIT2='4' ); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R12 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R12 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R12 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R12 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R12 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R12 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R12 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R12 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R12; SET COL_C_R12; ROW=12; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R12; SET COL_D_R12; ROW=12; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R12; SET COL_E_R12; ROW=12; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R12; SET COL_F_R12; ROW=12; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R12; SET COL_G_R12; ROW=12; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R12; SET COL_H_R12; ROW=12; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R12; SET COL_I_R12; ROW=12; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R12; SET COL_J_R12; ROW=12; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R12; SET COL_K_R12; ROW=12; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R12; SET COL_L_R12; ROW=12; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R12; SET COL_M_R12; ROW=12; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R12; SET COL_N_R12; ROW=12; KEEP ROW N_N SUM_N; RUN;

DATA ROW12; MERGE COL_C_R12 COL_D_R12 COL_E_R12 COL_F_R12 COL_G_R12 COL_H_R12 COL_I_R12 
COL_J_R12 COL_K_R12 COL_L_R12 COL_M_R12 COL_N_R12; BY ROW; RUN;


***********************************************************************;
***********************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF 2000 LE IN04_BUILT LE 2004 ;RUN;

DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R13 N=N_C SUM=SUM_C ;RUN;


DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (2000 LE IN04_BUILT LE 2004); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R13 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(2000 LE IN04_BUILT LE 2004) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R13 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (2000 LE IN04_BUILT LE 2004); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R13 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(2000 LE IN04_BUILT LE 2004); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R13 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R13 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R13 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R13 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R13 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R13 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R13 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R13 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R13; SET COL_C_R13; ROW=13; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R13; SET COL_D_R13; ROW=13; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R13; SET COL_E_R13; ROW=13; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R13; SET COL_F_R13; ROW=13; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R13; SET COL_G_R13; ROW=13; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R13; SET COL_H_R13; ROW=13; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R13; SET COL_I_R13; ROW=13; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R13; SET COL_J_R13; ROW=13; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R13; SET COL_K_R13; ROW=13; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R13; SET COL_L_R13; ROW=13; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R13; SET COL_M_R13; ROW=13; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R13; SET COL_N_R13; ROW=13; KEEP ROW N_N SUM_N; RUN;

DATA ROW13; MERGE COL_C_R13 COL_D_R13 COL_E_R13 COL_F_R13 COL_G_R13 COL_H_R13 COL_I_R13 
COL_J_R13 COL_K_R13 COL_L_R13 COL_M_R13 COL_N_R13; BY ROW; RUN;


***********************************************************************;

DATA FORWARD ; SET FORWARD_TABLE1; IF 1995 LE IN04_BUILT LE 1999 ;RUN;

DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;
/**** FOR MEDIAN OF YEAR BUILT WE NEED THIS ABOVE GROUP OF DATA****/
DATA GR_14_BUILT_C; SET COLUMN_C; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R14 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (1995 LE IN04_BUILT LE 1999); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R14 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(1995 LE IN04_BUILT LE 1999) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R14 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (1995 LE IN04_BUILT LE 1999); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R14 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(1995 LE IN04_BUILT LE 1999); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R14 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R14 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R14 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R14 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R14 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R14 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R14 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R14 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R14; SET COL_C_R14; ROW=14; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R14; SET COL_D_R14; ROW=14; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R14; SET COL_E_R14; ROW=14; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R14; SET COL_F_R14; ROW=14; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R14; SET COL_G_R14; ROW=14; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R14; SET COL_H_R14; ROW=14; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R14; SET COL_I_R14; ROW=14; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R14; SET COL_J_R14; ROW=14; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R14; SET COL_K_R14; ROW=14; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R14; SET COL_L_R14; ROW=14; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R14; SET COL_M_R14; ROW=14; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R14; SET COL_N_R14; ROW=14; KEEP ROW N_N SUM_N; RUN;

DATA ROW14; MERGE COL_C_R14 COL_D_R14 COL_E_R14 COL_F_R14 COL_G_R14 COL_H_R14 COL_I_R14 
COL_J_R14 COL_K_R14 COL_L_R14 COL_M_R14 COL_N_R14; BY ROW; RUN;


*********************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF 1990 LE IN04_BUILT LE 1994 ;RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;
/**** FOR MEDIAN OF YEAR BUILT WE NEED THIS ABOVE GROUP OF DATA****/
DATA GR_15_BUILT_C; SET COLUMN_C; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R15 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (1990 LE IN04_BUILT LE 1994); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R15 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(1990 LE IN04_BUILT LE 1994) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R15 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (1990 LE IN04_BUILT LE 1994); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R15 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(1990 LE IN04_BUILT LE 1994); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R15 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R15 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R15 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R15 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R15 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R15 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R15 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R15 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R15; SET COL_C_R15; ROW=15; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R15; SET COL_D_R15; ROW=15; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R15; SET COL_E_R15; ROW=15; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R15; SET COL_F_R15; ROW=15; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R15; SET COL_G_R15; ROW=15; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R15; SET COL_H_R15; ROW=15; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R15; SET COL_I_R15; ROW=15; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R15; SET COL_J_R15; ROW=15; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R15; SET COL_K_R15; ROW=15; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R15; SET COL_L_R15; ROW=15; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R15; SET COL_M_R15; ROW=15; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R15; SET COL_N_R15; ROW=15; KEEP ROW N_N SUM_N; RUN;

DATA ROW15; MERGE COL_C_R15 COL_D_R15 COL_E_R15 COL_F_R15 COL_G_R15 COL_H_R15 COL_I_R15 
COL_J_R15 COL_K_R15 COL_L_R15 COL_M_R15 COL_N_R15; BY ROW; RUN;


*********************************************************************;

DATA FORWARD ; SET FORWARD_TABLE1; IF IN04_BUILT=1985 ;RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

/**** FOR MEDIAN OF YEAR BUILT WE NEED THIS ABOVE GROUP OF DATA****/
DATA GR_16_BUILT_C; SET COLUMN_C; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R16 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN04_BUILT=1985); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R16 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN04_BUILT=1985) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R16 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN04_BUILT=1985); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R16 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN04_BUILT=1985); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R16 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R16 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R16 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R16 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R16 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R16 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R16 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R16 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R16; SET COL_C_R16; ROW=16; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R16; SET COL_D_R16; ROW=16; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R16; SET COL_E_R16; ROW=16; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R16; SET COL_F_R16; ROW=16; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R16; SET COL_G_R16; ROW=16; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R16; SET COL_H_R16; ROW=16; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R16; SET COL_I_R16; ROW=16; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R16; SET COL_J_R16; ROW=16; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R16; SET COL_K_R16; ROW=16; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R16; SET COL_L_R16; ROW=16; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R16; SET COL_M_R16; ROW=16; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R16; SET COL_N_R16; ROW=16; KEEP ROW N_N SUM_N; RUN;

DATA ROW16; MERGE COL_C_R16 COL_D_R16 COL_E_R16 COL_F_R16 COL_G_R16 COL_H_R16 COL_I_R16 
COL_J_R16 COL_K_R16 COL_L_R16 COL_M_R16 COL_N_R16; BY ROW; RUN;


*********************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF IN04_BUILT=1980 ;RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;
/**** FOR MEDIAN OF YEAR BUILT WE NEED THIS ABOVE GROUP OF DATA****/
DATA GR_17_BUILT_C; SET COLUMN_C; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R17 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN04_BUILT=1980); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R17 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN04_BUILT=1980) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R17 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN04_BUILT=1980); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R17 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN04_BUILT=1980); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R17 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R17 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R17 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R17 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R17 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R17 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R17 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R17 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R17; SET COL_C_R17; ROW=17; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R17; SET COL_D_R17; ROW=17; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R17; SET COL_E_R17; ROW=17; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R17; SET COL_F_R17; ROW=17; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R17; SET COL_G_R17; ROW=17; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R17; SET COL_H_R17; ROW=17; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R17; SET COL_I_R17; ROW=17; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R17; SET COL_J_R17; ROW=17; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R17; SET COL_K_R17; ROW=17; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R17; SET COL_L_R17; ROW=17; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R17; SET COL_M_R17; ROW=17; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R17; SET COL_N_R17; ROW=17; KEEP ROW N_N SUM_N; RUN;

DATA ROW17; MERGE COL_C_R17 COL_D_R17 COL_E_R17 COL_F_R17 COL_G_R17 COL_H_R17 COL_I_R17 
COL_J_R17 COL_K_R17 COL_L_R17 COL_M_R17 COL_N_R17; BY ROW; RUN;


*********************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF IN04_BUILT=1975 ;RUN;

DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

DATA GR_18_BUILT_C; SET COLUMN_C; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R18 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN04_BUILT=1975 ); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R18 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN04_BUILT=1975 ) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R18 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN04_BUILT=1975 ); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R18 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN04_BUILT=1975 ); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R18 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R18 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R18 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R18 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R18 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R18 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R18 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R18 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R18; SET COL_C_R18; ROW=18; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R18; SET COL_D_R18; ROW=18; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R18; SET COL_E_R18; ROW=18; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R18; SET COL_F_R18; ROW=18; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R18; SET COL_G_R18; ROW=18; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R18; SET COL_H_R18; ROW=18; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R18; SET COL_I_R18; ROW=18; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R18; SET COL_J_R18; ROW=18; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R18; SET COL_K_R18; ROW=18; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R18; SET COL_L_R18; ROW=18; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R18; SET COL_M_R18; ROW=18; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R18; SET COL_N_R18; ROW=18; KEEP ROW N_N SUM_N; RUN;

DATA ROW18; MERGE COL_C_R18 COL_D_R18 COL_E_R18 COL_F_R18 COL_G_R18 COL_H_R18 COL_I_R18 
COL_J_R18 COL_K_R18 COL_L_R18 COL_M_R18 COL_N_R18; BY ROW; RUN;


*********************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF IN04_BUILT =1970 ;RUN;

DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;
/**** FOR MEDIAN OF YEAR BUILT WE NEED THIS ABOVE GROUP OF DATA****/
DATA GR_19_BUILT_C; SET COLUMN_C; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R19 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN04_BUILT =1970); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R19 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN04_BUILT =1970) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R19 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN04_BUILT =1970); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R19 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN04_BUILT =1970); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R19 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R19 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R19 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R19 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R19 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R19 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R19 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R19 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R19; SET COL_C_R19; ROW=19; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R19; SET COL_D_R19; ROW=19; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R19; SET COL_E_R19; ROW=19; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R19; SET COL_F_R19; ROW=19; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R19; SET COL_G_R19; ROW=19; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R19; SET COL_H_R19; ROW=19; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R19; SET COL_I_R19; ROW=19; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R19; SET COL_J_R19; ROW=19; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R19; SET COL_K_R19; ROW=19; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R19; SET COL_L_R19; ROW=19; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R19; SET COL_M_R19; ROW=19; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R19; SET COL_N_R19; ROW=19; KEEP ROW N_N SUM_N; RUN;

DATA ROW19; MERGE COL_C_R19 COL_D_R19 COL_E_R19 COL_F_R19 COL_G_R19 COL_H_R19 COL_I_R19 
COL_J_R19 COL_K_R19 COL_L_R19 COL_M_R19 COL_N_R19; BY ROW; RUN;


*********************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF IN04_BUILT =1960 ;RUN;



DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;
/**** FOR MEDIAN OF YEAR BUILT WE NEED THIS ABOVE GROUP OF DATA****/
DATA GR_20_BUILT_C; SET COLUMN_C; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R20 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN04_BUILT =1960); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R20 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN04_BUILT =1960) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R20 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN04_BUILT =1960); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R20 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN04_BUILT =1960); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R20 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R20 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R20 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R20 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R20 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R20 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R20 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R20 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R20; SET COL_C_R20; ROW=20; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R20; SET COL_D_R20; ROW=20; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R20; SET COL_E_R20; ROW=20; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R20; SET COL_F_R20; ROW=20; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R20; SET COL_G_R20; ROW=20; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R20; SET COL_H_R20; ROW=20; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R20; SET COL_I_R20; ROW=20; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R20; SET COL_J_R20; ROW=20; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R20; SET COL_K_R20; ROW=20; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R20; SET COL_L_R20; ROW=20; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R20; SET COL_M_R20; ROW=20; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R20; SET COL_N_R20; ROW=20; KEEP ROW N_N SUM_N; RUN;

DATA ROW20; MERGE COL_C_R20 COL_D_R20 COL_E_R20 COL_F_R20 COL_G_R20 COL_H_R20 COL_I_R20 
COL_J_R20 COL_K_R20 COL_L_R20 COL_M_R20 COL_N_R20; BY ROW; RUN;


*********************************************************************;
DATA FORWARD; SET FORWARD_TABLE1; IF IN04_BUILT =1950 ;RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

/**** FOR MEDIAN OF YEAR BUILT WE NEED THIS ABOVE GROUP OF DATA****/
DATA GR_21_BUILT_C; SET COLUMN_C; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R21 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN04_BUILT =1950); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R21 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN04_BUILT =1950) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R21 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN04_BUILT =1950); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R21 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN04_BUILT =1950); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R21 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R21 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R21 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R21 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R21 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R21 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R21 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R21 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R21; SET COL_C_R21; ROW=21; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R21; SET COL_D_R21; ROW=21; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R21; SET COL_E_R21; ROW=21; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R21; SET COL_F_R21; ROW=21; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R21; SET COL_G_R21; ROW=21; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R21; SET COL_H_R21; ROW=21; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R21; SET COL_I_R21; ROW=21; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R21; SET COL_J_R21; ROW=21; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R21; SET COL_K_R21; ROW=21; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R21; SET COL_L_R21; ROW=21; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R21; SET COL_M_R21; ROW=21; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R21; SET COL_N_R21; ROW=21; KEEP ROW N_N SUM_N; RUN;

DATA ROW21; MERGE COL_C_R21 COL_D_R21 COL_E_R21 COL_F_R21 COL_G_R21 COL_H_R21 COL_I_R21 
COL_J_R21 COL_K_R21 COL_L_R21 COL_M_R21 COL_N_R21; BY ROW; RUN;


*********************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1;IF IN04_BUILT =1940 ;RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

/**** FOR MEDIAN OF YEAR BUILT WE NEED THIS ABOVE GROUP OF DATA****/
DATA GR_22_BUILT_C; SET COLUMN_C; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R22 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN04_BUILT =1940); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R22 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN04_BUILT =1940) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R22 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN04_BUILT =1940); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R22 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN04_BUILT =1940); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R22 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R22 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R22 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R22 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R22 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R22 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R22 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R22 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R22; SET COL_C_R22; ROW=22; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R22; SET COL_D_R22; ROW=22; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R22; SET COL_E_R22; ROW=22; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R22; SET COL_F_R22; ROW=22; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R22; SET COL_G_R22; ROW=22; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R22; SET COL_H_R22; ROW=22; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R22; SET COL_I_R22; ROW=22; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R22; SET COL_J_R22; ROW=22; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R22; SET COL_K_R22; ROW=22; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R22; SET COL_L_R22; ROW=22; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R22; SET COL_M_R22; ROW=22; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R22; SET COL_N_R22; ROW=22; KEEP ROW N_N SUM_N; RUN;

DATA ROW22; MERGE COL_C_R22 COL_D_R22 COL_E_R22 COL_F_R22 COL_G_R22 COL_H_R22 COL_I_R22 
COL_J_R22 COL_K_R22 COL_L_R22 COL_M_R22 COL_N_R22; BY ROW; RUN;


*********************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF IN04_BUILT = 1930 ;RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

/**** FOR MEDIAN OF YEAR BUILT WE NEED THIS ABOVE GROUP OF DATA****/
DATA GR_23_BUILT_C; SET COLUMN_C; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R23 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN04_BUILT = 1930 ); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R23 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN04_BUILT = 1930 ) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R23 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN04_BUILT = 1930 ); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R23 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN04_BUILT = 1930 ); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R23 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R23 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R23 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R23 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R23 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R23 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R23 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R23 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R23; SET COL_C_R23; ROW=23; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R23; SET COL_D_R23; ROW=23; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R23; SET COL_E_R23; ROW=23; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R23; SET COL_F_R23; ROW=23; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R23; SET COL_G_R23; ROW=23; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R23; SET COL_H_R23; ROW=23; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R23; SET COL_I_R23; ROW=23; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R23; SET COL_J_R23; ROW=23; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R23; SET COL_K_R23; ROW=23; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R23; SET COL_L_R23; ROW=23; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R23; SET COL_M_R23; ROW=23; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R23; SET COL_N_R23; ROW=23; KEEP ROW N_N SUM_N; RUN;

DATA ROW23; MERGE COL_C_R23 COL_D_R23 COL_E_R23 COL_F_R23 COL_G_R23 COL_H_R23 COL_I_R23 
COL_J_R23 COL_K_R23 COL_L_R23 COL_M_R23 COL_N_R23; BY ROW; RUN;


*********************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF IN04_BUILT = 1920 ;RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;
/**** FOR MEDIAN OF YEAR BUILT WE NEED THIS ABOVE GROUP OF DATA****/
DATA GR_24_BUILT_C; SET COLUMN_C; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R24 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN04_BUILT = 1920); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R24 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN04_BUILT = 1920) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R24 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN04_BUILT = 1920); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R24 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN04_BUILT = 1920); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R24 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R24 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R24 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R24 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R24 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R24 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R24 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R24 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R24; SET COL_C_R24; ROW=24; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R24; SET COL_D_R24; ROW=24; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R24; SET COL_E_R24; ROW=24; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R24; SET COL_F_R24; ROW=24; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R24; SET COL_G_R24; ROW=24; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R24; SET COL_H_R24; ROW=24; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R24; SET COL_I_R24; ROW=24; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R24; SET COL_J_R24; ROW=24; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R24; SET COL_K_R24; ROW=24; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R24; SET COL_L_R24; ROW=24; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R24; SET COL_M_R24; ROW=24; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R24; SET COL_N_R24; ROW=24; KEEP ROW N_N SUM_N; RUN;

DATA ROW24; MERGE COL_C_R24 COL_D_R24 COL_E_R24 COL_F_R24 COL_G_R24 COL_H_R24 COL_I_R24 
COL_J_R24 COL_K_R24 COL_L_R24 COL_M_R24 COL_N_R24; BY ROW; RUN;


********************************************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF IN04_BUILT = 1919 ;RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;
/**** FOR MEDIAN OF YEAR BUILT WE NEED THIS ABOVE GROUP OF DATA****/
DATA GR_25_BUILT_C; SET COLUMN_C; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R25 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN04_BUILT = 1919); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R25 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN04_BUILT = 1919) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R25 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN04_BUILT = 1919); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R25 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN04_BUILT = 1919); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R25 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R25 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R25 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R25 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R25 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R25 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R25 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R25 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R25; SET COL_C_R25; ROW=25; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R25; SET COL_D_R25; ROW=25; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R25; SET COL_E_R25; ROW=25; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R25; SET COL_F_R25; ROW=25; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R25; SET COL_G_R25; ROW=25; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R25; SET COL_H_R25; ROW=25; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R25; SET COL_I_R25; ROW=25; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R25; SET COL_J_R25; ROW=25; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R25; SET COL_K_R25; ROW=25; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R25; SET COL_L_R25; ROW=25; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R25; SET COL_M_R25; ROW=25; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R25; SET COL_N_R25; ROW=25; KEEP ROW N_N SUM_N; RUN;

DATA ROW25; MERGE COL_C_R25 COL_D_R25 COL_E_R25 COL_F_R25 COL_G_R25 COL_H_R25 COL_I_R25 
COL_J_R25 COL_K_R25 COL_L_R25 COL_M_R25 COL_N_R25; BY ROW; RUN;




*********************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF (IN04_ROOMS=1) ;RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R26 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN09_ROOMS=1); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R26 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN09_ROOMS=1) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R26 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN09_ROOMS=1); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R26 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN09_ROOMS=1); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R26 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R26 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R26 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R26 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R26 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R26 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R26 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R26 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R26; SET COL_C_R26; ROW=26; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R26; SET COL_D_R26; ROW=26; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R26; SET COL_E_R26; ROW=26; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R26; SET COL_F_R26; ROW=26; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R26; SET COL_G_R26; ROW=26; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R26; SET COL_H_R26; ROW=26; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R26; SET COL_I_R26; ROW=26; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R26; SET COL_J_R26; ROW=26; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R26; SET COL_K_R26; ROW=26; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R26; SET COL_L_R26; ROW=26; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R26; SET COL_M_R26; ROW=26; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R26; SET COL_N_R26; ROW=26; KEEP ROW N_N SUM_N; RUN;

DATA ROW26; MERGE COL_C_R26 COL_D_R26 COL_E_R26 COL_F_R26 COL_G_R26 COL_H_R26 COL_I_R26 
COL_J_R26 COL_K_R26 COL_L_R26 COL_M_R26 COL_N_R26; BY ROW; RUN;


*********************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF (IN04_ROOMS=2) ;RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R27 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN09_ROOMS=2); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R27 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN09_ROOMS=2) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R27 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN09_ROOMS=2); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R27 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN09_ROOMS=2); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R27 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R27 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R27 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R27 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R27 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R27 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R27 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R27 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R27; SET COL_C_R27; ROW=27; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R27; SET COL_D_R27; ROW=27; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R27; SET COL_E_R27; ROW=27; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R27; SET COL_F_R27; ROW=27; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R27; SET COL_G_R27; ROW=27; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R27; SET COL_H_R27; ROW=27; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R27; SET COL_I_R27; ROW=27; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R27; SET COL_J_R27; ROW=27; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R27; SET COL_K_R27; ROW=27; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R27; SET COL_L_R27; ROW=27; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R27; SET COL_M_R27; ROW=27; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R27; SET COL_N_R27; ROW=27; KEEP ROW N_N SUM_N; RUN;

DATA ROW27; MERGE COL_C_R27 COL_D_R27 COL_E_R27 COL_F_R27 COL_G_R27 COL_H_R27 COL_I_R27 
COL_J_R27 COL_K_R27 COL_L_R27 COL_M_R27 COL_N_R27; BY ROW; RUN;


*********************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF (IN04_ROOMS =3) ;RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R28 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN09_ROOMS =3); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R28 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN09_ROOMS =3) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R28 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN09_ROOMS =3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R28 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN09_ROOMS =3); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R28 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R28 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R28 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R28 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R28 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R28 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R28 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R28 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R28; SET COL_C_R28; ROW=28; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R28; SET COL_D_R28; ROW=28; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R28; SET COL_E_R28; ROW=28; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R28; SET COL_F_R28; ROW=28; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R28; SET COL_G_R28; ROW=28; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R28; SET COL_H_R28; ROW=28; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R28; SET COL_I_R28; ROW=28; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R28; SET COL_J_R28; ROW=28; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R28; SET COL_K_R28; ROW=28; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R28; SET COL_L_R28; ROW=28; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R28; SET COL_M_R28; ROW=28; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R28; SET COL_N_R28; ROW=28; KEEP ROW N_N SUM_N; RUN;

DATA ROW28; MERGE COL_C_R28 COL_D_R28 COL_E_R28 COL_F_R28 COL_G_R28 COL_H_R28 COL_I_R28 
COL_J_R28 COL_K_R28 COL_L_R28 COL_M_R28 COL_N_R28; BY ROW; RUN;


*********************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF (IN04_ROOMS = 4) ;RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R29 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN09_ROOMS = 4); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R29 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN09_ROOMS = 4) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R29 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN09_ROOMS = 4); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R29 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN09_ROOMS = 4); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R29 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R29 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R29 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R29 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R29 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R29 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R29 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R29 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R29; SET COL_C_R29; ROW=29; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R29; SET COL_D_R29; ROW=29; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R29; SET COL_E_R29; ROW=29; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R29; SET COL_F_R29; ROW=29; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R29; SET COL_G_R29; ROW=29; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R29; SET COL_H_R29; ROW=29; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R29; SET COL_I_R29; ROW=29; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R29; SET COL_J_R29; ROW=29; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R29; SET COL_K_R29; ROW=29; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R29; SET COL_L_R29; ROW=29; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R29; SET COL_M_R29; ROW=29; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R29; SET COL_N_R29; ROW=29; KEEP ROW N_N SUM_N; RUN;

DATA ROW29; MERGE COL_C_R29 COL_D_R29 COL_E_R29 COL_F_R29 COL_G_R29 COL_H_R29 COL_I_R29 
COL_J_R29 COL_K_R29 COL_L_R29 COL_M_R29 COL_N_R29; BY ROW; RUN;



*************************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF (  IN04_ROOMS =5) ;RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R30 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN09_ROOMS =5); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R30 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN09_ROOMS =5) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R30 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN09_ROOMS =5); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R30 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN09_ROOMS =5); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R30 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R30 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R30 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R30 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R30 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R30 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R30 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R30 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R30; SET COL_C_R30; ROW=30; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R30; SET COL_D_R30; ROW=30; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R30; SET COL_E_R30; ROW=30; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R30; SET COL_F_R30; ROW=30; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R30; SET COL_G_R30; ROW=30; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R30; SET COL_H_R30; ROW=30; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R30; SET COL_I_R30; ROW=30; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R30; SET COL_J_R30; ROW=30; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R30; SET COL_K_R30; ROW=30; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R30; SET COL_L_R30; ROW=30; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R30; SET COL_M_R30; ROW=30; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R30; SET COL_N_R30; ROW=30; KEEP ROW N_N SUM_N; RUN;

DATA ROW30; MERGE COL_C_R30 COL_D_R30 COL_E_R30 COL_F_R30 COL_G_R30 COL_H_R30 COL_I_R30 
COL_J_R30 COL_K_R30 COL_L_R30 COL_M_R30 COL_N_R30; BY ROW; RUN;



**********************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF (IN04_ROOMS =6) ;RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R31 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN09_ROOMS =6); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R31 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN09_ROOMS =6) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R31 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN09_ROOMS =6); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R31 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN09_ROOMS =6); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R31 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R31 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R31 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R31 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R31 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R31 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R31 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R31 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R31; SET COL_C_R31; ROW=31; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R31; SET COL_D_R31; ROW=31; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R31; SET COL_E_R31; ROW=31; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R31; SET COL_F_R31; ROW=31; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R31; SET COL_G_R31; ROW=31; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R31; SET COL_H_R31; ROW=31; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R31; SET COL_I_R31; ROW=31; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R31; SET COL_J_R31; ROW=31; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R31; SET COL_K_R31; ROW=31; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R31; SET COL_L_R31; ROW=31; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R31; SET COL_M_R31; ROW=31; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R31; SET COL_N_R31; ROW=31; KEEP ROW N_N SUM_N; RUN;

DATA ROW31; MERGE COL_C_R31 COL_D_R31 COL_E_R31 COL_F_R31 COL_G_R31 COL_H_R31 COL_I_R31 
COL_J_R31 COL_K_R31 COL_L_R31 COL_M_R31 COL_N_R31; BY ROW; RUN;


*******************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF (  IN04_ROOMS =7) ;RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R32 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN09_ROOMS =7); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R32 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN09_ROOMS =7) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R32 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN09_ROOMS =7); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R32 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN09_ROOMS =7); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R32 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R32 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R32 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R32 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R32 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R32 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R32 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R32 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R32; SET COL_C_R32; ROW=32; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R32; SET COL_D_R32; ROW=32; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R32; SET COL_E_R32; ROW=32; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R32; SET COL_F_R32; ROW=32; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R32; SET COL_G_R32; ROW=32; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R32; SET COL_H_R32; ROW=32; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R32; SET COL_I_R32; ROW=32; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R32; SET COL_J_R32; ROW=32; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R32; SET COL_K_R32; ROW=32; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R32; SET COL_L_R32; ROW=32; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R32; SET COL_M_R32; ROW=32; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R32; SET COL_N_R32; ROW=32; KEEP ROW N_N SUM_N; RUN;

DATA ROW32; MERGE COL_C_R32 COL_D_R32 COL_E_R32 COL_F_R32 COL_G_R32 COL_H_R32 COL_I_R32 
COL_J_R32 COL_K_R32 COL_L_R32 COL_M_R32 COL_N_R32; BY ROW; RUN;


**********************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF (IN04_ROOMS =8) ;RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R33 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN09_ROOMS =8); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R33 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN09_ROOMS =8) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R33 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN09_ROOMS =8); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R33 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN09_ROOMS =8); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R33 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R33 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R33 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R33 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R33 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R33 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R33 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R33 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R33; SET COL_C_R33; ROW=33; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R33; SET COL_D_R33; ROW=33; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R33; SET COL_E_R33; ROW=33; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R33; SET COL_F_R33; ROW=33; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R33; SET COL_G_R33; ROW=33; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R33; SET COL_H_R33; ROW=33; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R33; SET COL_I_R33; ROW=33; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R33; SET COL_J_R33; ROW=33; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R33; SET COL_K_R33; ROW=33; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R33; SET COL_L_R33; ROW=33; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R33; SET COL_M_R33; ROW=33; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R33; SET COL_N_R33; ROW=33; KEEP ROW N_N SUM_N; RUN;

DATA ROW33; MERGE COL_C_R33 COL_D_R33 COL_E_R33 COL_F_R33 COL_G_R33 COL_H_R33 COL_I_R33 
COL_J_R33 COL_K_R33 COL_L_R33 COL_M_R33 COL_N_R33; BY ROW; RUN;


**************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF (IN04_ROOMS =9) ;RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R34 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN09_ROOMS =9); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R34 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN09_ROOMS =9) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R34 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN09_ROOMS =9); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R34 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN09_ROOMS =9); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R34 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R34 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R34 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R34 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R34 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R34 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R34 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R34 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R34; SET COL_C_R34; ROW=34; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R34; SET COL_D_R34; ROW=34; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R34; SET COL_E_R34; ROW=34; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R34; SET COL_F_R34; ROW=34; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R34; SET COL_G_R34; ROW=34; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R34; SET COL_H_R34; ROW=34; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R34; SET COL_I_R34; ROW=34; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R34; SET COL_J_R34; ROW=34; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R34; SET COL_K_R34; ROW=34; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R34; SET COL_L_R34; ROW=34; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R34; SET COL_M_R34; ROW=34; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R34; SET COL_N_R34; ROW=34; KEEP ROW N_N SUM_N; RUN;

DATA ROW34; MERGE COL_C_R34 COL_D_R34 COL_E_R34 COL_F_R34 COL_G_R34 COL_H_R34 COL_I_R34 
COL_J_R34 COL_K_R34 COL_L_R34 COL_M_R34 COL_N_R34; BY ROW; RUN;



*************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF ( 10 LE IN04_ROOMS LT 99 ) ;RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R35 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (10 LE IN09_ROOMS LT 99); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R35 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(10 LE IN09_ROOMS LT 99) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R35 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (10 LE IN09_ROOMS LT 99); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R35 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(10 LE IN09_ROOMS LT 99); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R35 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R35 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R35 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R35 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R35 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R35 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R35 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R35 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R35; SET COL_C_R35; ROW=35; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R35; SET COL_D_R35; ROW=35; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R35; SET COL_E_R35; ROW=35; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R35; SET COL_F_R35; ROW=35; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R35; SET COL_G_R35; ROW=35; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R35; SET COL_H_R35; ROW=35; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R35; SET COL_I_R35; ROW=35; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R35; SET COL_J_R35; ROW=35; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R35; SET COL_K_R35; ROW=35; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R35; SET COL_L_R35; ROW=35; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R35; SET COL_M_R35; ROW=35; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R35; SET COL_N_R35; ROW=35; KEEP ROW N_N SUM_N; RUN;

DATA ROW35; MERGE COL_C_R35 COL_D_R35 COL_E_R35 COL_F_R35 COL_G_R35 COL_H_R35 COL_I_R35 
COL_J_R35 COL_K_R35 COL_L_R35 COL_M_R35 COL_N_R35; BY ROW; RUN;


****************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF (IN04_BEDRMS = 0 ) ;RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R36 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN09_BEDRMS = 0); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R36 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN09_BEDRMS = 0) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R36 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN09_BEDRMS = 0); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R36 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN09_BEDRMS = 0); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R36 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R36 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R36 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R36 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R36 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R36 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R36 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R36 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R36; SET COL_C_R36; ROW=36; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R36; SET COL_D_R36; ROW=36; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R36; SET COL_E_R36; ROW=36; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R36; SET COL_F_R36; ROW=36; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R36; SET COL_G_R36; ROW=36; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R36; SET COL_H_R36; ROW=36; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R36; SET COL_I_R36; ROW=36; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R36; SET COL_J_R36; ROW=36; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R36; SET COL_K_R36; ROW=36; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R36; SET COL_L_R36; ROW=36; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R36; SET COL_M_R36; ROW=36; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R36; SET COL_N_R36; ROW=36; KEEP ROW N_N SUM_N; RUN;

DATA ROW36; MERGE COL_C_R36 COL_D_R36 COL_E_R36 COL_F_R36 COL_G_R36 COL_H_R36 COL_I_R36 
COL_J_R36 COL_K_R36 COL_L_R36 COL_M_R36 COL_N_R36; BY ROW; RUN;



***************************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF ( IN04_BEDRMS = 1 ) ;RUN;



DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R37 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND ( IN09_BEDRMS = 1); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R37 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT( IN09_BEDRMS = 1) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R37 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND ( IN09_BEDRMS = 1); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R37 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT( IN09_BEDRMS = 1); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R37 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R37 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R37 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R37 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R37 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R37 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R37 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R37 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R37; SET COL_C_R37; ROW=37; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R37; SET COL_D_R37; ROW=37; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R37; SET COL_E_R37; ROW=37; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R37; SET COL_F_R37; ROW=37; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R37; SET COL_G_R37; ROW=37; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R37; SET COL_H_R37; ROW=37; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R37; SET COL_I_R37; ROW=37; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R37; SET COL_J_R37; ROW=37; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R37; SET COL_K_R37; ROW=37; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R37; SET COL_L_R37; ROW=37; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R37; SET COL_M_R37; ROW=37; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R37; SET COL_N_R37; ROW=37; KEEP ROW N_N SUM_N; RUN;

DATA ROW37; MERGE COL_C_R37 COL_D_R37 COL_E_R37 COL_F_R37 COL_G_R37 COL_H_R37 COL_I_R37 
COL_J_R37 COL_K_R37 COL_L_R37 COL_M_R37 COL_N_R37; BY ROW; RUN;


****************************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF (IN04_BEDRMS = 2  ) ;RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R38 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN09_BEDRMS = 2); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R38 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN09_BEDRMS = 2) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R38 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN09_BEDRMS = 2); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R38 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN09_BEDRMS = 2); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R38 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R38 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R38 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R38 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R38 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R38 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R38 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R38 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R38; SET COL_C_R38; ROW=38; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R38; SET COL_D_R38; ROW=38; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R38; SET COL_E_R38; ROW=38; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R38; SET COL_F_R38; ROW=38; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R38; SET COL_G_R38; ROW=38; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R38; SET COL_H_R38; ROW=38; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R38; SET COL_I_R38; ROW=38; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R38; SET COL_J_R38; ROW=38; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R38; SET COL_K_R38; ROW=38; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R38; SET COL_L_R38; ROW=38; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R38; SET COL_M_R38; ROW=38; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R38; SET COL_N_R38; ROW=38; KEEP ROW N_N SUM_N; RUN;

DATA ROW38; MERGE COL_C_R38 COL_D_R38 COL_E_R38 COL_F_R38 COL_G_R38 COL_H_R38 COL_I_R38 
COL_J_R38 COL_K_R38 COL_L_R38 COL_M_R38 COL_N_R38; BY ROW; RUN;


***************************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF ( IN04_BEDRMS = 3 ) ;RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R39 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN09_BEDRMS = 3); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R39 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN09_BEDRMS = 3) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R39 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN09_BEDRMS = 3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R39 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN09_BEDRMS = 3); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R39 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R39 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R39 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R39 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R39 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R39 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R39 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R39 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R39; SET COL_C_R39; ROW=39; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R39; SET COL_D_R39; ROW=39; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R39; SET COL_E_R39; ROW=39; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R39; SET COL_F_R39; ROW=39; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R39; SET COL_G_R39; ROW=39; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R39; SET COL_H_R39; ROW=39; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R39; SET COL_I_R39; ROW=39; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R39; SET COL_J_R39; ROW=39; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R39; SET COL_K_R39; ROW=39; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R39; SET COL_L_R39; ROW=39; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R39; SET COL_M_R39; ROW=39; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R39; SET COL_N_R39; ROW=39; KEEP ROW N_N SUM_N; RUN;

DATA ROW39; MERGE COL_C_R39 COL_D_R39 COL_E_R39 COL_F_R39 COL_G_R39 COL_H_R39 COL_I_R39 
COL_J_R39 COL_K_R39 COL_L_R39 COL_M_R39 COL_N_R39; BY ROW; RUN;


****************************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF (IN04_BEDRMS GE 4  ) ;RUN;

DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R40 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN09_BEDRMS GE 4); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R40 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN09_BEDRMS GE 4) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R40 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN09_BEDRMS GE 4); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R40 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN09_BEDRMS GE 4); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R40 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R40 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R40 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R40 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R40 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R40 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R40 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R40 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R40; SET COL_C_R40; ROW=40; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R40; SET COL_D_R40; ROW=40; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R40; SET COL_E_R40; ROW=40; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R40; SET COL_F_R40; ROW=40; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R40; SET COL_G_R40; ROW=40; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R40; SET COL_H_R40; ROW=40; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R40; SET COL_I_R40; ROW=40; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R40; SET COL_J_R40; ROW=40; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R40; SET COL_K_R40; ROW=40; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R40; SET COL_L_R40; ROW=40; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R40; SET COL_M_R40; ROW=40; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R40; SET COL_N_R40; ROW=40; KEEP ROW N_N SUM_N; RUN;

DATA ROW40; MERGE COL_C_R40 COL_D_R40 COL_E_R40 COL_F_R40 COL_G_R40 COL_H_R40 COL_I_R40 
COL_J_R40 COL_K_R40 COL_L_R40 COL_M_R40 COL_N_R40; BY ROW; RUN;


***************************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF ( IN04_NUNIT2 = '3') ;RUN;
DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R41 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN04_NUNIT2 = '3'); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R41 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN04_NUNIT2 = '3') ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R41 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN04_NUNIT2 = '3'); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R41 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN04_NUNIT2 = '3'); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R41 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R41 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R41 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R41 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R41 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R41 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R41 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R41 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R41; SET COL_C_R41; ROW=41; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R41; SET COL_D_R41; ROW=41; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R41; SET COL_E_R41; ROW=41; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R41; SET COL_F_R41; ROW=41; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R41; SET COL_G_R41; ROW=41; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R41; SET COL_H_R41; ROW=41; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R41; SET COL_I_R41; ROW=41; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R41; SET COL_J_R41; ROW=41; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R41; SET COL_K_R41; ROW=41; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R41; SET COL_L_R41; ROW=41; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R41; SET COL_M_R41; ROW=41; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R41; SET COL_N_R41; ROW=41; KEEP ROW N_N SUM_N; RUN;

DATA ROW41; MERGE COL_C_R41 COL_D_R41 COL_E_R41 COL_F_R41 COL_G_R41 COL_H_R41 COL_I_R41 
COL_J_R41 COL_K_R41 COL_L_R41 COL_M_R41 COL_N_R41; BY ROW; RUN;


*****************************************************************************;

DATA FORWARD ; SET FORWARD_TABLE1; IF ( IN04_NUNIT2 ='3' AND IN04_FLOORS = 1) ;RUN;



DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R42 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN04_NUNIT2 ='3' AND IN04_FLOORS = 1); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R42 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN04_NUNIT2 ='3' AND IN04_FLOORS = 1) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R42 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN04_NUNIT2 ='3' AND IN04_FLOORS = 1); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R42 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN04_NUNIT2 ='3' AND IN04_FLOORS = 1); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R42 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R42 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R42 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R42 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R42 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R42 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R42 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R42 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R42; SET COL_C_R42; ROW=42; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R42; SET COL_D_R42; ROW=42; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R42; SET COL_E_R42; ROW=42; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R42; SET COL_F_R42; ROW=42; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R42; SET COL_G_R42; ROW=42; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R42; SET COL_H_R42; ROW=42; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R42; SET COL_I_R42; ROW=42; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R42; SET COL_J_R42; ROW=42; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R42; SET COL_K_R42; ROW=42; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R42; SET COL_L_R42; ROW=42; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R42; SET COL_M_R42; ROW=42; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R42; SET COL_N_R42; ROW=42; KEEP ROW N_N SUM_N; RUN;

DATA ROW42; MERGE COL_C_R42 COL_D_R42 COL_E_R42 COL_F_R42 COL_G_R42 COL_H_R42 COL_I_R42 
COL_J_R42 COL_K_R42 COL_L_R42 COL_M_R42 COL_N_R42; BY ROW; RUN;


***************************************************************************;

DATA FORWARD ; SET FORWARD_TABLE1; IF ( IN04_NUNIT2='3' AND IN04_FLOORS = 2) ;RUN;



DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R43 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN04_NUNIT2='3' AND IN04_FLOORS = 2); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R43 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN04_NUNIT2='3' AND IN04_FLOORS = 2) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R43 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN04_NUNIT2='3' AND IN04_FLOORS = 2); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R43 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN04_NUNIT2='3' AND IN04_FLOORS = 2); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R43 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R43 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R43 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R43 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R43 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R43 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R43 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R43 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R43; SET COL_C_R43; ROW=43; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R43; SET COL_D_R43; ROW=43; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R43; SET COL_E_R43; ROW=43; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R43; SET COL_F_R43; ROW=43; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R43; SET COL_G_R43; ROW=43; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R43; SET COL_H_R43; ROW=43; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R43; SET COL_I_R43; ROW=43; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R43; SET COL_J_R43; ROW=43; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R43; SET COL_K_R43; ROW=43; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R43; SET COL_L_R43; ROW=43; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R43; SET COL_M_R43; ROW=43; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R43; SET COL_N_R43; ROW=43; KEEP ROW N_N SUM_N; RUN;

DATA ROW43; MERGE COL_C_R43 COL_D_R43 COL_E_R43 COL_F_R43 COL_G_R43 COL_H_R43 COL_I_R43 
COL_J_R43 COL_K_R43 COL_L_R43 COL_M_R43 COL_N_R43; BY ROW; RUN;




***************************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF ( IN04_NUNIT2='3' AND IN04_FLOORS = 3) ;RUN;



DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R44 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN04_NUNIT2='3' AND IN04_FLOORS = 3); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R44 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN04_NUNIT2='3' AND IN04_FLOORS = 3) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R44 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN04_NUNIT2='3' AND IN04_FLOORS = 3); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R44 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN04_NUNIT2='3' AND IN04_FLOORS = 3); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R44 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R44 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R44 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R44 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R44 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R44 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R44 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R44 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R44; SET COL_C_R44; ROW=44; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R44; SET COL_D_R44; ROW=44; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R44; SET COL_E_R44; ROW=44; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R44; SET COL_F_R44; ROW=44; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R44; SET COL_G_R44; ROW=44; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R44; SET COL_H_R44; ROW=44; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R44; SET COL_I_R44; ROW=44; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R44; SET COL_J_R44; ROW=44; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R44; SET COL_K_R44; ROW=44; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R44; SET COL_L_R44; ROW=44; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R44; SET COL_M_R44; ROW=44; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R44; SET COL_N_R44; ROW=44; KEEP ROW N_N SUM_N; RUN;

DATA ROW44; MERGE COL_C_R44 COL_D_R44 COL_E_R44 COL_F_R44 COL_G_R44 COL_H_R44 COL_I_R44 
COL_J_R44 COL_K_R44 COL_L_R44 COL_M_R44 COL_N_R44; BY ROW; RUN;


***************************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF ( IN04_NUNIT2='3' AND (4 LE IN04_FLOORS LE 6)) ;RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R45 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND 
(( IN04_NUNIT2='3' AND (4 LE IN04_FLOORS LE 6))); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R45 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND 
NOT(( IN04_NUNIT2='3' AND (4 LE IN04_FLOORS LE 6))) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R45 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (( IN04_NUNIT2='3' AND (4 LE IN04_FLOORS LE 6))); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R45 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(( IN04_NUNIT2='3' AND (4 LE IN04_FLOORS LE 6))); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R45 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R45 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R45 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R45 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R45 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R45 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R45 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R45 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R45; SET COL_C_R45; ROW=45; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R45; SET COL_D_R45; ROW=45; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R45; SET COL_E_R45; ROW=45; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R45; SET COL_F_R45; ROW=45; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R45; SET COL_G_R45; ROW=45; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R45; SET COL_H_R45; ROW=45; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R45; SET COL_I_R45; ROW=45; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R45; SET COL_J_R45; ROW=45; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R45; SET COL_K_R45; ROW=45; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R45; SET COL_L_R45; ROW=45; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R45; SET COL_M_R45; ROW=45; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R45; SET COL_N_R45; ROW=45; KEEP ROW N_N SUM_N; RUN;

DATA ROW45; MERGE COL_C_R45 COL_D_R45 COL_E_R45 COL_F_R45 COL_G_R45 COL_H_R45 COL_I_R45 
COL_J_R45 COL_K_R45 COL_L_R45 COL_M_R45 COL_N_R45; BY ROW; RUN;


*****************************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF ( IN04_NUNIT2='3' AND ((IN04_FLOORS GE 7 ) OR 
IN04_FLOORS =.)) ;RUN;



DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R46 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND 
(IN04_NUNIT2='3' AND ((IN04_FLOORS GE 7 ) OR IN04_FLOORS =.)); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R46 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND 
NOT((IN04_NUNIT2='3' AND ((IN04_FLOORS GE 7 ) OR IN04_FLOORS =.))) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R46 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN04_NUNIT2='3' AND ((IN04_FLOORS GE 7 ) OR IN04_FLOORS =.)); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R46 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN04_NUNIT2='3' AND ((IN04_FLOORS GE 7 ) OR IN04_FLOORS =.)); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R46 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R46 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R46 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R46 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R46 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R46 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R46 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R46 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R46; SET COL_C_R46; ROW=46; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R46; SET COL_D_R46; ROW=46; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R46; SET COL_E_R46; ROW=46; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R46; SET COL_F_R46; ROW=46; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R46; SET COL_G_R46; ROW=46; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R46; SET COL_H_R46; ROW=46; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R46; SET COL_I_R46; ROW=46; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R46; SET COL_J_R46; ROW=46; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R46; SET COL_K_R46; ROW=46; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R46; SET COL_L_R46; ROW=46; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R46; SET COL_M_R46; ROW=46; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R46; SET COL_N_R46; ROW=46; KEEP ROW N_N SUM_N; RUN;

DATA ROW46; MERGE COL_C_R46 COL_D_R46 COL_E_R46 COL_F_R46 COL_G_R46 COL_H_R46 COL_I_R46 
COL_J_R46 COL_K_R46 COL_L_R46 COL_M_R46 COL_N_R46; BY ROW; RUN;



*****************************************************************************;

DATA FORWARD ; SET FORWARD_TABLE1; IF IN04_ISTATUS='1' AND 
( IN04_MOVE1=2003 OR IN04_MOVE1=2004) ;RUN;



DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R47 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN09_ISTATUS='1' AND 
( IN09_MOVE1=2008 OR IN09_MOVE1=2009)); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R47 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1' AND 
( IN09_MOVE1=2008 OR IN09_MOVE1=2009)) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R47 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN09_ISTATUS='1' AND 
( IN09_MOVE1=2008 OR IN09_MOVE1=2009)); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R47 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN09_ISTATUS='1' AND 
( IN09_MOVE1=2008 OR IN09_MOVE1=2009)); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R47 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R47 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R47 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R47 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R47 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R47 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R47 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R47 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R47; SET COL_C_R47; ROW=47; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R47; SET COL_D_R47; ROW=47; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R47; SET COL_E_R47; ROW=47; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R47; SET COL_F_R47; ROW=47; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R47; SET COL_G_R47; ROW=47; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R47; SET COL_H_R47; ROW=47; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R47; SET COL_I_R47; ROW=47; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R47; SET COL_J_R47; ROW=47; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R47; SET COL_K_R47; ROW=47; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R47; SET COL_L_R47; ROW=47; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R47; SET COL_M_R47; ROW=47; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R47; SET COL_N_R47; ROW=47; KEEP ROW N_N SUM_N; RUN;

DATA ROW47; MERGE COL_C_R47 COL_D_R47 COL_E_R47 COL_F_R47 COL_G_R47 COL_H_R47 COL_I_R47 
COL_J_R47 COL_K_R47 COL_L_R47 COL_M_R47 COL_N_R47; BY ROW; RUN;


*************************************************************************;
DATA FORWARD ; SET FORWARD_TABLE1; IF IN04_ISTATUS='1' AND 
( IN04_MOVE1 NE  2003 AND IN04_MOVE1 NE 2004) ;RUN;


DATA COLUMN_C ; SET FORWARD; IF FLSTATUS GE 1 ; RUN;

PROC MEANS DATA= COLUMN_C N SUM NOPRINT ; VAR FLCINCHWT;
OUTPUT OUT=COL_C_R48 N=N_C SUM=SUM_C ;RUN;

DATA COLUMN_D ; SET FORWARD; IF FLSTATUS=1 AND (IN09_ISTATUS='1' AND 
( IN09_MOVE1 NE 2008 AND IN09_MOVE1 NE 2009) ); RUN;

PROC MEANS DATA= COLUMN_D N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_D_R48 N=N_D SUM=SUM_D ;RUN;

DATA COLUMN_E ; SET FORWARD; IF FLSTATUS=1 AND NOT(IN09_ISTATUS='1' AND 
( IN09_MOVE1 NE 2008 AND IN09_MOVE1 NE 2009) ) ; RUN;

PROC MEANS DATA= COLUMN_E N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_E_R48 N=N_E SUM=SUM_E ;RUN;

DATA COLUMN_F ; SET FORWARD; IF FLSTATUS=2 AND (IN09_ISTATUS='1' AND 
( IN09_MOVE1 NE 2008 AND IN09_MOVE1 NE 2009) ); RUN;

PROC MEANS DATA= COLUMN_F N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_F_R48 N=N_F SUM=SUM_F ;RUN;

DATA COLUMN_G ; SET FORWARD; IF FLSTATUS=2 AND NOT(IN09_ISTATUS='1' AND 
( IN09_MOVE1 NE 2008 AND IN09_MOVE1 NE 2009) ); RUN;

PROC MEANS DATA= COLUMN_G N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_G_R48 N=N_G SUM=SUM_G ;RUN;

DATA COLUMN_H ; SET FORWARD; IF FLSTATUS=3; RUN;

PROC MEANS DATA= COLUMN_H N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_H_R48 N=N_H SUM=SUM_H ;RUN;

DATA COLUMN_I ; SET FORWARD; IF FLSTATUS=4; RUN;

PROC MEANS DATA= COLUMN_I N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_I_R48 N=N_I SUM=SUM_I ;RUN;

DATA COLUMN_J ; SET FORWARD; IF FLSTATUS=5 ; RUN;

PROC MEANS DATA= COLUMN_J N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_J_R48 N=N_J SUM=SUM_J ;RUN;

DATA COLUMN_K ; SET FORWARD; IF FLSTATUS=6; RUN;

PROC MEANS DATA= COLUMN_K N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_K_R48 N=N_K SUM=SUM_K ;RUN;

DATA COLUMN_L ; SET FORWARD; IF FLSTATUS=7; RUN;

PROC MEANS DATA= COLUMN_L N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_L_R48 N=N_L SUM=SUM_L ;RUN;

DATA COLUMN_M ; SET FORWARD; IF FLSTATUS=8; RUN;

PROC MEANS DATA= COLUMN_M N SUM NOPRINT ; VAR FLCINCHWT; 
OUTPUT OUT=COL_M_R48 N=N_M SUM=SUM_M ;RUN;

DATA COLUMN_N ; SET FORWARD; IF FLSTATUS=9; RUN;

PROC MEANS DATA= COLUMN_N N SUM NOPRINT  ; VAR FLCINCHWT; 
OUTPUT OUT=COL_N_R48 N=N_N SUM=SUM_N ;RUN;


DATA COL_C_R48; SET COL_C_R48; ROW=48; KEEP ROW N_C SUM_C; RUN;
DATA COL_D_R48; SET COL_D_R48; ROW=48; KEEP ROW N_D SUM_D; RUN;
DATA COL_E_R48; SET COL_E_R48; ROW=48; KEEP ROW N_E SUM_E; RUN;
DATA COL_F_R48; SET COL_F_R48; ROW=48; KEEP ROW N_F SUM_F; RUN;
DATA COL_G_R48; SET COL_G_R48; ROW=48; KEEP ROW N_G SUM_G; RUN;
DATA COL_H_R48; SET COL_H_R48; ROW=48; KEEP ROW N_H SUM_H; RUN;
DATA COL_I_R48; SET COL_I_R48; ROW=48; KEEP ROW N_I SUM_I; RUN;
DATA COL_J_R48; SET COL_J_R48; ROW=48; KEEP ROW N_J SUM_J; RUN;
DATA COL_K_R48; SET COL_K_R48; ROW=48; KEEP ROW N_K SUM_K; RUN;
DATA COL_L_R48; SET COL_L_R48; ROW=48; KEEP ROW N_L SUM_L; RUN;
DATA COL_M_R48; SET COL_M_R48; ROW=48; KEEP ROW N_M SUM_M; RUN;
DATA COL_N_R48; SET COL_N_R48; ROW=48; KEEP ROW N_N SUM_N; RUN;

DATA ROW48; MERGE COL_C_R48 COL_D_R48 COL_E_R48 COL_F_R48 COL_G_R48 COL_H_R48 COL_I_R48 
COL_J_R48 COL_K_R48 COL_L_R48 COL_M_R48 COL_N_R48; BY ROW; RUN;

******************************************************************************************************;

DATA ROW1; SET ROW1;   DEFINITION ='ALL                                           ';	COL_A="	Total Housing Stock "; COL_B=" ";RUN;
DATA ROW2; SET ROW2;   DEFINITION ='IN04_ISTATUS=1                                ';	COL_A="	Occupied	    "; RUN;
DATA ROW3; SET ROW3;   DEFINITION ='IN04_ISTATUS=2 OR 3 & not(8 LE VACANCY LE 11) ';	COL_A="	Vacant	            "; RUN;
DATA ROW4; SET ROW4;   DEFINITION ='IN04_ISTATUS=2 OR 3 & 8 LE IN04_VACANCY LE 11 ';	COL_A="	Seasonal	    "; RUN;
DATA ROW5; SET ROW5;   DEFINITION ='IN04_NUNIT2=1                                 ';	COL_A="	1, detached    	    "; RUN;
DATA ROW6; SET ROW6;   DEFINITION ='IN04_NUNIT2=2                                 ';	COL_A="	1, attached	    "; RUN;
DATA ROW7; SET ROW7;   DEFINITION ='IN04_NUNIT2=3 & 2 LE IN04_NUNITS LE 4         ';	COL_A="	2 to 4	            "; RUN;
DATA ROW8; SET ROW8;   DEFINITION ='IN04_NUNIT2=3 & 5 LE IN04_NUNITS LE 9         ';	COL_A="	5 to 9	            "; RUN;
DATA ROW9; SET ROW9;   DEFINITION ='IN04_NUNIT2=3 & 10 LE IN04_NUNITS LE 19       ';	COL_A="	10 to 19	    "; RUN;
DATA ROW10; SET ROW10; DEFINITION ='IN04_NUNIT2=3 & 20 LE IN04_NUNITS LE 49       ';	COL_A="	20 to 49	    "; RUN;
DATA ROW11; SET ROW11; DEFINITION ='IN04_NUNIT2=3 & 50 LE IN04_NUNITS             ';	COL_A="	50 or more	    "; RUN;
DATA ROW12; SET ROW12; DEFINITION ='IN04_NUNIT2=4                                 ';	COL_A="	Mobile Home/trailer "; RUN;
DATA ROW13; SET ROW13; DEFINITION =' 2000 LE IN04_BUILT LE 2004                   ';	COL_A="	2000-2004	    "; RUN;
DATA ROW14; SET ROW14; DEFINITION =' 1995 LE IN04_BUILT LE 1999                   ';	COL_A="	1995-1999	    "; RUN;
DATA ROW15; SET ROW15; DEFINITION =' 1990 LE IN04_BUILT LE 1994                   ';	COL_A="	1990-1994	    "; RUN;
DATA ROW16; SET ROW16; DEFINITION =' IN04_BUILT=1985 (1985-1989)                  ';	COL_A="	1985-1989	    "; RUN;
DATA ROW17; SET ROW17; DEFINITION =' IN04_BUILT=1980 (1980-1984)                  ';	COL_A="	1980-1984	    "; RUN;
DATA ROW18; SET ROW18; DEFINITION =' IN04_BUILT=1975 (1975-1979)                  ';	COL_A="	1975-1979	    "; RUN;
DATA ROW19; SET ROW19; DEFINITION =' IN04_BUILT=1970 (1970-1974)                  ';	COL_A="	1970-1974	    "; RUN;
DATA ROW20; SET ROW20; DEFINITION =' IN04_BUILT=1960 (1960-1969)                  ';	COL_A="	1960-1969	    "; RUN;
DATA ROW21; SET ROW21; DEFINITION =' IN04_BUILT=1950 (1950-1959)                  ';	COL_A="	1950-1959	    "; RUN;
DATA ROW22; SET ROW22; DEFINITION =' IN04_BUILT=1940 (1940-1949)                  ';	COL_A="	1940-1949	    "; RUN;
DATA ROW23; SET ROW23; DEFINITION =' IN04_BUILT=1930 (1930-1939)                  ';	COL_A="	1930-1939	    "; RUN;
DATA ROW24; SET ROW24; DEFINITION =' IN04_BUILT=1920 (1920-1929)                  ';	COL_A="	1920-1929	    "; RUN;
DATA ROW25; SET ROW25; DEFINITION =' IN04_BUILT=1919 (LE 1919)                    ';	COL_A="	1919 or earlier	    "; RUN;
DATA ROW26; SET ROW26; DEFINITION ='IN04_ROOMS=1                                  ';	COL_A="	1 room	            "; RUN;
DATA ROW27; SET ROW27; DEFINITION ='IN04_ROOMS=2                                  ';	COL_A="	2 rooms	            "; RUN;
DATA ROW28; SET ROW28; DEFINITION ='IN04_ROOMS=3                                  ';	COL_A="	3 rooms	            "; RUN;
DATA ROW29; SET ROW29; DEFINITION ='IN04_ROOMS=4                                  ';	COL_A="	4 rooms	            "; RUN;
DATA ROW30; SET ROW30; DEFINITION ='IN04_ROOMS=5                                  ';	COL_A="	5 rooms	            "; RUN;
DATA ROW31; SET ROW31; DEFINITION ='IN04_ROOMS=6                                  ';	COL_A="	6 rooms	            "; RUN;
DATA ROW32; SET ROW32; DEFINITION ='IN04_ROOMS=7                                  ';	COL_A="	7 rooms	            "; RUN;
DATA ROW33; SET ROW33; DEFINITION ='IN04_ROOMS=8                                  ';	COL_A="	8 rooms	            "; RUN;
DATA ROW34; SET ROW34; DEFINITION ='IN04_ROOMS=9                                  ';	COL_A="	9 rooms	            "; RUN;
DATA ROW35; SET ROW35; DEFINITION ='10 LE IN04_ROOMS LE 99                        ';	COL_A="	10 rooms or more    "; RUN;
DATA ROW36; SET ROW36; DEFINITION ='IN04_BEDRMS=0                                 ';	COL_A="	None	            "; RUN;
DATA ROW37; SET ROW37; DEFINITION ='IN04_BEDRMS=1                                 ';	COL_A="	1	            "; RUN;
DATA ROW38; SET ROW38; DEFINITION ='IN04_BEDRMS=2                                 ';	COL_A="	2	            "; RUN;
DATA ROW39; SET ROW39; DEFINITION ='IN04_BEDRMS=3                                 ';	COL_A="	3	            "; RUN;
DATA ROW40; SET ROW40; DEFINITION ='IN04_BEDRMS GE 4                              ';	COL_A="	4 or more	    "; RUN;
DATA ROW41; SET ROW41; DEFINITION ='IN04_NUNIT2=3                                 ';	COL_A="	Multiunit Structures"; RUN;
DATA ROW42; SET ROW42; DEFINITION ='IN04_NUNIT2=3 & IN04_FLOORS=1                 ';	COL_A="	1	            "; RUN;
DATA ROW43; SET ROW43; DEFINITION ='IN04_NUNIT2=3 & IN04_FLOORS=2                 ';	COL_A="	2	            "; RUN;
DATA ROW44; SET ROW44; DEFINITION ='IN04_NUNIT2=3 & IN04_FLOORS=3                 ';	COL_A="	3	            "; RUN;
DATA ROW45; SET ROW45; DEFINITION ='IN04_NUNIT2=3 & 4 LE IN04_FLOORS LE 6         ';	COL_A="	4 to 6	            "; RUN;
DATA ROW46; SET ROW46; DEFINITION ='IN04_NUNIT2=3 & IN04_FLOORS GE 7 OR .         ';	COL_A="	7 or more	    "; RUN;
DATA ROW47; SET ROW47; DEFINITION ='IN04_ISTATUS=1 & IN04_MOVE1=2003 OR 2004      ';	COL_A="Moved in last 2 years"; RUN;
DATA ROW48; SET ROW48; DEFINITION ='IN04_ISTATUS=1 & IN04_MOVE1 NE 2003 & NE 2004 ';	COL_A="Not a recent mover   "; RUN;
                                                                                        

DATA ROW1_1; SET FORWARD;  IF _N_ LE 1;KEEP COL_A;	COL_A="		            "; RUN;
DATA ROW1_2; SET FORWARD;  IF _N_ LE 1;KEEP COL_A;	COL_A="	Occupancy Status    "; RUN;

DATA ROW4_1; SET FORWARD;  IF _N_ LE 1;KEEP COL_A;	COL_A="		            "; RUN;
DATA ROW4_2; SET FORWARD;  IF _N_ LE 1;KEEP COL_A;	COL_A="	Units in Structure  "; RUN;

DATA ROW12_1; SET FORWARD; IF _N_ LE 1;KEEP COL_A;	COL_A="		            "; RUN;
DATA ROW12_2; SET FORWARD; IF _N_ LE 1;KEEP COL_A;	COL_A="	Year Built          "; RUN;

DATA ROW25_1; SET FORWARD; IF _N_ LE 1;KEEP COL_A;	COL_A="		            "; RUN;
DATA ROW25_2; SET FORWARD; IF _N_ LE 1;KEEP COL_A;	COL_A="	Rooms 	            "; RUN;

DATA ROW35_1; SET FORWARD; IF _N_ LE 1;KEEP COL_A;	COL_A="		            "; RUN;
DATA ROW35_2; SET FORWARD; IF _N_ LE 1;KEEP COL_A;	COL_A="	Bedrooms 	    "; RUN;

DATA ROW40_1; SET FORWARD; IF _N_ LE 1;KEEP COL_A;	COL_A="		            "; RUN;

DATA ROW41_1; SET FORWARD; IF _N_ LE 1;KEEP COL_A;	COL_A="	Stories in Structures"; RUN;

DATA ROW46_1; SET FORWARD; IF _N_ LE 1;KEEP COL_A;	COL_A="		             "; RUN;
DATA ROW46_2; SET FORWARD; IF _N_ LE 1;KEEP COL_A;	COL_A="	Mover Status         "; RUN;
		

******************************************************************************************************;


DATA ALL; SET ROW1  ROW1_1 ROW1_2 ROW2  ROW3  ROW4  ROW4_1 ROW4_2 ROW5  ROW6  ROW7  ROW8  ROW9  ROW10
              ROW11 ROW12 ROW12_1 ROW12_2 ROW13 ROW14 ROW15 ROW16 ROW17 ROW18 ROW19 ROW20 
              ROW21 ROW22 ROW23 ROW24 ROW25 ROW25_1 ROW25_2 ROW26 ROW27 ROW28 ROW29 ROW30
              ROW31 ROW32 ROW33 ROW34 ROW35  ROW35_1 ROW35_2 ROW36 ROW37 ROW38 ROW39
              ROW40 ROW40_1 ROW41 ROW41_1 ROW42 ROW43 ROW44 ROW45 ROW46 ROW46_1 ROW46_2 ROW47 ROW48; 
****************************************************************************************************;
ods HTML file="C:\AHS_09\NEWORLEANS_CINCH_04_09\FORWARD_TABLE1_NEW_ORLEANS.XLS" ;

OPTIONS MISSING=" "; 
DATA ALL; SET ALL ;
COL_CHECK=N_C-(N_D+N_E+N_F+N_G+N_H+N_I+N_J+N_K+N_L+N_M+N_N );

LABEL 
COL_A="A: Characteristics"
COL_B="B: Published numbers" 
SUM_C="C: In 2004 stock"
SUM_D="D: In 2009 stock with same characteristic, not severly damaged by Katerina" 
SUM_E="E: In 2009 stock with different characteristic, not severly damaged by Katerina"
SUM_F="F: in 2009 stock severely damaged by Katrina but rebuilt with same characteristic"
SUM_G="G: in 2009 stock severely damaged by Katrina but rebuilt with different characteristic"
SUM_H="H: Loss by 2009 due to conversion or merger"
SUM_I="I: Loss by 2009 due to house or mobile home move out"
SUM_J="J: Loss by 2009 due to different use"
SUM_K="K: Loss by 2009 due to demolition or disaster not related to Katrina"
SUM_L="L: Loss by 2009 due to damage or condemnation not related to Katrina"
SUM_M="M: Loss by 2009 due to severe damage from Katrina"
SUM_N="N: Loss by 2009 due to other causes";

SUM_C =ROUND(SUM_C,1);
SUM_D =ROUND(SUM_D,1);
SUM_E =ROUND(SUM_E,1); SUM_F=ROUND(SUM_F,1); 
SUM_G =ROUND(SUM_G,1); SUM_H=ROUND(SUM_H,1); SUM_I=ROUND(SUM_I,1); 
SUM_J =ROUND(SUM_J,1); SUM_K=ROUND(SUM_K,1); SUM_L=ROUND(SUM_L,1); 
SUM_M =ROUND(SUM_M,1); SUM_N=ROUND(SUM_N,1);

RUN;
TITLE " Forward-Looking Table 1: Structural and Location Characteristics  All Housing Units (counts in units)"; RUN;

PROC PRINT DATA=ALL NOOBS LABEL; VAR ROW COL_A COL_B SUM_C SUM_D SUM_E SUM_F SUM_G SUM_H SUM_I 
SUM_J SUM_K SUM_L SUM_M SUM_N
N_C N_D N_E N_F N_G N_H N_I N_J N_K N_L N_M N_N COL_CHECK DEFINITION; RUN;

**********************************************************************************************************************;

/******* LABELS FOR BACKWARD COLUMNS *****/
/*

OPTIONS MISSING=" "; 
DATA ALL; SET ALL ;
COL_CHECK=N_C-(N_D+N_E+N_F+N_G+N_H+N_I+N_J+N_K+N_L+N_M+N_N );

LABEL 
COL_A="A: Characteristics"
COL_B="B: Published numbers" 
	
SUM_C="C: In 2009 stock"	
SUM_D="D: In 2004 stock with same characteristic, not severly damaged by Katerina" 	
SUM_E="E: In 2004 stock with different characteristic, not severly damaged by Katerina"	
SUM_F="F: in 2004 stock severely damaged by Katrina but rebuilt with same characteristic"	
SUM_G="G: in 2004 stock severely damaged by Katrina but rebuilt with different characteristic"	
SUM_H="H: Added by conversion or merger"	
SUM_I="I: Added by house or mobile home move in"	
SUM_J="J: Added from prior different use"	
SUM_K="K: Added by new construction"	
SUM_L="L: Added from temporary losses in 2004"	
SUM_M="M: Added after 2004, destroyed by Katrina, and rebuilt"	
SUM_N="N: Added in other ways";
SUM_C =ROUND(SUM_C,1);
SUM_D =ROUND(SUM_D,1);
SUM_E =ROUND(SUM_E,1); SUM_F=ROUND(SUM_F,1); 
SUM_G =ROUND(SUM_G,1); SUM_H=ROUND(SUM_H,1); SUM_I=ROUND(SUM_I,1); 
SUM_J =ROUND(SUM_J,1); SUM_K=ROUND(SUM_K,1); SUM_L=ROUND(SUM_L,1); 
SUM_M =ROUND(SUM_M,1); SUM_N=ROUND(SUM_N,1);

RUN;
TITLE " Backward-Looking Table 1: Structural and Location Characteristics  All Housing Units (counts in units)"; RUN;

PROC PRINT DATA=ALL NOOBS LABEL; VAR ROW COL_A COL_B SUM_C SUM_D SUM_E SUM_F SUM_G SUM_H SUM_I 
SUM_J SUM_K SUM_L SUM_M SUM_N
N_C N_D N_E N_F N_G N_H N_I N_J N_K N_L N_M N_N COL_CHECK DEFINITION; RUN;


**********************************************/			
